﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable accross all of the CGLS services.</title>

<!-- CONTEXT VALIDATIONS -->

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.000208

            IF COUNT(RP) <> 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ContextId]) = 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404039

            IF COUNT (CONTEXT(JE)) > 4
               RETURN VALIDATION MESSAGE 
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404039" diagnostics="DVR.ATO.CGLS.404039" subject="xbrli:context" test="count($JE.ContextIds) &lt;= 4"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404038

            IF COUNT (CONTEXT(TRFR)) > 12
               RETURN VALIDATION MESSAGE 
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404038" diagnostics="DVR.ATO.CGLS.404038" subject="xbrli:context" test="count($TRFR.ContextIds) &lt;= 12"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404040

            IF COUNT(CONTEXT(RP.COTT)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404040" diagnostics="DVR.ATO.CGLS.404040" subject="xbrli:context" test="count(xbrli:context[@id=$RP.COTT.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404041

            IF COUNT(CONTEXT(RP.COTP)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404041" diagnostics="DVR.ATO.CGLS.404041" subject="xbrli:context" test="count(xbrli:context[@id=$RP.COTP.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404042

            IF COUNT(CONTEXT(RP.COTF)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404042" diagnostics="DVR.ATO.CGLS.404042" subject="xbrli:context" test="count(xbrli:context[@id=$RP.COTF.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404043

            IF COUNT(CONTEXT(RP.GRP)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.CGLS.404043" diagnostics="DVR.ATO.CGLS.404043" subject="xbrli:context" test="count(xbrli:context[@id=$RP.GRP.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404044

            IF COUNT(CONTEXT(RP.TRFD)) > 1
            RETURN VALIDATION MESSAGE
            END IF 
        -->

<assert  id="VR.ATO.CGLS.404044" diagnostics="DVR.ATO.CGLS.404044" subject="xbrli:context" test="count(xbrli:context[@id=$RP.TRFD.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404045

            IF COUNT(CONTEXT(RP.TOT)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.CGLS.404045" diagnostics="DVR.ATO.CGLS.404045" subject="xbrli:context" test="count(xbrli:context[@id=$RP.TOT.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404113

            IF COUNT(CONTEXT(RP.Y0)) > 1
            RETURN VALIDATION MESSAGE
            END IF 
        -->

<assert  id="VR.ATO.CGLS.404113" diagnostics="DVR.ATO.CGLS.404113" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404114

            IF COUNT(CONTEXT(RP.Y0-1)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.CGLS.404114" diagnostics="DVR.ATO.CGLS.404114" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-1.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404115

            IF COUNT(CONTEXT(RP.Y0-2)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.CGLS.404115" diagnostics="DVR.ATO.CGLS.404115" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-2.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404116

            IF COUNT(CONTEXT(RP.Y0-3)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.CGLS.404116" diagnostics="DVR.ATO.CGLS.404116" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-3.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404117

            IF COUNT(CONTEXT(RP.Y0-4+)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.CGLS.404117" diagnostics="DVR.ATO.CGLS.404117" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-4P.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404200
            
            IF COUNT([CGLS108]) > 6
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction            
        -->

<assert  id="VR.ATO.CGLS.404200" diagnostics="DVR.ATO.CGLS.404200" subject="xbrli:context" test="count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction) &lt;= 6"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404201
            
            IF COUNT([CGLS113]) > 6
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction            
        -->

<assert  id="VR.ATO.CGLS.404201" diagnostics="DVR.ATO.CGLS.404201" subject="xbrli:context" test="count(rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction ) &lt;= 6"></assert>
</rule>

<rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.001021

            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" subject="xbrli:entity/xbrli:identifier" test="count(xbrli:entity/xbrli:identifier[not(lower-case(@scheme)='http://www.ato.gov.au/tfn')]) = 0"></assert>
<!--
            IF MajOwnshpAndCntrlTestType.xx.xx:MajorityOwnershipAndControlTestsTypeDimension <> NULLORBLANK AND
            MajOwnshpAndCntrlTestType.xx.xx:MajorityOwnershipAndControlTestsTypeDimension <>
            SET (“MajOwnshpAndCntrlTestType.xx.xx:COTPassed",“MajOwnshpAndCntrlTestType.xx.xx:COTFailedSBTPassed",“MajOwnshpAndCntrlTestType.xx.xx:COTTrust") 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404032" diagnostics="DVR.ATO.CGLS.404032" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') 
                    and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$'))
                    and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$'))
                    and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$'))]) = 0"></assert>
<!--
            IF LossGenSource.xx.xx:LossGenerationSourceDimension <> NULLORBLANK AND
            LossGenSource.xx.xx:LossGenerationSourceDimension <> SET
            (“LossGenSource.xx.xx:Group", “LossGenSource.xx.xx:Transferred","LossGenSource.xx.xx:Total") 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404033" diagnostics="DVR.ATO.CGLS.404033" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') 
                        and not(matches(.,'^LossGenSource\.\d\d\.\d\d:Group$'))
                        and not(matches(.,'^LossGenSource\.\d\d\.\d\d:Transferred$'))
                        and not(matches(.,'^LossGenSource\.\d\d\.\d\d:Total$'))]) = 0"></assert>
</rule>

<rule context="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember
                    [   
                            not(@i:nil='true' or @i:nil='1')
                            and matches(@dimension,'^RelPrdDrtn\.\d\d\.\d\d:RelativePeriodDurationDimension$')
                    ]">
</rule>

<rule context="xbrli:context/xbrli:entity[./xbrli:segment/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and contains(., 'Transferor')]]">

<!--
            Rule ID: VR.ATO.CGLS.404139

            IF TRFR:entity.identifier = ANY OTHER OCCURANCE(TRFR:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404139" diagnostics="DVR.ATO.CGLS.404139" subject="xbrli:identifier" test="
                        not(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] = 
                        preceding::xbrli:entity[./xbrli:segment/xbrldi:explicitMember[contains(., 'Transferor')]]/xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404140
            
            IF (ALGORITHM([CGLS:TRFR:entity.identifier.TFN]) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404131" diagnostics="DVR.ATO.CGLS.404131" subject="xbrli:identifier" test="
                        not
                        (
                            string-length(normalize-space(
                            xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0
                            and
                            not(function:ValidateTFN(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']))
                        )"></assert>
</rule>

<rule context="xbrli:context/xbrli:entity[./xbrli:segment/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and contains(., 'ReportingParty')]]">

<!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.02.07:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404134" diagnostics="DVR.ATO.CGLS.404134" test="xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"></assert>
</rule>

<rule context="xbrli:context/xbrli:entity[not(@i:nil='true' or @i:nil='1') and ./xbrli:segment/xbrldi:explicitMember[contains(., 'JoiningEntity')]]">

<!--
            Rule ID: VR.ATO.CGLS.404140

            IF JE:entity.identifier = ANY OTHER OCCURRENCE(JE:entity.identifier.TFN)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404140" diagnostics="DVR.ATO.CGLS.404140" subject="xbrli:identifier" test="
                        not(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] = 
                        preceding::xbrli:entity[./xbrli:segment/xbrldi:explicitMember[contains(., 'JoiningEntity')]]/xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404133
            
            IF (ALGORITHM([CGLS:JE:entity.identifier.TFN]) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGLS.404133" diagnostics="DVR.ATO.CGLS.404133" subject="xbrli:identifier" test="
                        not
                        (
                            string-length(normalize-space(
                            xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0
                            and
                            not(function:ValidateTFN(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']))
                        )"></assert>
</rule>
</pattern>