﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Length Validations</title>

  <rule context="xbrli:xbrl/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500063
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number) > 15
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500063" diagnostics="DVR.ATO.GEN.500063"
            test="not(
                        string-length(.) > 15
                      )"/>
  </rule>
    
  
  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000015
         ELS REF: V7
         
        IF LENGTH([cgnft17]) > 200
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000015" diagnostics="DVR.ATO.CGNFT.000015"
            test="not(
                        string-length(.) > 200
                      )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500058
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.Position.Text) > 50
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500058" diagnostics="DVR.ATO.GEN.500058"
            test="not(
                        string-length(.) > 50
                      )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000191
         ELS REF: V7
         
         IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 100
              RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000191" diagnostics="DVR.ATO.CGNFT.000191"
            test="not(
                        string-length(.) > 100
                      )"/>
  </rule>
    
</pattern>