﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000020
         ELS Ref: V9
         
        IF ([cgnft4] <> NULLORBLANK) AND ([cgnft4] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF               
        
    -->
    <assert id="VR.ATO.CGNFT.000020" diagnostics="DVR.ATO.CGNFT.000020"
            test="not(
                        @contextRef = $RP.ContextId 
                        and
                        matches(.,'[{}|_\\#]')
                    )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000024
         ELS Ref: V9
         
        IF ([cgnft10] <> NULLORBLANK) AND ([cgnft10] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF               
        
    -->
    <assert id="VR.ATO.CGNFT.000024" diagnostics="DVR.ATO.CGNFT.000024"
            test="not(
                        @contextRef = $CP.ContextId 
                        and
                        matches(.,'[{}|_\\#]')
                    )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000028
         ELS Ref: V9
         
        IF ([cgnft19] <> NULLORBLANK) AND ([cgnft10] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF               
        
    -->
    <assert id="VR.ATO.CGNFT.000028" diagnostics="DVR.ATO.CGNFT.000028"
            test="not(
                        @contextRef = $CPPE.ContextId 
                        and
                        matches(.,'[{}|_\\#]')
                    )"/>
    

    <!-- Rule ID: VR.ATO.CGNFT.000029
         ELS Ref: V138A
         
        IF ([cgnft4] <> NULLORBLANK) AND ([cgnft4] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000029" diagnostics="DVR.ATO.CGNFT.000029"
            test="not(
                        @contextRef = $RP.ContextId 
                        and
                        not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                      )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000031
         ELS Ref: V138A
         
        IF ([cgnft10] <> NULLORBLANK) AND ([cgnft10] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000031" diagnostics="DVR.ATO.CGNFT.000031"
            test="not(
                        @contextRef = $CP.ContextId 
                        and
                        not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                      )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000032
         ELS Ref: V138A
         
        IF ([cgnft4] <> NULLORBLANK) AND ([cgnft4] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000032" diagnostics="DVR.ATO.CGNFT.000032"
            test="not(
                        @contextRef = $CPPE.ContextId 
                        and
                        not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                      )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000049
         ELS Ref: V139
         
        IF ([cgnft4] CONTAINS  " - " )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000049" diagnostics="DVR.ATO.CGNFT.000049"
            test="not(
                        @contextRef = $RP.ContextId 
                        and
                        matches(.,'^(.*) - (.*)$')
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000051
         ELS Ref: V139
         
        IF ([cgnft10] CONTAINS  " - " )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000051" diagnostics="DVR.ATO.CGNFT.000051"
            test="not(
                        @contextRef = $CP.ContextId 
                        and
                        matches(.,'^(.*) - (.*)$')
                     )"/>

    
    <!-- Rule ID: VR.ATO.CGNFT.000054
         ELS Ref: V139
         
        IF ([cgnft19] CONTAINS  " - " )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000054" diagnostics="DVR.ATO.CGNFT.000054"
            test="not(
                        @contextRef = $CPPE.ContextId 
                        and
                        matches(.,'^(.*) - (.*)$')
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000067
         ELS Ref: V19
         
        IF ([cgnft4] CONTAINS SET("-_-","'’","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000067" diagnostics="DVR.ATO.CGNFT.000067"
            test="not(
                        @contextRef = $RP.ContextId 
                        and
                        matches(.,'^(.*)(--|('')('')|  )(.*)$')
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000070
         ELS Ref: V19
         
        IF ([cgnft10] CONTAINS SET("-_-","'’","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000070" diagnostics="DVR.ATO.CGNFT.000070"
            test="not(
                        @contextRef = $CP.ContextId 
                        and
                        matches(.,'^(.*)(--|('')('')|  )(.*)$')
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000071
         ELS Ref: V19
         
        IF ([cgnft19] CONTAINS SET("-_-","'’","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000071" diagnostics="DVR.ATO.CGNFT.000071"
            test="not(
                        @contextRef = $CPPE.ContextId 
                        and
                        matches(.,'^(.*)(--|('')('')|  )(.*)$')
                     )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF              
        
    -->
    <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>
    
    <!-- Rule ID: VR.ATO.GEN.500057
         ELS Ref: V139
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS  " - " )
           RETURN VALIDATION MESSAGE
        ENDIF           
        
    -->
    <assert id="VR.ATO.GEN.500057" diagnostics="DVR.ATO.GEN.500057"
            test="not(
                        matches(.,'^(.*) - (.*)$')
                     )"/>

  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Declaration.SignatoryIdentifier.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500069
         ELS Ref: V9
         
        IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))                                                                                                                                                     
           RETURN VALIDATION MESSAGE
        ENDIF            
        
    -->
    <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
            test="not(
                        not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-_''=\[\];:&#x22;,.?\s/]*$'))
                    )"/>
  </rule>


  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000025
         ELS Ref: V9
         
        IF ([cgnft17] <> NULLORBLANK) AND (ANY CHARACTER OF [cgnft17] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
          RETURN VALIDATION MESSAGE
        ENDIF                       
    -->
    <assert id="VR.ATO.CGNFT.000025" diagnostics="DVR.ATO.CGNFT.000025"
            test="not(
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                    )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500059
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
            test="not(
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                    )"/>
  </rule>
</pattern>