﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000100
         ELS Ref: V9
         
      IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/","#"," "))
         RETURN VALIDATION MESSAGE
      ENDIF         
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000100" diagnostics="DVR.ATO.CHTWTHHLD.000100"
          test="not(matches($chtwthhld2,'[{}|_\\]'))"/>

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000103
         ELS Ref: V9
         
      IF ([chtwthhld16] <> NULLORBLANK) AND ([chtwthhld16] CONTAINS SET("{","}","|","_","\"))
         RETURN VALIDATION MESSAGE
      ENDIF         
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000103" diagnostics="DVR.ATO.CHTWTHHLD.000103"
          test="not(matches($chtwthhld16,'[{}|_\\]'))"/>

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000110
         ELS Ref: V9
         
      IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("{","}","|","_","\","#"))
         RETURN VALIDATION
      ENDIF       
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000110" diagnostics="DVR.ATO.CHTWTHHLD.000110"
          test="not(matches($chtwthhld12,'[{}|_\\#]'))"/>

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000111
         ELS Ref: V9
         
      IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("{","}","|","_","\","#"))
         RETURN VALIDATION
      ENDIF   
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000111" diagnostics="DVR.ATO.CHTWTHHLD.000111"
          test="not(matches($chtwthhld14,'[{}|_\\#]'))"/>

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000114
         ELS Ref: V9
         
      IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("{","}","|","_","\","#"))
         RETURN
      ENDIF
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000114" diagnostics="DVR.ATO.CHTWTHHLD.000114"
          test="not(matches($chtwthhld15,'[{}|_\\#]'))"/>

    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: V9
         
      IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
          test="not(matches($chtwthhld73RPTAC,'[{}|_\\#]') or matches($chtwthhld73INTTAC,'[{}|_\\#]'))"/>
  </rule>
  
  <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410039
         ELS Ref: V138A
         
      IF ([chtwthhld2] <> NULLORBLANK) AND ([chtwthhld2] DOES NOT CONTAIN SET(""a-z"", ""A-Z"", ""0-9""))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld2] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039"
            test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/>

    <!-- Rule ID: VR.ATO.GEN.428258
         ELS Ref: V139
         
      IF ([chtwthhld2] CONTAINS  " - " )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld2]  = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert  id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.428258"
             test="not(matches(.,'^(.*) - (.*)$'))"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.428260
         ELS Ref: V138C
         
      IF ([FIELD1] CONTAINS SET("-_-","'’","  ") )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      FIELD1:
      [chtwthhld2]  = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
      [chtwthhld16] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
      [chtwthhld33] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text            
    -->
    <assert  id="VR.ATO.GEN.428260" diagnostics="DVR.ATO.GEN.428260"
             test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>

  </rule>

  <rule context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410040
        ELS Ref: V138B

      IF ([FIELD1] <> NULLORBLANK) AND ([FIELD1] DOES NOT CONTAIN SET("a-z ","A-Z"))
        RETURN VALIDATION MESSAGE
      END IF
    
      [chtwthhld12] = pyde.02.00:PersonNameDetails.FamilyName.Text
      [chtwthhld23] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert  id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040"
             test="matches(.,'^(.*)[a-zA-Z](.*)$')"></assert>

    
    <!-- Rule ID: VR.ATO.GEN.428262
         ELS Ref: V139
         
      IF ([chtwthhld12] CONTAINS  " - " )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld12]  = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert  id="VR.ATO.GEN.428262" diagnostics="DVR.ATO.GEN.428262"
             test="not(matches(.,'^(.*) - (.*)$'))"/>


    <!-- Rule ID: VR.ATO.GEN.428263
         ELS Ref: V138C
         
      IF ([FIELD1] CONTAINS SET("-_-","'’","  ") )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      FIELD1:
      [chtwthhld12] = pyde.02.00:PersonNameDetails.FamilyName.Text
      [chtwthhld23] = pyde.02.00:PersonNameDetails.FamilyName.Text      
    -->
    <assert  id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263"
             test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>

  </rule>

  
  <rule context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410063
        ELS Ref: V138B

      IF ([FIELD1] <> NULLORBLANK) AND ([FIELD1] DOES NOT CONTAIN SET("a-z ","A-Z"))
        RETURN VALIDATION MESSAGE
      END IF
    
      [chtwthhld14] = pyde.02.00:PersonNameDetails.GivenName.Text
      [chtwthhld24] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert  id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063"
             test="matches(.,'^(.*)[a-zA-Z](.*)$')"></assert>

    
    <!-- Rule ID: VR.ATO.GEN.428264
         ELS Ref: V139
         
      IF ([chtwthhld14] CONTAINS  " - " )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld14]  = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert  id="VR.ATO.GEN.428264" diagnostics="DVR.ATO.GEN.428264"
             test="not(matches(.,'^(.*) - (.*)$'))"/>


    <!-- Rule ID: VR.ATO.GEN.428265
         ELS Ref: V138C
         
      IF ([FIELD1] CONTAINS SET("-_-","'’","  ") )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      FIELD1:
      [chtwthhld14] = pyde.02.00:PersonNameDetails.GivenName.Text
      [chtwthhld24] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert  id="VR.ATO.GEN.428265" diagnostics="DVR.ATO.GEN.428265"
             test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>

  </rule>

  <rule context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410131
        ELS Ref: V138B

      IF ([chtwthhld14] <> NULLORBLANK) AND ([chtwthhld14] DOES NOT CONTAIN SET("a-z ","A-Z"))
        RETURN VALIDATION MESSAGE
      END IF
    
      [chtwthhld15] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
      [chtwthhld25] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
    -->
    <assert  id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131"
             test="matches(.,'^(.*)[a-zA-Z](.*)$')"/>

    <!-- Rule ID: VR.ATO.GEN.428267
         ELS Ref: V138C
         
      IF ([FIELD1] CONTAINS SET("-_-","'’","  ") )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      FIELD1:
      [chtwthhld15] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
      [chtwthhld25] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
    -->
    <assert  id="VR.ATO.GEN.428267" diagnostics="DVR.ATO.GEN.428267"
             test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>


    <!-- Rule ID: VR.ATO.GEN.428266
         ELS Ref: V139
         
      IF ([chtwthhld15] CONTAINS  " - " )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld15]  = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert  id="VR.ATO.GEN.428266" diagnostics="DVR.ATO.GEN.428266"
             test="not(matches(.,'^(.*) - (.*)$'))"/>

  </rule>

  <rule context="pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.GEN.500059
         ELS Ref: V9
         
      IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
             test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>
  </rule>

  <rule context="pyin.02.00:Declaration.SignatoryIdentifier.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.GEN.500069
         ELS Ref: V9
         
        IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))                                                                                                                                                     
           RETURN VALIDATION MESSAGE
        ENDIF            
        
    -->
    <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
            test="not(
                        not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-_''=\[\];:&#x22;,.?\s/]*$'))
                    )"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.CHTWTHHLD.000106
         ELS Ref: V9
         
      IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line1.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000106" diagnostics="DVR.ATO.CHTWTHHLD.000106"
             test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.CHTWTHHLD.000107
         ELS Ref: V9
         
      IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line1.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.CHTWTHHLD.000107" diagnostics="DVR.ATO.CHTWTHHLD.000107"
             test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">
    <!-- Rule ID: VR.ATO.GEN.428041
         ELS Ref:

        IF ([FIELD1] <> NULLORBLANK) AND ([FIELD1] <> SET(0200-9999))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        FIELD1:
        [chtwthhld7] = pyde.02.00:AddressDetails.Postcode.Text       
        [chtwthhld43] = pyde.02.00:AddressDetails.Postcode.Text       
     -->
    <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041" 
             test="string-length(.) = 0 or matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')"/>

  </rule>
  
  <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">
        
    <!-- Rule ID: VR.ATO.CHTWTHHLD.000050
         ELS Ref: V210A
         
      IF (([chtwthhld8] = NULL) OR ([chtwthhld8] = "au")) AND ([chtwthhld5] CONTAINS NUMERICS SET(0-9))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      FIELD1:
      [chtwthhld5]  = pyde.xx.xx:AddressDetails.LocalityName.Text
      [chtwthhld8]  = pyde.xx.xx:AddressDetails.Country.Code
     -->
      <assert id="VR.ATO.CHTWTHHLD.000050" diagnostics="DVR.ATO.CHTWTHHLD.000050"
              test="not(
                      (count($chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0 
                      or $chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au') and     
                      matches(.,'^(.*)[0-9](.*)$')
                      )
                        "/>

      <!-- Rule ID: VR.ATO.CHTWTHHLD.000108
           ELS Ref: V9
         
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.LocalityName.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
          RETURN VALIDATION MESSAGE
        ENDIF
      -->
      <assert  id="VR.ATO.CHTWTHHLD.000108" diagnostics="DVR.ATO.CHTWTHHLD.000108"
               test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>
    
  </rule>
    
</pattern>