﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF (RP:entity.identifier.TFN = NULLORBLANK) AND (INT:entity.identifier.ABN = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001026" diagnostics="DVR.ATO.GEN.001026.FITR" test="not(
                        count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                        = 0
                        and
                        count(xbrli:context[@id = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0])
                        = 0
                     )"></assert>
       <!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" test="count(xbrli:context[@id=$RP.ContextId]) = 1"></assert>
<!--
            IF COUNT(INT) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.GEN.000226" diagnostics="DVR.ATO.GEN.000226" test="count($INT.Context) &lt;= 1"></assert>
<!--
			IF (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension <> NULLORBLANK) 
				AND (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension <> 
					SET("CountryResCFCClass.02.01:ListedCountry", "CountryResCFCClass.02.01:Section404Country", "CountryResCFCClass.02.01:UnlistedCountry"))
			   RETURN VALIDATION MESSAGE
			ENDIF
        -->

<assert  id="VR.ATO.GEN.430262" diagnostics="DVR.ATO.GEN.430262" test="not(
                        xbrli:context[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and
                                        matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') 
                                            and not(matches(.,'^CountryResCFCClass.02.01:(ListedCountry|Section404Country|UnlistedCountry)$'))]
                    )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAus)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266" test="count($RP.JAUS.Context) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.JForeign)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267" test="count($RP.JFOREIGN.Context) &lt;= 1"></assert>
<!-- 
            IF COUNT(RP.TOFA) > 1
                RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302" test="count($RP.TOFA.Context) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.CFCLC)) > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.FITR.434163" diagnostics="DVR.ATO.FITR.434163" test="count($RP.CFCLC.Context) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.CFC404)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF 
        -->

<assert  id="VR.ATO.FITR.434165" diagnostics="DVR.ATO.FITR.434165" test="count($RP.CFC404.Context) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.CFCUC)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.FITR.434166" diagnostics="DVR.ATO.FITR.434166" test="count($RP.CFCUC.Context) &lt;= 1"></assert>
<!--
            IF COUNT(CONTEXT(RP.Closing)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.FITR.434240" diagnostics="DVR.ATO.FITR.434240" test="not(
                        count(xbrli:context[@id=$RP.Closing.ContextId]) &gt; 1
                    )"></assert>
<!--
            IF COUNT(CONTEXT(RP.Closing(Instant))) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280" test="not(count(xbrli:context[@id=$RPI.Closing.ContextId]) &gt; 1)
            "></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201"
            test="count(xbrli:period[./xbrli:startDate and ./xbrli:endDate and not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate, ./xbrli:endDate)]) = 0"/>
    <!-- 
        IF (INT:entity.identifier.ABN <> NULLORBLANK) AND
        (ABNALGORITHM (INT:entity.identifier.ABN) = FALSE)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253.FITR" test="not(
                        @id = $INT.ContextId and 
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                          xbrli:identifier[not(@i:nil='true' or @i:nil='1')
                            and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                            and string-length(normalize-space(.)) != 0
                            and not(function:ValidateABN(.))]
                    )"/>
    
    
<!--
            IF (RP:entity.identifier.TFN = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.FITR" test="not(
                        @id = $RP.ContextId and 
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                           xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                      )"></assert>
<!--
            IF (entity.identifier.TFN WHERE CONTEXT (ALL))<> RP.entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" test="
                    (xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn'and not(@i:nil='true' or @i:nil='1')] =
                    $RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])
                    or
                    not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            IF (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> NULLORBLANK) 
				AND (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> "FinclArrngmtType.02.00:TOFA")
			   RETURN VALIDATION MESSAGE
			ENDIF
        -->

<assert  id="VR.ATO.GEN.430301" diagnostics="DVR.ATO.GEN.430301" test="not(
						xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
							/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
								and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$')
								and . != 'FinclArrngmtType.02.00:TOFA']
						)"></assert>
<!--  
            IF (OpenCloseBalance.xx.xx:OpeningClosingBalanceDimension <> NULLORBLANK) AND (OpenCloseBalance.xx.xx:OpeningClosingBalanceDimension <> “OpenCloseBalance.02.00:Closing”)
            RETURN VALIDATION MESSAGE
        -->

<assert  id="VR.ATO.FITR.434151" diagnostics="DVR.ATO.FITR.434151" test="not(
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                        /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                        and @dimension = 'OpenCloseBalance.02.00:OpeningAndClosingBalanceDimension'
                        and not(matches(.,'^OpenCloseBalance.02.00:(Closing)$'))]

                  )"></assert>
<!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.05:Intermediary") AND 
               (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.05:ReportingParty")    
                    RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.GEN.410197" diagnostics="DVR.ATO.GEN.410197.FITR" test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                            /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                and @dimension = 'RprtPyType.02.05:ReportPartyTypeDimension'
                                and not(matches(.,'^RprtPyType.02.05:(Intermediary|ReportingParty)$'))]
                      )"></assert>
<!--
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
            AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
            RETURN VALIDATION MESSAGE
        ENDIF
       -->

<assert  id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029.FITR" test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:Intermediary”) 
            AND (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
            RETURN VALIDATION MESSAGE
        ENDIF
       -->

<assert  id="VR.ATO.GEN.438030" diagnostics="DVR.ATO.GEN.438030.FITR" test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(Intermediary)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]"></assert>
</rule>

<rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->

<assert  id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.0" test="
                        not(../../@id = $RP.ContextId) 
                        or 
                        not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)
                    "></assert>
<!-- 
            IF entity.identifier.ABN <> NULLORBLANK AND ABNALGORITHM(entity.identifier.ABN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430318" diagnostics="DVR.ATO.GEN.430318" test="not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN') 
                        or string-length(normalize-space(.)) = 0 
                        or function:ValidateABN(.)"></assert>
</rule>
</pattern>