﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable to IDS.</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
      <!-- 
          Rule ID: VR.ATO.GEN.000209
          IF COUNT(RP) <> 1
              RETURN VALIDATION MESSAGE
          ENDIF
      -->

      <assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209.IDS" test="not(count($RP.Context) != 1)"></assert>

      <!-- 
          Rule ID: VR.ATO.IDS.440282
        
          IF COUNT(ForeignCountry) IN SET (RP:{ForeignCountry}.{ActivityCode},{RP.{ForeignCountry}) > 3
              RETURN VALDATION MESSAGE
          ENDIF
      -->

      <assert  id="VR.ATO.IDS.440282" diagnostics="DVR.ATO.IDS.440282" test="not(
                        count(
                            xbrli:context
                            [   
                                not(@i:nil='true' or @i:nil='1') and
                                ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment
                                [
                                    not(@i:nil='true' or @i:nil='1') and (count(./xbrldi:explicitMember) = 2 or count(./xbrldi:explicitMember) = 3)
                                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')]) = 1        
                                ]
                                /xbrldi:explicitMember
                                [
                                    not(@i:nil='true' or @i:nil='1') and
                                    matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$') and
                                    not(
                                        ./text() 
                                        =
                                        ../../../preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment
                                        [
                                            not(@i:nil='true' or @i:nil='1') and (count(./xbrldi:explicitMember) = 2 or count(./xbrldi:explicitMember) = 3)
                                            and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                                            and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')]) = 1        
                                        ]
                                        /xbrldi:explicitMember
                                        [
                                            not(@i:nil='true' or @i:nil='1') 
                                            and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')
                                        ]
                                        /text()
                                    )
                                ]
                            ]
                        ) &gt; 3
                    )">
      
      </assert>

      <!-- 
          Rule ID: VR.ATO.IDS.440292
          
          IF COUNT(RP.{RestructuringEvent}) > 3
              RETURN VALIDATION MESSAGE
          ENDIFF
      -->

      <assert  id="VR.ATO.IDS.440292" diagnostics="DVR.ATO.IDS.440292" test="not(count($RP.RestructuringEvent.Context) &gt; 3)"></assert>
      
      
      <!--
          Rule ID: VR.ATO.IDS.440285
          
          IF COUNT(SpecifiedCountry) IN SET (RP:{SpecifiedCountry}.{ActivityCode},{RP.{SpecifiedCountry}) > 3
            RETURN VALDATION MESSAGE
          ENDIF
      -->

      <assert  id="VR.ATO.IDS.440285" diagnostics="DVR.ATO.IDS.440285" test="not(
                        count(
                            xbrli:context
                            [   
                                not(@i:nil='true' or @i:nil='1') and
                                ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment
                                [
                                    not(@i:nil='true' or @i:nil='1') and (count(./xbrldi:explicitMember) = 2 or count(./xbrldi:explicitMember) = 3)
                                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')]) = 1        
                                ]
                                /xbrldi:explicitMember
                                [
                                    not(@i:nil='true' or @i:nil='1') and
                                    matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$') and
                                    not(
                                        ./text() 
                                        =
                                        ../../../preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment
                                        [
                                            not(@i:nil='true' or @i:nil='1') and (count(./xbrldi:explicitMember) = 2 or count(./xbrldi:explicitMember) = 3)
                                            and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                                            and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')]) = 1        
                                        ]
                                        /xbrldi:explicitMember
                                        [
                                            not(@i:nil='true' or @i:nil='1') 
                                            and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')
                                        ]
                                        /text()
                                    )
                                ]
                            ]
                        ) &gt; 3
                    )">
        
      </assert>

  
      <!--
          Rule ID: VR.ATO.IDS.440298
          
          IF COUNT(RP.BranchOperations.{InternallyRecordedDealings}) > 99
            RETURN VALIDATION MESSAGE
          ENDIF
      -->

      <assert  id="VR.ATO.IDS.440298" diagnostics="DVR.ATO.IDS.440298" test="not(count($RP.BranchOperations.InternallyRecordedDealings.ContextId) &gt; 99)"></assert>

  
      <!--
          Rule ID: VR.ATO.IDS.440299
          
          IF COUNT(RP.{TrustExemptionCode}) > 3
            RETURN VALIDATION MESSAGE
          ENDIF
      -->
    
      <assert  id="VR.ATO.IDS.440299" diagnostics="DVR.ATO.IDS.440299" test="not(count($RP.TrustExemptionCode.ContextId) &gt; 3)"></assert>
  
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
      <!--
          Rule ID: VR.ATO.IDS.440284
        
          IF CONTEXT(RP.ForeignCountry) = ANY OTHER OCCURRENCE OF CONTEXT(RP.ForeignCountry)
            RETURN VALIDATION MESSAGE
          ENDIF  
      -->

      <assert  id="VR.ATO.IDS.440284" diagnostics="DVR.ATO.IDS.440284" test="not(@id=$RP.ForeignCountry.ContextId
                          and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                               /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')]
                          = preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.ForeignCountry.ContextId]
                              /xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                              /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')])">
      
      </assert>
    
      <!--
          Rule ID: VR.ATO.IDS.440286
            
          FOR EACH SpecifiedCountry IN SET (RP.{SpecifiedCountry}.{ActivityCode})
          IF COUNT (RP.{SpecifiedCountry}.{ActivityCode}) > 3
            RETURN VALIDATION MESSAGE
          ENDIF
      -->

      <let name="lSpecifiedCountryCode" value="./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')]/text()" />
      <assert  id="VR.ATO.IDS.440286" diagnostics="DVR.ATO.IDS.440286" test="not(
                    . = $RP.SpecifiedCountry.ActivityCode.Context 
                    and
                    count( 
                        $RP.SpecifiedCountry.ActivityCode.Context
                        [  
                          $lSpecifiedCountryCode
                          = 
                          ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')]/text()
                        ]  
                        ) &gt; 3
                  )">
      
      </assert>

  
      <!--
          Rule ID: VR.ATO.IDS.440287
          
          IF CONTEXT(RP.{SpecifiedCountry}) = ANY OTHER OCCURRENCE OF (RP.SpecifiedCountry)
            RETURN VALIDAITON MESSAGE
          ENDIF
      -->

      <assert  id="VR.ATO.IDS.440287" diagnostics="DVR.ATO.IDS.440287" test="not(@id=$RP.SpecifiedCountry.ContextId
                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                           /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')]
                      = preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.SpecifiedCountry.ContextId]
                           /xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                           /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$')])">
        
      </assert>

      
      <!--
          Rule ID: VR.ATO.IDS.438029
          
          IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) AND 
            (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
              RETURN VALIDATION MESSAGE
          ENDIF            
      -->

      <assert  id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029.IDS" test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                          /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and 
                            matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and 
                            matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                        and
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and 
                          @scheme != 'http://www.ato.gov.au/tfn']
                      )">
        
      </assert>
  
  
      <!-- 
          Rule ID: VR.ATO.GEN.001021
          
          IF Identifier Scheme <> “http://www.ato.gov.au/tfn”
              RETURN VALIDATION MESSAGE
          ENDIF              
      -->

      <assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" 
               test="xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]">
  
      </assert>
    
      <!--
          Rule ID: VR.ATO.IDS.440283
      
          FOR EACH ForeignCountry IN SET (RP.{ForeignCountry}.{ActivityCode})
              IF COUNT (RP.{ForeignCountry}.{ActivityCode}) > 3
              RETURN VALIDATION MESSAGE
          ENDIF                        
      -->

    <let name="lForeignCountryCode" value="./xbrli:entity/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')]/text()" />
    <assert  id="VR.ATO.IDS.440283" diagnostics="DVR.ATO.IDS.440283" test="not(
                        . = $RP.ForeignCountry.ActivityCode.Context 
                        and
                        count( 
                           $RP.ForeignCountry.ActivityCode.Context
                            [  
                              $lForeignCountryCode
                              = 
                             ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$')]/text()
                            ]  
                           ) &gt; 3
                      )">
      
    </assert>
</rule>

<rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">
      <!--
          Rule ID: VR.ATO.GEN.001023
          
          IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
              RETURN VALIDATION MESSAGE
          ENDIF
      -->

      <assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" test="not(
                        xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] != $RP.Identifier.TFN
                      )">
        
      </assert>
</rule>
</pattern>