﻿<?xml version="1.0" encoding="utf-8" ?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Variables.</title>

    <!-- IDS Context Variable -->
    <let name="IDS.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0003/ids.0003.lodge.request.02.00.report.xsd']]" />
    <!-- RP.IDS Context -->
    <let name="RP.IDS.Context" value="$IDS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
         ]" />
    <let name="RP.IDS.ContextId" value="$RP.IDS.Context/@id" />
    
    <!-- RP.IDS.ForeignCountry.Context -->
    <let name="RP.IDS.ForeignCountry.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$') and matches(.,'^ForeignCountryCode\.\d\d\.\d\d:(af|ax|al|dz|as|ad|ao|ai|aq|ag|ar|am|aw|au|at|az|bs|bh|bd|bb|by|be|bz|bj|bm|bt|bo|ba|bw|bv|br|io|bn|bg|bf|bi|kh|cm|ca|cv|ky|cf|td|cl|cn|cx|cc|co|km|cg|cd|ck|cr|ci|hr|cu|cy|cz|dk|dj|dm|do|ec|eg|sv|gq|er|ee|et|fk|fo|fj|fi|fr|gf|pf|tf|ga|gm|ge|de|gh|gi|gr|gl|gd|gp|gu|gt|gg|gn|gw|gy|ht|hm|va|hn|hk|hu|is|in|id|ir|iq|ie|im|il|it|jm|jp|je|jo|kz|ke|ki|kp|kr|kw|kg|la|lv|lb|ls|lr|ly|li|lt|lu|mo|mk|mg|mw|my|mv|ml|mt|mh|mq|mr|mu|yt|mx|fm|md|mc|mn|me|ms|ma|mz|mm|na|nr|np|nl|an|nc|nz|ni|ne|ng|nu|nf|mp|no|om|pk|pw|ps|pa|pg|py|pe|ph|pn|pl|pt|pr|qa|re|ro|ru|rw|bl|sh|kn|lc|mf|pm|vc|ws|sm|st|sa|sn|rs|sc|sl|sg|sk|si|sb|so|za|gs|es|lk|sd|sr|sj|sz|se|ch|sy|tw|tj|tz|th|tl|tg|tk|to|tt|tn|tr|tm|tc|tv|ug|ua|ae|gb|us|um|uy|uz|vu|ve|vn|vg|vi|wf|eh|ye|zm|zw|cw|bq|sx|ss)$')]) = 1]
         ]" />
    <let name="RP.IDS.ForeignCountry.ContextId" value="$RP.IDS.ForeignCountry.Context/@id" />

    <!-- RP.IDS.ForeignCountry.ActivityCode.Context -->
    <let name="RP.IDS.ForeignCountry.ActivityCode.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$') and matches(.,'^ForeignCountryCode\.\d\d\.\d\d:(af|ax|al|dz|as|ad|ao|ai|aq|ag|ar|am|aw|au|at|az|bs|bh|bd|bb|by|be|bz|bj|bm|bt|bo|ba|bw|bv|br|io|bn|bg|bf|bi|kh|cm|ca|cv|ky|cf|td|cl|cn|cx|cc|co|km|cg|cd|ck|cr|ci|hr|cu|cy|cz|dk|dj|dm|do|ec|eg|sv|gq|er|ee|et|fk|fo|fj|fi|fr|gf|pf|tf|ga|gm|ge|de|gh|gi|gr|gl|gd|gp|gu|gt|gg|gn|gw|gy|ht|hm|va|hn|hk|hu|is|in|id|ir|iq|ie|im|il|it|jm|jp|je|jo|kz|ke|ki|kp|kr|kw|kg|la|lv|lb|ls|lr|ly|li|lt|lu|mo|mk|mg|mw|my|mv|ml|mt|mh|mq|mr|mu|yt|mx|fm|md|mc|mn|me|ms|ma|mz|mm|na|nr|np|nl|an|nc|nz|ni|ne|ng|nu|nf|mp|no|om|pk|pw|ps|pa|pg|py|pe|ph|pn|pl|pt|pr|qa|re|ro|ru|rw|bl|sh|kn|lc|mf|pm|vc|ws|sm|st|sa|sn|rs|sc|sl|sg|sk|si|sb|so|za|gs|es|lk|sd|sr|sj|sz|se|ch|sy|tw|tj|tz|th|tl|tg|tk|to|tt|tn|tr|tm|tc|tv|ug|ua|ae|gb|us|um|uy|uz|vu|ve|vn|vg|vi|wf|eh|ye|zm|zw|cw|bq|sx|ss)$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ActivityCodeType\.\d\d\.\d\d:ActivityCodeTypeDimension$') and matches(.,'^ActivityCodeType\.\d\d\.\d\d:(DistributionAndSaleOfGoods|FinancingActivities|Guarantees|InsuranceAndReinsurance|Leasing|LicensingOrTransferOfIntellectualProperty|Logistics|ManufacturingAndSaleOfGoods|PurchaseAndDistributionOfGoods|PurchaseAndManufactureOfGoods|RetailTrade|SalesAndMarketingServices|SecuritisationServices|SoftwareAndInformationTechnologyServices|Superannuation|TechnicalServices|UnderwritingServices|UtilitiesAndInfrastructure|Other|AdministrativeServices|AdvisoryServices|AssetManagement|BorrowingAndLending|Brokerage|CashAndTradeServices|Construction|CustodyAndTransactionClearingServices|Derivatives|MediaTelecommunicationsAndInformationServices|PrimaryProductionExtractionAndSaleOfGoods|ReceiptPaymentOfDividendsAndDistributionsFromTrustsAndPartnerships|TollManufacturingServices|TreasuryRelatedServices|ActivityCodeTypeDimension)$')]) = 1]
         ]" />    
    <let name="RP.IDS.ForeignCountry.ActivityCode.ContextId" value="$RP.IDS.ForeignCountry.ActivityCode.Context/@id" />

    <!-- RP.IDS.SpecifiedCountry Context -->
    <let name="RP.IDS.SpecifiedCountry.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$') and matches(.,'^SpecifiedCountryCode\.\d\d\.\d\d:(ad|ai|ag|aw|bs|bh|bz|bm|vg|ky|ck|cy|dm|gi|gd|gg|im|je|lr|li|mh|mu|mc|ms|nr|nu|pa|kn|lc|vc|ws|sm|sc|tc|vi|vu|cw|sx)$')]) = 1]
         ]" />
    <let name="RP.IDS.SpecifiedCountry.ContextId" value="$RP.IDS.SpecifiedCountry.Context/@id" />

    <!-- RP.IDS.SpecifiedCountry.ActivityCode.Context -->
    <let name="RP.IDS.SpecifiedCountry.ActivityCode.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$') and matches(.,'^SpecifiedCountryCode\.\d\d\.\d\d:(ad|ai|ag|aw|bs|bh|bz|bm|vg|ky|ck|cy|dm|gi|gd|gg|im|je|lr|li|mh|mu|mc|ms|nr|nu|pa|kn|lc|vc|ws|sm|sc|tc|vi|vu|cw|sx)$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ActivityCodeType\.\d\d\.\d\d:ActivityCodeTypeDimension$') and matches(.,'^ActivityCodeType\.\d\d\.\d\d:(DistributionAndSaleOfGoods|FinancingActivities|Guarantees|InsuranceAndReinsurance|Leasing|LicensingOrTransferOfIntellectualProperty|Logistics|ManufacturingAndSaleOfGoods|PurchaseAndDistributionOfGoods|PurchaseAndManufactureOfGoods|RetailTrade|SalesAndMarketingServices|SecuritisationServices|SoftwareAndInformationTechnologyServices|Superannuation|TechnicalServices|UnderwritingServices|UtilitiesAndInfrastructure|Other|AdministrativeServices|AdvisoryServices|AssetManagement|BorrowingAndLending|Brokerage|CashAndTradeServices|Construction|CustodyAndTransactionClearingServices|Derivatives|MediaTelecommunicationsAndInformationServices|PrimaryProductionExtractionAndSaleOfGoods|ReceiptPaymentOfDividendsAndDistributionsFromTrustsAndPartnerships|TollManufacturingServices|TreasuryRelatedServices|ActivityCodeTypeDimension)$')]) = 1]
         ]" />    
    <let name="RP.IDS.SpecifiedCountry.ActivityCode.ContextId" value="$RP.IDS.SpecifiedCountry.ActivityCode.Context/@id" />

    <!-- RP.IDS.AssetManagement.Context -->
    <let name="RP.IDS.AssetManagement.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:AssetManagement$')]) = 1]
         ]" />    
    <let name="RP.IDS.AssetManagement.ContextId" value="$RP.IDS.AssetManagement.Context/@id" />

    <!-- RP.IDS.BranchOperations.Context -->
    <let name="RP.IDS.BranchOperations.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1]
         ]" />
    <let name="RP.IDS.BranchOperations.ContextId" value="$RP.IDS.BranchOperations.Context/@id" />

    <!-- RP.IDS.CapitalNonMonetaryPayment.Context -->
    <let name="RP.IDS.CapitalNonMonetaryPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:CapitalNonMonetaryPayment$')]) = 1]
         ]" />
    <let name="RP.IDS.CapitalNonMonetaryPayment.ContextId" value="$RP.IDS.CapitalNonMonetaryPayment.Context/@id" />
    
    <!-- RP.IDS.CapitalNoPayment.Context -->
    <let name="RP.IDS.CapitalNoPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:CapitalNoPayment$')]) = 1]
         ]" />
    <let name="RP.IDS.CapitalNoPayment.ContextId" value="$RP.IDS.CapitalNoPayment.Context/@id" />
    
    <!-- RP.IDS.DebtFactoring.Context -->
    <let name="RP.IDS.DebtFactoring.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:DebtFactoring$')]) = 1]
         ]" />
    <let name="RP.IDS.DebtFactoring.ContextId" value="$RP.IDS.DebtFactoring.Context/@id" />
    
    <!-- RP.IDS.Derivatives.Context -->
    <let name="RP.IDS.Derivatives.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Derivatives$')]) = 1]
         ]" />    
    <let name="RP.IDS.Derivatives.ContextId" value="$RP.IDS.Derivatives.Context/@id" />

    <!-- RP.IDS.Insurance.Context -->
    <let name="RP.IDS.Insurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Insurance$')]) = 1]
         ]" />
    <let name="RP.IDS.Insurance.ContextId" value="$RP.IDS.Insurance.Context/@id" />
    
    <!-- RP.IDS.LicenceFees Context -->
    <let name="RP.IDS.LicenceFees.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:LicenceFees$')]) = 1]
         ]" />    
    <let name="RP.IDS.LicenceFees.ContextId" value="$RP.IDS.LicenceFees.Context/@id" />

    <!-- RP.IDS.Logistics.Context -->
    <let name="RP.IDS.Logistics.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Logistics$')]) = 1]
         ]" />
    <let name="RP.IDS.Logistics.ContextId" value="$RP.IDS.Logistics.Context/@id" />

    <!-- RP.IDS.ManagementAndAdmin.Context -->
    <let name="RP.IDS.ManagementAndAdmin.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:ManagementAndAdmin$')]) = 1]
         ]" />
    <let name="RP.IDS.ManagementAndAdmin.ContextId" value="$RP.IDS.ManagementAndAdmin.Context/@id" />
    
    <!-- RP.IDS.OtherFinancialDealings Context -->
    <let name="RP.IDS.OtherFinancialDealings.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherFinancialDealings$')]) = 1]
         ]" />
    <let name="RP.IDS.OtherFinancialDealings.ContextId" value="$RP.IDS.OtherFinancialDealings.Context/@id" />

    <!-- RP.IDS.OtherGuarantees.Context -->
    <let name="RP.IDS.OtherGuarantees.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherGuarantees$')]) = 1]
         ]" />
    <let name="RP.IDS.OtherGuarantees.ContextId" value="$RP.IDS.OtherGuarantees.Context/@id" />

    <!-- RP.IDS.OtherInsurance.Context -->
    <let name="RP.IDS.OtherInsurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInsurance$')]) = 1]
         ]" />    
    <let name="RP.IDS.OtherInsurance.ContextId" value="$RP.IDS.OtherInsurance.Context/@id" />
    
    <!-- RP.IDS.OtherInterest.Context -->
    <let name="RP.IDS.OtherInterest.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInterest$')]) = 1]
         ]" />
    <let name="RP.IDS.OtherInterest.ContextId" value="$RP.IDS.OtherInterest.Context/@id" />
    
    <!-- RP.IDS.OtherNotReportedIntangibleNonRevenue.Context -->
    <let name="RP.IDS.OtherNotReportedIntangibleNonRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherNotReportedIntangibleNonRevenue$')]) = 1]
         ]" />
    <let name="RP.IDS.OtherNotReportedIntangibleNonRevenue.ContextId" value="$RP.IDS.OtherNotReportedIntangibleNonRevenue.Context/@id" />

    <!-- RP.IDS.OtherNotReportedRevenue.Context -->
    <let name="RP.IDS.OtherNotReportedRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherNotReportedRevenue$')]) = 1]
         ]" />
    <let name="RP.IDS.OtherNotReportedRevenue.ContextId" value="$RP.IDS.OtherNotReportedRevenue.Context/@id" />

    <!-- RP.IDS.OtherNotReportedTangibleNonRevenue.Context -->
    <let name="RP.IDS.OtherNotReportedTangibleNonRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherNotReportedTangibleNonRevenue$')]) = 1]
         ]" />
    <let name="RP.IDS.OtherNotReportedTangibleNonRevenue.ContextId" value="$RP.IDS.OtherNotReportedTangibleNonRevenue.Context/@id" />

    <!-- RP.IDS.OtherReinsurance.Context -->
    <let name="RP.IDS.OtherReinsurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherReinsurance$')]) = 1]
         ]" />    
    <let name="RP.IDS.OtherReinsurance.ContextId" value="$RP.IDS.OtherReinsurance.Context/@id" />

    <!-- RP.IDS.OtherServices.Context -->
    <let name="RP.IDS.OtherServices.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherServices$')]) = 1]
         ]" />    
    <let name="RP.IDS.OtherServices.ContextId" value="$RP.IDS.OtherServices.Context/@id" />
    
    <!-- RP.IDS.RechargeAmounts.Context -->
    <let name="RP.IDS.RechargeAmounts.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RechargeAmounts$')]) = 1]
         ]" />
    <let name="RP.IDS.RechargeAmounts.ContextId" value="$RP.IDS.RechargeAmounts.Context/@id" />

    <!-- RP.IDS.Reinsurance.Context -->
    <let name="RP.IDS.Reinsurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Reinsurance$')]) = 1]
         ]" />    
    <let name="RP.IDS.Reinsurance.ContextId" value="$RP.IDS.Reinsurance.Context/@id" />
    
    <!-- RP.IDS.RentLease.Context -->
    <let name="RP.IDS.RentLease.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RentLease$')]) = 1]
         ]" />
    <let name="RP.IDS.RentLease.ContextId" value="$RP.IDS.RentLease.Context/@id" />

    <!-- RP.IDS.ResearchAndDevelopment.Context -->
    <let name="RP.IDS.ResearchAndDevelopment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:ResearchAndDevelopment$')]) = 1]
         ]" />    
    <let name="RP.IDS.ResearchAndDevelopment.ContextId" value="$RP.IDS.ResearchAndDevelopment.Context/@id" />

    <!-- RP.IDS.RevenueNonMonetaryPayment.Context -->
    <let name="RP.IDS.RevenueNonMonetaryPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RevenueNonMonetaryPayment$')]) = 1]
         ]" />
    <let name="RP.IDS.RevenueNonMonetaryPayment.ContextId" value="$RP.IDS.RevenueNonMonetaryPayment.Context/@id" />

    <!-- RP.IDS.RevenueNoPayment.Context -->
    <let name="RP.IDS.RevenueNoPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RevenueNoPayment$')]) = 1]
         ]" />
    <let name="RP.IDS.RevenueNoPayment.ContextId" value="$RP.IDS.RevenueNoPayment.Context/@id" />
    
    <!-- RP.IDS.Royalties.Context -->
    <let name="RP.IDS.Royalties.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Royalties$')]) = 1]
         ]" />
    <let name="RP.IDS.Royalties.ContextId" value="$RP.IDS.Royalties.Context/@id" />

    <!-- RP.IDS.SalesAndMarketing.Context -->
    <let name="RP.IDS.SalesAndMarketing.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:SalesAndMarketing$')]) = 1]
         ]" />
    <let name="RP.IDS.SalesAndMarketing.ContextId" value="$RP.IDS.SalesAndMarketing.Context/@id" />

    <!-- RP.IDS.Securitisation.Context -->
    <let name="RP.IDS.Securitisation.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Securitisation$')]) = 1]
         ]" />
    <let name="RP.IDS.Securitisation.ContextId" value="$RP.IDS.Securitisation.Context/@id" />
    
    <!-- RP.IDS.SoftwareAndITServices.Context -->
    <let name="RP.IDS.SoftwareAndITServices.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:SoftwareAndITServices$')]) = 1]
         ]" />
    <let name="RP.IDS.SoftwareAndITServices.ContextId" value="$RP.IDS.SoftwareAndITServices.Context/@id" />

    <!-- RP.IDS.TangibleRevenue.Context -->
    <let name="RP.IDS.TangibleRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:TangibleRevenue$')]) = 1]
         ]" />
    <let name="RP.IDS.TangibleRevenue.ContextId" value="$RP.IDS.TangibleRevenue.Context/@id" />

    <!-- RP.IDS.Technical.Context -->
    <let name="RP.IDS.Technical.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Technical$')]) = 1]
         ]" />
    <let name="RP.IDS.Technical.ContextId" value="$RP.IDS.Technical.Context/@id" />
    
    <!-- RP.IDS.TreasuryRelated.Context -->
    <let name="RP.IDS.TreasuryRelated.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:TreasuryRelated$')]) = 1]
         ]" />
    <let name="RP.IDS.TreasuryRelated.ContextId" value="$RP.IDS.TreasuryRelated.Context/@id" />

    <!-- RP.IDS.Advisory.Context -->
    <let name="RP.IDS.Advisory.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Advisory$')]) = 1]
         ]" />
    <let name="RP.IDS.Advisory.ContextId" value="$RP.IDS.Advisory.Context/@id" />

    <!-- RP.IDS.Borrowing Context -->
    <let name="RP.IDS.Borrowing.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Borrowing$')]) = 1]
         ]" />
    <let name="RP.IDS.Borrowing.ContextId" value="$RP.IDS.Borrowing.Context/@id" />

    <!-- RP.IDS.Division770.Context -->
    <let name="RP.IDS.Division770.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Division770$')]) = 1]
         ]" />
    <let name="RP.IDS.Division770.ContextId" value="$RP.IDS.Division770.Context/@id" />

    <!-- RP.IDS.EligibleContract.Context -->
    <let name="RP.IDS.EligibleContract.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:EligibleContract$')]) = 1]
         ]" />
    <let name="RP.IDS.EligibleContract.ContextId" value="$RP.IDS.EligibleContract.Context/@id" />

    <!-- RP.IDS.GuaranteeType.Context -->
    <let name="RP.IDS.GuaranteeType.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:GuaranteeType$')]) = 1]
         ]" />
    <let name="RP.IDS.GuaranteeType.ContextId" value="$RP.IDS.GuaranteeType.Context/@id" />
    
    <!-- RP.IDS.GeneralDeduction.Context -->
    <let name="RP.IDS.GeneralDeduction.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:GeneralDeduction$')]) = 1]
         ]" />
    <let name="RP.IDS.GeneralDeduction.ContextId" value="$RP.IDS.GeneralDeduction.Context/@id" />
    
    <!-- RP.IDS.Hedging.Context -->
    <let name="RP.IDS.Hedging.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Hedging$')]) = 1]
         ]" />
    <let name="RP.IDS.Hedging.ContextId" value="$RP.IDS.Hedging.Context/@id" />

    <!-- RP.IDS.Investment.Context -->
    <let name="RP.IDS.Investment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Investment$')]) = 1]
         ]" />    
    <let name="RP.IDS.Investment.ContextId" value="$RP.IDS.Investment.Context/@id" />
    
    <!-- RP.IDS.Lending.Context -->
    <let name="RP.IDS.Lending.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Lending$')]) = 1]
         ]" />
    <let name="RP.IDS.Lending.ContextId" value="$RP.IDS.Lending.Context/@id" />

    <!-- RP.IDS.Other.Context -->
    <let name="RP.IDS.Other.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Other$')]) = 1]
         ]" />    
    <let name="RP.IDS.Other.ContextId" value="$RP.IDS.Other.Context/@id" />
    
    <!-- RP.IDS.Reconciliation.Context -->
    <let name="RP.IDS.Reconciliation.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Reconciliation$')]) = 1]
         ]" />
    <let name="RP.IDS.Reconciliation.ContextId" value="$RP.IDS.Reconciliation.Context/@id" />
    
    <!-- RP.Total Context -->
    <let name="RP.IDS.Total.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Total$')]) = 1]
         ]" />
    <!-- RP.IDS.Total Context Id -->
    <let name="RP.IDS.Total.ContextId" value="$RP.IDS.Total.Context/@id" />
    <!-- RP.IDS.TotalNet Context -->
    <let name="RP.IDS.TotalNet.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:TotalNet$')]) = 1]
         ]" />
    <!-- RP.IDS.TotalNet Context Id -->
    <let name="RP.IDS.TotalNet.ContextId" value="$RP.IDS.TotalNet.Context/@id" />
    <!-- RP.IDS.Trading Context -->
    <let name="RP.IDS.Trading.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Trading$')]) = 1]
         ]" />
    <!-- RP.IDS.Trading Context Id -->
    <let name="RP.IDS.Trading.ContextId" value="$RP.IDS.Trading.Context/@id" />
    <!-- RP.IDS.BranchOperations.InternallyRecordedDealings Context -->
    <let name="RP.IDS.BranchOperations.InternallyRecordedDealings.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1
              and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternallyRecordedDealings\.\d\d\.\d\d_typedelement:InternallyRecordedDealingsDimension$')]/InternallyRecordedDealings.02.00_typedelement:InternationalDealings.Description.Text) = 1]
         ]" />
    <!-- RP.IDS.Trading Context Id -->
    <let name="RP.IDS.BranchOperations.InternallyRecordedDealings.ContextId" value="$RP.IDS.BranchOperations.InternallyRecordedDealings.Context/@id" />
    <!-- RP.IDS.BranchOperations.InterestFree Context -->
    <let name="RP.IDS.BranchOperations.InterestFree.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestFree$')]) = 1]
         ]" />
    <!-- RP.IDS.BranchOperations.InterestFree Context Id -->
    <let name="RP.IDS.BranchOperations.InterestFree.ContextId" value="$RP.IDS.BranchOperations.InterestFree.Context/@id" />
    <!-- RP.IDS.BranchOperations.InterestBearing Context -->
    <let name="RP.IDS.BranchOperations.InterestBearing.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestBearing$')]) = 1]
         ]" />
    <!-- RP.IDS.BranchOperations.InterestBearing Context Id -->
    <let name="RP.IDS.BranchOperations.InterestBearing.ContextId" value="$RP.IDS.BranchOperations.InterestBearing.Context/@id" />
    <!-- RP.IDS.OtherFinancialDealings.InterestBearing Context -->
    <let name="RP.IDS.OtherFinancialDealings.InterestBearing.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherFinancialDealings$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestBearing$')]) = 1]
         ]" />
    <!-- RP.IDS.OtherFinancialDealings.InterestBearing Context Id -->
    <let name="RP.IDS.OtherFinancialDealings.InterestBearing.ContextId" value="$RP.IDS.OtherFinancialDealings.InterestBearing.Context/@id" />
    <!-- RP.IDS.OtherFinancialDealings.InterestFree Context -->
    <let name="RP.IDS.OtherFinancialDealings.InterestFree.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherFinancialDealings$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestFree$')]) = 1]
         ]" />
    <!-- RP.IDS.OtherFinancialDealings.InterestFree Context Id -->
    <let name="RP.IDS.OtherFinancialDealings.InterestFree.ContextId" value="$RP.IDS.OtherFinancialDealings.InterestFree.Context/@id" />
    <!--RP.IDS.{RestructuringEvent}-->
    <let name="RP.IDS.RestructuringEvent.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./*) = 2 and count(./xbrldi:explicitMember) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RestructuringEvent\.\d\d\.\d\d_typedelement:RestructuringEventDimension$')]/RestructuringEvent.02.00_typedelement:InternationalDealings.Description.Text) = 1]
         ]" />
    <!-- RP.IDS.OtherFinancialDealings.InterestFree Context Id -->
    <let name="RP.IDS.RestructuringEvent.ContextId" value="$RP.IDS.RestructuringEvent.Context/@id" />
    <!-- RP.IDS.TrustExemptionCode Context -->
    <let name="RP.IDS.TrustExemptionCode.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TransferorTrustExemptionCode\.\d\d\.\d\d:TransferorTrustExemptionCodeDimension$') and matches(.,'^TransferorTrustExemptionCode\.\d\d\.\d\d:(TransferorTrustExemption1|TransferorTrustExemption2|TransferorTrustExemption3|TransferorTrustExemption4|TransferorTrustExemption5|TransferorTrustExemption6)$')]) = 1]
         ]" />
    <!-- RP.IDS.TrustExemptionCode Context Id -->
    <let name="RP.IDS.TrustExemptionCode.ContextId" value="$RP.IDS.TrustExemptionCode.Context/@id" />
    <!-- RP.IDS.Quarterly Context -->
    <let name="RP.IDS.Quarterly.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^PrdType\.\d\d\.\d\d:PeriodTypeDimension$') and matches(.,'^PrdType\.\d\d\.\d\d:Quarterly$')]) = 1]
         ]" />
    <!-- RP.IDS.Quarterly Context Id -->
    <let name="RP.IDS.Quarterly.ContextId" value="$RP.IDS.Quarterly.Context/@id" />
    <!-- RP.IDS.Lending.RelatedParty Context -->
    <let name="RP.IDS.Lending.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Lending$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Quarterly Context Id -->
    <let name="RP.IDS.Lending.RelatedParty.ContextId" value="$RP.IDS.Lending.RelatedParty.Context/@id" />
    <!-- RP.IDS.Borrowing.RelatedParty Context -->
    <let name="RP.IDS.Borrowing.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Borrowing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Borrowing.RelatedParty Context Id -->
    <let name="RP.IDS.Borrowing.RelatedParty.ContextId" value="$RP.IDS.Borrowing.RelatedParty.Context/@id" />
    <!-- RP.IDS.GuaranteeType.RelatedParty Context -->
    <let name="RP.IDS.GuaranteeType.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:GuaranteeType$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.GuaranteeType.RelatedParty Context Id -->
    <let name="RP.IDS.GuaranteeType.RelatedParty.ContextId" value="$RP.IDS.GuaranteeType.RelatedParty.Context/@id" />
    <let name="RP.IDS.Trading.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Trading$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.GuaranteeType.RelatedParty Context Id -->
    <let name="RP.IDS.Trading.RelatedParty.ContextId" value="$RP.IDS.Trading.RelatedParty.Context/@id" />
    <let name="RP.IDS.EligibleContract.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:EligibleContract$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.EligibleContract.RelatedParty Context Id -->
    <let name="RP.IDS.EligibleContract.RelatedParty.ContextId" value="$RP.IDS.EligibleContract.RelatedParty.Context/@id" />
    <let name="RP.IDS.Investment.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Investment$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Investment.RelatedParty Context Id -->
    <let name="RP.IDS.Investment.RelatedParty.ContextId" value="$RP.IDS.Investment.RelatedParty.Context/@id" />
    <!-- RP.IDS.CFCLC Context -->
    <let name="RP.IDS.CFCLC.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
          ]" />
    <!-- RP.IDS.CFCLC Context Id -->
    <let name="RP.IDS.CFCLC.ContextId" value="$RP.IDS.CFCLC.Context/@id" />
    <!-- RP.IDS.CFCSP Context -->
    <let name="RP.IDS.CFCSP.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:SpecifiedCountry$')]) = 1]
         ]" />
    <!-- RP.IDS.CFCSP Context Id -->
    <let name="RP.IDS.CFCSP.ContextId" value="$RP.IDS.CFCSP.Context/@id" />
    <!-- RP.IDS.CFCUC Context -->
    <let name="RP.IDS.CFCUC.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
         ]" />
    <!-- RP.IDS.CFCUC Context Id -->
    <let name="RP.IDS.CFCUC.ContextId" value="$RP.IDS.CFCUC.Context/@id" />
    <!-- RP.IDS.Advisory.RelatedParty Context -->
    <let name="RP.IDS.Advisory.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Advisory$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Advisory.RelatedParty Context Id -->
    <let name="RP.IDS.Advisory.RelatedParty.ContextId" value="$RP.IDS.Advisory.RelatedParty.Context/@id" />
    <!-- RP.IDS.Hedging.RelatedParty Context -->
    <let name="RP.IDS.Hedging.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Hedging$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Hedging.RelatedParty Context Id -->
    <let name="RP.IDS.Hedging.RelatedParty.ContextId" value="$RP.IDS.Hedging.RelatedParty.Context/@id" />
    <!-- RP.IDS.Other.RelatedParty Context -->
    <let name="RP.IDS.Other.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Other.RelatedParty Context Id -->
    <let name="RP.IDS.Other.RelatedParty.ContextId" value="$RP.IDS.Other.RelatedParty.Context/@id" />
    <!-- RP.IDS.Total.RelatedParty Context -->
    <let name="RP.IDS.Total.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Total$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Total.RelatedParty Context Id -->
    <let name="RP.IDS.Total.RelatedParty.ContextId" value="$RP.IDS.Total.RelatedParty.Context/@id" />
    <!-- RP.IDS.Reconciliation.RelatedParty Context -->
    <let name="RP.IDS.Reconciliation.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Reconciliation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.Reconciliation.RelatedParty Context Id -->
    <let name="RP.IDS.Reconciliation.RelatedParty.ContextId" value="$RP.IDS.Reconciliation.RelatedParty.Context/@id" />
    <!-- RP.IDS.TotalNet.RelatedParty Context -->
    <let name="RP.IDS.TotalNet.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:TotalNet$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
    <!-- RP.IDS.TotalNet.RelatedParty Context Id -->
    <let name="RP.IDS.TotalNet.RelatedParty.ContextId" value="$RP.IDS.TotalNet.RelatedParty.Context/@id" />
    <!-- RP.IDS.DTA Context -->
    <let name="RP.IDS.DTA.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^WTE\.\d\d\.\d\d:WithholdingTaxExemptionDimension$') and matches(.,'^WTE\.\d\d\.\d\d:DoubleTaxAgreement$')]) = 1]
         ]" />
    <!-- RP.IDS.DTA Context Id -->
    <let name="RP.IDS.DTA.ContextId" value="$RP.IDS.DTA.Context/@id" />
    <!-- RP.IDS.s128F Context -->
    <let name="RP.IDS.s128F.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^WTE\.\d\d\.\d\d:WithholdingTaxExemptionDimension$') and matches(.,'^WTE\.\d\d\.\d\d:Section128F$')]) = 1]
         ]" />
    <!-- RP.IDS.s128F Context Id -->
    <let name="RP.IDS.s128F.ContextId" value="$RP.IDS.s128F.Context/@id" />
    <!-- RP.IDS.s128F Context -->
    <let name="RP.IDS.s128FA.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^WTE\.\d\d\.\d\d:WithholdingTaxExemptionDimension$') and matches(.,'^WTE\.\d\d\.\d\d:Section128FA$')]) = 1]
         ]" />
    <!-- RP.IDS.s128FA Context Id -->
    <let name="RP.IDS.s128FA.ContextId" value="$RP.IDS.s128FA.Context/@id" />
    
    <!-- CTR Variables -->
    <let name="CTR.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ctr/ctr_0006/ctr.0006.lodge.request.02.01.report.xsd']]" />
    <let name="RP.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
    <let name="RP.CTR.ContextId" value="$RP.CTR.Context/@id" />
   
    <!-- PTR Variables -->
    <let name="PTR.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ptr/ptr_0004/ptr.0004.lodge.request.02.00.report.xsd']]" />
    <let name="RP.PTR.Context" value="$PTR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
    <let name="RP.PTR.ContextId" value="$RP.PTR.Context/@id" />

    <!-- TRT Context -->
    <let name="TRT.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trt/trt_0004/trt.0004.lodge.request.02.00.report.xsd']]" />
    <let name="RP.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
    <let name="RP.TRT.ContextId" value="$RP.TRT.Context/@id" />
</pattern>

