﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations that are applicable to IDS.</title>
  
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    <!--
            Rule ID: VR.ATO.IDS.440400

            IF LENGTH([IDS218]) > 4
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS218] = IDS:RP:bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyInterestIn.Count
        -->

    <assert  id="VR.ATO.IDS.440400" diagnostics="DVR.ATO.IDS.440400" test="not(              
                  $IDS218[
                    @contextRef = $RP.ContextId
                    and
                    string-length(.) > 4
                  ]
                )">

    </assert>

    <!--
            Rule ID: VR.ATO.IDS.440401

            IF LENGTH([IDS185]) > 3
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS185] = RP:CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

    <assert  id="VR.ATO.IDS.440401" diagnostics="DVR.ATO.IDS.440401" test="not(              
                  $IDS185[
                    @contextRef = $RP.CFCLC.ContextId
                    and
                    string-length(.) > 3
                  ]
                )">

    </assert>

    <!--
            Rule ID: VR.ATO.IDS.440402

            IF LENGTH([IDS186]) > 3
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS186] = RP:CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

    <assert  id="VR.ATO.IDS.440402" diagnostics="DVR.ATO.IDS.440402" test="not(              
                  $IDS186[
                    @contextRef = $RP.CFCSP.ContextId
                    and
                    string-length(.) > 3
                  ]
                )">

    </assert>

    <!--
            Rule ID: VR.ATO.IDS.440403

            IF LENGTH([IDS187]) > 3
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS187] = RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

    <assert  id="VR.ATO.IDS.440403" diagnostics="DVR.ATO.IDS.440403" test="not(              
                  $IDS187[
                    @contextRef = $RP.CFCUC.ContextId
                    and
                    string-length(.) > 3
                  ]
                )">

    </assert>
    
  </rule>

  <rule context="rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
            IF [IDS318] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [IDS318] = IDS:RP.s128F:rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Amount
            -->


    <assert  id="VR.ATO.IDS.440404" diagnostics="DVR.ATO.IDS.440404" test="not(
                         @contextRef = $RP.s128F.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>

    <!--    
            IF [IDS319] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF
            -->    
    
    <assert  id="VR.ATO.IDS.440405" diagnostics="DVR.ATO.IDS.440405" test="not(
                         @contextRef = $RP.s128FA.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
            IF [IDS207] <> NULL AND [IDS207] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS207] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount            
            -->


    <assert  id="VR.ATO.IDS.440313" diagnostics="DVR.ATO.IDS.440313" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

<rule context="bafot.02.11:FinancialServices.GeneralOffshoreBankingDeductionAndApportionableOffshoreBankingDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS296] <> NULL AND [IDS296] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS296] = IDS:RP.GeneralDeduction:bafot.02.11:FinancialServices.GeneralOffshoreBankingDeductionAndApportionableOffshoreBankingDeduction.Amount
        -->


<assert  id="VR.ATO.IDS.440263" diagnostics="DVR.ATO.IDS.440263" test="not(
                        @contextRef = $RP.GeneralDeduction.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.OffshoreBankingIncomeForeignIncomeTaxEligibleFractionClaimed.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS306] <> NULL AND [IDS306] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS306] = IDS:RP.Division770:bafot.02.11:FinancialServices.OffshoreBankingIncomeForeignIncomeTaxEligibleFractionClaimed.Amount
        -->


<assert  id="VR.ATO.IDS.440278" diagnostics="DVR.ATO.IDS.440278" test="not(
                        @contextRef = $RP.Division770.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafot.xx.xx:FinancialServices.OffshoreBankingIncomeAssessable.Amount <> NULL AND bafot.xx.xx:FinancialServices.OffshoreBankingIncomeAssessable.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440216" diagnostics="DVR.ATO.IDS.440216" test="not(
                        @contextRef = $RP.Borrowing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS271] <> NULL AND [IDS271] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS271] = IDS:RP.Borrowing.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440222" diagnostics="DVR.ATO.IDS.440222" test="not(
                        @contextRef = $RP.Borrowing.RelatedParty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS278] <> NULL AND [IDS278] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS278] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440233" diagnostics="DVR.ATO.IDS.440233" test="not(
                        @contextRef = $RP.Trading.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS280] <> NULL AND [IDS280] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS280] = IDS:RP.Trading.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440237" diagnostics="DVR.ATO.IDS.440237" test="not(
                        @contextRef = $RP.Trading.RelatedParty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS281] <> NULL AND [IDS281] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS281] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440238" diagnostics="DVR.ATO.IDS.440238" test="not(
                        @contextRef = $RP.EligibleContract.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS287] <> NULL AND [IDS287] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS287] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440248" diagnostics="DVR.ATO.IDS.440248" test="not(
                        @contextRef = $RP.Advisory.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS289] <> NULL AND [IDS289] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS289] = IDS:RP.Advisory.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440252" diagnostics="DVR.ATO.IDS.440252" test="not(
                        @contextRef = $RP.Advisory.RelatedParty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS293] <> NULL AND [IDS293] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS293] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440258" diagnostics="DVR.ATO.IDS.440258" test="not(
                        @contextRef = $RP.Other.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS295] <> NULL AND [IDS295] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS295] = IDS:RP.Other.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440262" diagnostics="DVR.ATO.IDS.440262" test="not(
                        @contextRef = $RP.Other.RelatedParty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [IDS303] <> NULL AND [IDS303] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS303] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440273" diagnostics="DVR.ATO.IDS.440273" test="not(
                        @contextRef = $RP.TotalNet.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
<!--
            IF [IDS305] <> NULL AND [IDS305] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS305] = IDS:RP.TotalNet.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440277" diagnostics="DVR.ATO.IDS.440277" test="not(
                        @contextRef = $RP.TotalNet.RelatedParty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS283] <> NULL AND [IDS283] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS283] = IDS:RP.EligibleContract.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440242" diagnostics="DVR.ATO.IDS.440242" test="not(
                        @contextRef = $RP.EligibleContract.RelatedParty.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS275] <> NULL AND [IDS275] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS275] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440228" diagnostics="DVR.ATO.IDS.440228" test="not(
                        @contextRef = $RP.GuaranteeType.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS277] <> NULL AND [IDS277] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS277] = IDS:RP.GuaranteeType.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount

        -->


<assert  id="VR.ATO.IDS.440232" diagnostics="DVR.ATO.IDS.440232" test="not(
                        @contextRef = $RP.GuaranteeType.RelatedParty.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS290] <> NULL AND [IDS290] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS290] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440253" diagnostics="DVR.ATO.IDS.440253" test="not(
                        @contextRef = $RP.Hedging.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS292] <> NULL AND [IDS292] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS292] = IDS:RP.Hedging.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440257" diagnostics="DVR.ATO.IDS.440257" test="not(
                        @contextRef = $RP.Hedging.RelatedParty.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS284] <> NULL AND [IDS284] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS284] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            -->


<assert  id="VR.ATO.IDS.440243" diagnostics="DVR.ATO.IDS.440243" test="not(
                        @contextRef = $RP.Investment.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS286] <> NULL AND [IDS286] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS286] = IDS:RP.Investment.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440247" diagnostics="DVR.ATO.IDS.440247" test="not(
                        @contextRef = $RP.Investment.RelatedParty.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS272] <> NULL AND [IDS272] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS272] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440223" diagnostics="DVR.ATO.IDS.440223" test="not(
                        @contextRef = $RP.Lending.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [IDS274] <> NULL AND [IDS274] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS274] = IDS:RP.Lending.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->


<assert  id="VR.ATO.IDS.440227" diagnostics="DVR.ATO.IDS.440227" test="not(
                        @contextRef = $RP.Lending.RelatedParty.ContextId
                        and 
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafot.xx.xx:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount <> NULL AND 
               bafot.xx.xx:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount <> MONETARY(S,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF            
        -->


<assert  id="VR.ATO.IDS.440219" diagnostics="DVR.ATO.IDS.440219" test="not(
                        not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.BookValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF bafpr1.xx.xx:Expense.BookValue.Amount <> NULL AND bafpr1.xx.xx:Expense.BookValue.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440040" diagnostics="DVR.ATO.IDS.440040" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.Consideration.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF bafpr1.xx.xx:Expense.Consideration.Amount <> NULL AND bafpr1.xx.xx:Expense.Consideration.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440041" diagnostics="DVR.ATO.IDS.440041" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.TradingStockPurchaseCosts.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS167] <> NULL AND [IDS167] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS167] = IDS:RP.BranchOperations:bafpr1.02.12:Expense.TradingStockPurchaseCosts.Amount
        -->


<assert  id="VR.ATO.IDS.440090" diagnostics="DVR.ATO.IDS.440090" test="not(
                        @contextRef = $RP.BranchOperations.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.TradingStockSalesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS168] <> NULL AND [IDS168] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS168] = IDS:RP.BranchOperations:bafpr1.02.12:Income.TradingStockSalesTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440091" diagnostics="DVR.ATO.IDS.440091" test="not(
                        @contextRef = $RP.BranchOperations.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS231] <> NULL AND [IDS231] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            [IDS231] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440168" diagnostics="DVR.ATO.IDS.440168" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.SafeHarbour.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS232] <> NULL AND [IDS232] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [IDS232] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.SafeHarbour.Amount
        -->


<assert  id="VR.ATO.IDS.440169" diagnostics="DVR.ATO.IDS.440169" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS238] <> NULL AND [IDS238] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS238] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount
        -->


<assert  id="VR.ATO.IDS.440175" diagnostics="DVR.ATO.IDS.440175" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS239] <> NULL AND [IDS239] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS239] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440176" diagnostics="DVR.ATO.IDS.440176" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.DotationCapitalAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS240] <> NULL AND [IDS240] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS240] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.DotationCapitalAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440177" diagnostics="DVR.ATO.IDS.440177" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.AssetsValueAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS242] <> NULL AND [IDS242] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS242] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetsValueAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440180" diagnostics="DVR.ATO.IDS.440180" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS248] <> NULL AND [IDS248] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS248] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440187" diagnostics="DVR.ATO.IDS.440187" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS249] <> NULL AND [IDS249] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS249] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440188" diagnostics="DVR.ATO.IDS.440188" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.ExcludedEquityInterestsAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS250] <> NULL AND [IDS250] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS250] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ExcludedEquityInterestsAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440189" diagnostics="DVR.ATO.IDS.440189" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.ZeroCapitalAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS251] <> NULL AND [IDS251] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS251] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ZeroCapitalAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440190" diagnostics="DVR.ATO.IDS.440190" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.OnLentAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS252] <> NULL AND [IDS252] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS252] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.OnLentAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440191" diagnostics="DVR.ATO.IDS.440191" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS253] <> NULL AND [IDS253] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS253] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440192" diagnostics="DVR.ATO.IDS.440192" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS254] <> NULL AND [IDS254] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS254] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440193" diagnostics="DVR.ATO.IDS.440193" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.ArmsLengthDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS256] <> NULL AND [IDS256] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS256] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ArmsLengthDebt.Amount
        -->


<assert  id="VR.ATO.IDS.440196" diagnostics="DVR.ATO.IDS.440196" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:Miscellaneous.InternallyRecordedDealingsAmountsClaimedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS169] <> NULL AND [IDS169] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS169] = IDS:RP.BranchOperations.{InternallyRecordedDealings}:bafot.02.11:Miscellaneous.InternallyRecordedDealingsAmountsClaimedTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440093" diagnostics="DVR.ATO.IDS.440093" test="not(
                        @contextRef = $RP.BranchOperations.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:Miscellaneous.InternallyRecordedDealingsAmountsReturnedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS170] <> NULL AND [IDS170] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS170] = IDS:RP.BranchOperations.{InternallyRecordedDealings}:bafot.02.11:Miscellaneous.InternallyRecordedDealingsAmountsReturnedTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440094" diagnostics="DVR.ATO.IDS.440094" test="not(
                        @contextRef = $RP.BranchOperations.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.InterestBorrowedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS163] <> NULL AND [IDS163] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS163] = IDS:RP.BranchOperations.InterestBearing:bafpr1.02.12:Expense.InterestBorrowedTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440086" diagnostics="DVR.ATO.IDS.440086" test="not(
                        @contextRef = $RP.BranchOperations.InterestBearing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.InterestLoanedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS164] <> NULL AND [IDS164] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS164] = IDS:RP.BranchOperations.InterestBearing:bafpr1.02.12:Income.InterestLoanedTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440087" diagnostics="DVR.ATO.IDS.440087" test="not(
                        @contextRef = $RP.BranchOperations.InterestBearing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount <> NULL AND bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440108" diagnostics="DVR.ATO.IDS.440108" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount <> NULL AND bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440118" diagnostics="DVR.ATO.IDS.440118" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount <> NULL AND bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440122" diagnostics="DVR.ATO.IDS.440122" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount <> NULL AND bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440125" diagnostics="DVR.ATO.IDS.440125" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS214] <> NULL AND [IDS214] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS214] = IDS:RP.{TrustExemptionCode}:bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Amount
        -->


<assert  id="VR.ATO.IDS.440140" diagnostics="DVR.ATO.IDS.440140" test="not(
                        @contextRef = $RP.TrustExemptionCode.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.12:Expense.Interest.DebtReceivedAverageBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS173] <> NULL AND [IDS173] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS173] = IDS:RP.Quarterly:bafpr2.02.12:Expense.Interest.DebtReceivedAverageBalance.Amount
        -->


<assert  id="VR.ATO.IDS.440098" diagnostics="DVR.ATO.IDS.440098" test="not(
                        @contextRef = $RP.Quarterly.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.12:Income.Interest.DebtProvidedAverageBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS174] <> NULL AND [IDS174] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS174] = IDS:RP.Quarterly:bafpr2.02.12:Income.Interest.DebtProvidedAverageBalance.Amount
        -->


<assert  id="VR.ATO.IDS.440099" diagnostics="DVR.ATO.IDS.440099" test="not(
                        @contextRef = $RP.Quarterly.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.12:Expense.Interest.EquityReceivedAverageBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
                IF [IDS175] <> NULL AND [IDS175] <> MONETARY(U,11,0)
                    RETURN VALIDATION MESSAGE
                ENDIF

                [IDS175] = IDS:RP.Quarterly:bafpr2.02.12:Expense.Interest.EquityReceivedAverageBalance.Amount      
        -->


<assert  id="VR.ATO.IDS.440100" diagnostics="DVR.ATO.IDS.440100" test="not(
                        @contextRef = $RP.Quarterly.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.12:Income.Interest.EquityProvidedAverageBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS176] <> NULL AND [IDS176] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS176] = IDS:RP.Quarterly:bafpr2.02.12:Income.Interest.EquityProvidedAverageBalance.Amount
        -->


<assert  id="VR.ATO.IDS.440101" diagnostics="DVR.ATO.IDS.440101" test="not(
                        @contextRef = $RP.Quarterly.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS191] <> NULL AND [IDS191] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440112" diagnostics="DVR.ATO.IDS.440112" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS192] <> NULL AND [IDS192] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
        -->


<assert  id="VR.ATO.IDS.440113" diagnostics="DVR.ATO.IDS.440113" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--  
            IF [IDS193] <> NULL AND [IDS193] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440114" diagnostics="DVR.ATO.IDS.440114" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--  
            IF [IDS199] <> NULL AND [IDS199] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS199] = IDS:RP:bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount
        -->


<assert  id="VR.ATO.IDS.440121" diagnostics="DVR.ATO.IDS.440121" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
          IF (bafpr1.xx.xx:Expense.Total.Amount <> NULL) AND (bafpr1.xx.xx:Expense.Total.Amount <> MONETARY(U,11,0)) 
             RETURN VALIDATION MESSAGE
          ENDIF
        -->


<assert  id="VR.ATO.IDS.440006" diagnostics="DVR.ATO.IDS.440006" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.12:Revenue.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
             IF (bafpr1.xx.xx:Revenue.Total.Amount <> NULL) AND (bafpr1.xx.xx:Revenue.Total.Amount <> MONETARY(U,11,0)) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440007" diagnostics="DVR.ATO.IDS.440007" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
          IF (bafpr1.xx.xx:Expense.Other.Amount <> NULL) AND (bafpr1.xx.xx:Expense.Other.Amount <> MONETARY(U,11,0)) 
            RETURN VALIDATION MESSAGE
          ENDIF
        -->


<assert  id="VR.ATO.IDS.440008" diagnostics="DVR.ATO.IDS.440008" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.12:Revenue.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF (bafpr1.xx.xx:Revenue.Other.Amount <> NULL) AND (bafpr1.xx.xx:Revenue.Other.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF   
        -->


<assert  id="VR.ATO.IDS.440009" diagnostics="DVR.ATO.IDS.440009" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.DeductionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF (bafpr1.xx.xx:Expense.DeductionsTotal.Amount <> NULL) AND (bafpr1.xx.xx:Expense.DeductionsTotal.Amount <> MONETARY(U,11,0)) 
              RETURN VALIDATION MESSAGE
            ENDIF  
        -->


<assert  id="VR.ATO.IDS.440017" diagnostics="DVR.ATO.IDS.440017" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Income.IncludedInAssessableTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF (bafpr1.xx.xx:Income.IncludedInAssessableTotal.Amount <> NULL) AND (bafpr1.xx.xx:Income.IncludedInAssessableTotal.Amount <> MONETARY(U,11,0)) 
              RETURN VALIDATION MESSAGE
            ENDIF                    
        -->


<assert  id="VR.ATO.IDS.440018" diagnostics="DVR.ATO.IDS.440018" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpo1.xx.xx:Liabilities.BorrowedAverageBalance.Amount <> NULL AND bafpo1.xx.xx:Liabilities.BorrowedAverageBalance.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440048" diagnostics="DVR.ATO.IDS.440048" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.11:Assets.LoanedAverageBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpo1.xx.xx:Assets.LoanedAverageBalance.Amount <> NULL AND bafpo1.xx.xx:Assets.LoanedAverageBalance.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440050" diagnostics="DVR.ATO.IDS.440050" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.11:Assets.ConsiderationPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpo1.xx.xx:Assets.ConsiderationPaid.Amount <> NULL AND bafpo1.xx.xx:Assets.ConsiderationPaid.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.IDS.440062" diagnostics="DVR.ATO.IDS.440062" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.11:Assets.ConsiderationReceived.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF bafpo1.xx.xx:Assets.ConsiderationReceived.Amount <> NULL AND bafpo1.xx.xx:Assets.ConsiderationReceived.Amount <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF 
        -->


<assert  id="VR.ATO.IDS.440063" diagnostics="DVR.ATO.IDS.440063" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.12:Revenue.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF (bafpr1.xx.xx:Revenue.Other.Amount <> NULL) AND (bafpr1.xx.xx:Revenue.Other.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF   
        -->


<assert  id="VR.ATO.IDS.440009" diagnostics="DVR.ATO.IDS.440009" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
          IF (bafpr1.xx.xx:Expense.Other.Amount <> NULL) AND (bafpr1.xx.xx:Expense.Other.Amount <> MONETARY(U,11,0)) 
            RETURN VALIDATION MESSAGE
          ENDIF
        -->


<assert  id="VR.ATO.IDS.440009" diagnostics="DVR.ATO.IDS.440009" test="not(
                        not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS209] <> NULL AND [IDS209] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount
       -->


<assert  id="VR.ATO.IDS.440134" diagnostics="DVR.ATO.IDS.440134" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
          IF (bafpr1.xx.xx:Expense.Other.Amount <> NULL) AND (bafpr1.xx.xx:Expense.Other.Amount <> MONETARY(U,11,0)) 
            RETURN VALIDATION MESSAGE
          ENDIF
        -->


<assert  id="VR.ATO.IDS.440136" diagnostics="DVR.ATO.IDS.440136" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS211] <> NULL AND [IDS211] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS211] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount
        -->


<assert  id="VR.ATO.IDS.440138" diagnostics="DVR.ATO.IDS.440138" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS212] <> NULL AND [IDS212] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS212] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount
        -->


<assert  id="VR.ATO.IDS.440139" diagnostics="DVR.ATO.IDS.440139" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS219] <> NULL AND [IDS219] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440143" diagnostics="DVR.ATO.IDS.440143" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS226] <> NULL AND [IDS226] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
        -->


<assert  id="VR.ATO.IDS.440159" diagnostics="DVR.ATO.IDS.440159" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS227] <> NULL AND [IDS227] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS227] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
        -->


<assert  id="VR.ATO.IDS.440161" diagnostics="DVR.ATO.IDS.440161" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS228] <> NULL AND [IDS228] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
        -->


<assert  id="VR.ATO.IDS.440164" diagnostics="DVR.ATO.IDS.440164" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS229] <> NULL AND [IDS229] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS229] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount
        -->


<assert  id="VR.ATO.IDS.440165" diagnostics="DVR.ATO.IDS.440165" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.EquityShortfall.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS233] <> NULL AND [IDS233] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS233] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.EquityShortfall.Amount
        -->


<assert  id="VR.ATO.IDS.440170" diagnostics="DVR.ATO.IDS.440170" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS234] <> NULL AND [IDS234] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS234] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount 
        -->


<assert  id="VR.ATO.IDS.440171" diagnostics="DVR.ATO.IDS.440171" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS235] <> NULL AND [IDS235] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS235] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount
        -->


<assert  id="VR.ATO.IDS.440172" diagnostics="DVR.ATO.IDS.440172" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsOverseasPermanentEstablishmentsAverageValueTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS236] <> NULL AND [IDS236] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS236] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsOverseasPermanentEstablishmentsAverageValueTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440173" diagnostics="DVR.ATO.IDS.440173" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS237] <> NULL AND [IDS237] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS237] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount      
        -->


<assert  id="VR.ATO.IDS.440174" diagnostics="DVR.ATO.IDS.440174" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.AssetRevaluation.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS243] <> NULL AND [IDS243] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS243] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetRevaluation.Amount
        -->


<assert  id="VR.ATO.IDS.440181" diagnostics="DVR.ATO.IDS.440181" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS244] <> NULL AND [IDS244] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS244] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount
        -->


<assert  id="VR.ATO.IDS.440182" diagnostics="DVR.ATO.IDS.440182" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS245] <> NULL AND [IDS245] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS245] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount
        -->


<assert  id="VR.ATO.IDS.440184" diagnostics="DVR.ATO.IDS.440184" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS246] <> NULL AND [IDS246] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS246] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440185" diagnostics="DVR.ATO.IDS.440185" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS247] <> NULL AND [IDS247] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS247] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount
        -->


<assert  id="VR.ATO.IDS.440186" diagnostics="DVR.ATO.IDS.440186" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.NotionalAverageBorrowings.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS264] <> NULL AND [IDS264] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS264] = IDS:RP.Quarterly:bafot.02.11:FinancialServices.NotionalAverageBorrowings.Amount
        -->


<assert  id="VR.ATO.IDS.440206" diagnostics="DVR.ATO.IDS.440206" test="not(
                        @contextRef = $RP.Quarterly.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.NonOffshoreBankingUnitNotionalInterest.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS265] <> NULL AND [IDS265] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS265] = IDS:RP:bafot.02.11:FinancialServices.NonOffshoreBankingUnitNotionalInterest.Amount
        -->


<assert  id="VR.ATO.IDS.440207" diagnostics="DVR.ATO.IDS.440207" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.OffshoreBankingUnitNotionalInterest.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS266] <> NULL AND [IDS266] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS266] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitNotionalInterest.Amount
        -->


<assert  id="VR.ATO.IDS.440208" diagnostics="DVR.ATO.IDS.440208" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.11:FinancialServices.NotionalInterestTaxWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS267] <> NULL AND [IDS267] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS267] = IDS:RP:bafot.02.11:FinancialServices.NotionalInterestTaxWithholding.Amount
        -->


<assert  id="VR.ATO.IDS.440209" diagnostics="DVR.ATO.IDS.440209" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.WorldwideCapital.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS259] <> NULL AND [IDS259] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS259] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideCapital.Amount
        -->


<assert  id="VR.ATO.IDS.440199" diagnostics="DVR.ATO.IDS.440199" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.WorldwideDebtTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS260] <> NULL AND [IDS260] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS260] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideDebtTotal.Amount
        -->


<assert  id="VR.ATO.IDS.440200" diagnostics="DVR.ATO.IDS.440200" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Liabilities.ThinCapitalisation.WorldwideEquity.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS261] <> NULL AND [IDS261] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS261] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.WorldwideEquity.Amount
       -->


<assert  id="VR.ATO.IDS.440201" diagnostics="DVR.ATO.IDS.440201" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGearingDebt.Amount[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [IDS262] <> NULL AND [IDS262] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF
        
            [IDS262] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGearingDebt.Amount
       -->


<assert  id="VR.ATO.IDS.440202" diagnostics="DVR.ATO.IDS.440202" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction[not(@i:nil='true' or @i:nil='1')]">
<!--    
        IF [IDS258] <> NULL AND [IDS258] <> NUMBER(U,6,5)
        RETURN VALIDATION MESSAGE
        ENDIF

        [IDS258] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction
    -->


<assert  id="VR.ATO.IDS.440300" diagnostics="DVR.ATO.IDS.440300" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-1]{0,1}(\.[0-9]{0,5})?$')))"></assert>
</rule>

<rule context="rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioDividendAccount.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS313] <> NULL AND [IDS313] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS313] = IDS:RP:rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioDividendAccount.Amount
        -->


<assert  id="VR.ATO.IDS.440302" diagnostics="DVR.ATO.IDS.440302" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc4.02.01:InternationalDealings.ConduitForeignIncomeBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS310] <> NULL AND [IDS310] <> MONETARY(U,11,0) 
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS310] = IDS:RP:rvctc4.02.01:InternationalDealings.ConduitForeignIncomeBalance.Amount
        -->


<assert  id="VR.ATO.IDS.440311" diagnostics="DVR.ATO.IDS.440311" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc4.02.00:InternationalDealings.ConduitForeignIncomeDistributed.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF [IDS311] <> NULL AND [IDS311] <> MONETARY(U,11,0) 
          RETURN VALIDATION MESSAGE
        ENDIF

        [IDS311] = IDS:RP:rvctc4.02.00:InternationalDealings.ConduitForeignIncomeDistributed.Amount
    -->


    <assert  id="VR.ATO.IDS.440312" diagnostics="DVR.ATO.IDS.440312" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
</rule>

<!--TT2015-->
  
  <rule context=" bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        Rule ID: VR.ATO.IDS.440314
           
        IF [IDS320] <> NULL AND [IDS320] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
        ENDIF
            
        [IDS320] IDS:RP.CFCLC:bafpr2.xx.xx:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
    -->
    
    <assert  id="VR.ATO.IDS.440314" diagnostics="DVR.ATO.IDS.440314" 
                test="not(
                          @contextRef = $RP.CFCLC.ContextId
                          and
                          not(matches(.,'^[0-9]{1,11}$'))
                        )">
    </assert>

    <!--
        Rule ID: VR.ATO.IDS.440315
        
        IF [IDS321] <> NULL AND [IDS321] <> MONETARY(U,11,0) 
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [IDS321] IDS:RP.CFCSP:bafpr2.xx.xx:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
      -->
    
    <assert  id="VR.ATO.IDS.440315" diagnostics="DVR.ATO.IDS.440315" 
                test="not(
                          @contextRef = $RP.CFCSP.ContextId
                          and
                          not(matches(.,'^[0-9]{1,11}$'))
                        )">
    </assert>
    
    <!--
        Rule ID: VR.ATO.IDS.440316
          
        IF [IDS322] <> NULL AND [IDS322] <> MONETARY(U,11,0) 
          RETURN VALIDATION MESSAGE
        ENDIF

        [IDS322]IDS:RP.CFCUC:bafpr2.xx.xx:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
    -->
      
    <assert  id="VR.ATO.IDS.440316" diagnostics="DVR.ATO.IDS.440316" 
              test="not(
                        @contextRef = $RP.CFCUC.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
  </rule>
  
  
  <rule context="bafpo6.02.13:Capital.ThinCapitalisation.StatementWorldwideAsset.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        Rule ID: VR.ATO.IDS.440317
      
        IF [IDS323] <> NULL AND [IDS323] <> MONETARY(U,11,0) 
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [IDS323] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.StatementWorldwideAsset.Amount
    -->
    <assert  id="VR.ATO.IDS.440317" diagnostics="DVR.ATO.IDS.440317"
              test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )">
      
    </assert>
  </rule>
  
  <rule context="bafpo6.02.13:Capital.ThinCapitalisation.AverageAustralianAsset.Amount[not(@i:nil='true' or @i:nil='1')]">
      <!--
        Rule ID:  VR.ATO.IDS.440399
        
        IF [IDS324] <> NULL AND [IDS324] <> MONETARY(U,11,0) 
          RETURN VALIDATION MESSAGE
        ENDIF
       
        [IDS324] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.AverageAustralianAsset.Amount
      -->
      
      <assert  id="VR.ATO.IDS.440399" diagnostics="DVR.ATO.IDS.440399" test="not(
                        @contextRef = $RP.ContextId
                        and
                        not(matches(.,'^[0-9]{1,11}$'))
                      )">
        
      </assert>
  </rule>

  

 

</pattern>