﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--   
    IF (([RS12] = "161" OR "212") AND [RS14] = NULLORBLANK)
      RETURN VALIDATION MESSAGE
    END IF

    [RS12] = RS:RP:pyde.02.21:Party.Type.Code
    [RS14] = RS:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->

    <assert id="VR.ATO.RS.000148" diagnostics="DVR.ATO.RS.000148" test="not(                           
             matches($RS12,'^(161|212)$') and                  
             count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        )"/>
    <!--     
      IF (([RS12] = "161" OR "212") AND [RS36] = NULL)
          RETURN VALIDATION MESSAGE
      ENDIF

      [RS12] = RS:RP:pyde.02.21:Party.Type.Code
      [RS36] = RS:RP:bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator
        -->

    <assert id="VR.ATO.RS.000147" diagnostics="DVR.ATO.RS.000147"
            test="not(
             matches($RS12,'^(161|212)$') and
             not ($RS36)             
            )">
    </assert>

    
    <!--    
     IF (([RS12] = "161" OR "212") AND [RS28] = NULL)
        RETURN VALIDATION MESSAGE 
     ENDIF

    [RS12] = RS:RP:pyde.02.21:Party.Type.Code
    [RS28] = RS:RP:bafot.02.00:RealEstateProperty.Ownership.Percent
     -->
    <assert id="VR.ATO.RS.000139" diagnostics="DVR.ATO.RS.000139"
            test="not(
             matches($RS12,'^(161|212)$') and
             not ($RS28)             
            )">
    </assert>


    <!--    
    IF (([RS12] = "161" OR "212") AND [RS29] = NULL) 
        RETURN VALIDATION MESSAGE 
    ENDIF

    [RS29] = RS:RP:bafot.02.00:RealEstateProperty.Acquisition.Date
     -->

    <assert id="VR.ATO.RS.000141" diagnostics="DVR.ATO.RS.000141"
            test="not(
             matches($RS12,'^(161|212)$') and
             not ($RS29)             
            )">
    </assert>
    
    
    <!--      
      IF (([RS12] = "161" OR "212") AND [RS30] = NULL) 
        RETURN VALIDATION MESSAGE 
      ENDIF

      [RS30] = RS:RP:bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount
        -->

    <assert id="VR.ATO.RS.000142" diagnostics="DVR.ATO.RS.000142"
            test="not(
             matches($RS12,'^(161|212)$') and
             not ($RS30)             
            )">
    </assert>
    
    <!--
    IF ([RS59] <>  NULL AND [RS59] <> ([RS38] + [RS39]) - ([RS40] + [RS41] + [RS42] + [RS43] + [RS44] + [RS45] + [RS46] + [RS47] + [RS48] + [RS49] + [RS50] + [RS51] + [RS52] + [RS53] + [RS54]+ [RS55] + [RS56] + [RS57] + [RS58]) +/- 1 )
    RETURN VALIDATION MESSAGE
    ENDIF

    [RS38] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.Rental.Amount
    [RS39] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount
    [RS40] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount
    [RS41] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount
    [RS42] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount
    [RS43] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount
    [RS44] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount
    [RS45] = RS:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
    [RS46] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount
    [RS47] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount
    [RS48] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount
    [RS49] = RS:RP:bafpr1.02.00:Expense.LandTax.Amount
    [RS50] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount
    [RS51] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount
    [RS52] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount
    [RS53] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
    [RS54] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
    [RS55] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount
    [RS56] = RS:RP:bafpr1.02.00:Expense.Travel.Amount
    [RS57] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Water.Amount
    [RS58] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount
    [RS59] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount
    -->

    <let name="VR_ATO_RS_000012_RENTALNET_AMOUNT" value="round(100 * xs:decimal(sum(bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))" />

    <let name="VR_ATO_RS_000012_RENTAL_MINUS_EXPENSES" value="round(100 * xs:decimal(sum(
                    bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                 -
                 round(100 * xs:decimal(sum(
                     bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                 " />


    <assert  id="VR.ATO.RS.000012" diagnostics="DVR.ATO.RS.000012" test="not(
                         $RS59 and abs($VR_ATO_RS_000012_RENTALNET_AMOUNT - $VR_ATO_RS_000012_RENTAL_MINUS_EXPENSES) &gt; 100
                      )"></assert>
    
    
    
    <!--
    IF ([RS12] = "117" AND ([RS27] <> NULL OR [RS28] <> NULL OR [RS29] <> NULL OR [RS30] <> NULL OR [RS31] <> NULL OR [RS32] <> NULL OR [RS33] <> NULL OR [RS34] <> NULL OR [RS35] <> NULL OR [RS36] <> NULL OR [RS14] <> NULLORBLANK))
      RETURN VALIDATION MESSAGE
    ENDIF

    [RS12] = RS:RP:pyde.02.21:Party.Type.Code
    [RS14] = RS:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    [RS27] = RS:RP:bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count
    [RS28] = RS:RP:bafot.02.00:RealEstateProperty.Ownership.Percent
    [RS29] = RS:RP:bafot.02.00:RealEstateProperty.Acquisition.Date
    [RS30] = RS:RP:bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount
    [RS31] = RS:RP:bafot.02.00:RealEstateProperty.Disposal.Date
    [RS32] = RS:RP:bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount
    [RS33] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount
    [RS34] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
    [RS35] = RS:RP:bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
    [RS36] = RS:RP:bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator
    -->

    <assert  id="VR.ATO.RS.000011" diagnostics="DVR.ATO.RS.000011" test="not(
              pyde.02.21:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (matches(.,'^(117)$'))]
              and
              (
                bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0] 
              )
             
             )"></assert>
    
    

    <!--
    IF ([RS24] > RP:period.endDate)
      RETURN VALIDATION MESSAGE
    ENDIF

    [RS24] = RS:RP:bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date
    -->

     <let name="rp_end_date" value="xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]" />
     <assert id="VR.ATO.RS.000009" diagnostics="DVR.ATO.RS.000009" test="not(                         
                ($RS24) and string-length(normalize-space($RS24)) != 0 and function:IsDate1GreaterThanDate2(xs:date($RS24),xs:date($rp_end_date))                       
                        )"/>
        
    <!--
      IF (RP:entity.identifier.scheme <> “http://www.ato.gov.au/tfn”)
         RETURN VALIDATION MESSAGE
      ENDIF
      -->
    
    <let name="rp_identifier_scheme" value="xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]" />
    <assert id="VR.ATO.GEN.500075" diagnostics="DVR.ATO.GEN.500075" test="count($rp_identifier_scheme)!=0"/>
    
    
   

    <!--
    IF ([RS12] <> "117","161", "212")
       RETURN VALIDATION MESSAGE
    ENDIF

    [RS12] = RS:RP:pyde.02.21:Party.Type.Code
    -->
    <assert  id="VR.ATO.RS.000003" diagnostics="DVR.ATO.RS.000003" test="not(
              pyde.02.21:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(117|161|212)$'))]
             )"></assert>
   
    
  </rule>

  <rule context="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[not(@i:nil='true' or @i:nil='1')]">

    <!--
    IF [RS27] > 52 
      RETURN VALIDATION MESSAGE 
    ENDIF

    [RS27] = RS:RP:bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count
        -->

    <assert  id="VR.ATO.RS.000138" diagnostics="DVR.ATO.RS.000138"
             test="not(
                      @contextRef = $RP.ContextId and number(.) &gt;52 
                  )"></assert>
  </rule>

  <rule context="bafot.02.00:RealEstateProperty.RentalWeeks.Count[not(@i:nil='true' or @i:nil='1')]">

    <!--
    IF [RS25] > 52 
      RETURN VALIDATION MESSAGE 
    ENDIF

    [RS25] = RS:RP:bafot.02.00:RealEstateProperty.RentalWeeks.Count
        -->

    <assert  id="VR.ATO.RS.000137" diagnostics="DVR.ATO.RS.000137"
             test="not(
                      @contextRef = $RP.ContextId and number(.) &gt;52 
                  )"></assert>
  </rule>

</pattern>