﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

  <rule context="rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount[not(@i:nil='true')]">

    <!-- 
    
            IF [SMSFAR83] <> NULL AND [SMSFAR83] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR83] = SMSFAR:RP:rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436692" diagnostics="DVR.ATO.SMSFAR.436692" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>


  <rule context="bafpr1.02.16:Expense.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR338] <> NULL AND [SMSFAR338] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR338] = SMSFAR:RP:bafpr1.02.16:Expense.Total.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436600" diagnostics="DVR.ATO.SMSFAR.436600" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND
            (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.410031" diagnostics="DVR.ATO.GEN.410031.0" test="not(             
             string-length(normalize-space(.)) > 0 and not(function:ValidateTFN(.))
             )"></assert>
  </rule>

  <rule context="bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR123] <> NULL AND [SMSFAR123] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436140" diagnostics="DVR.ATO.SMSFAR.436140" test="not(
                            @contextRef = $RPI.Closing.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                        )"></assert>
  </rule>

  <rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND 
                (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR33] <> NULL AND [SMSFAR33] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436040" diagnostics="DVR.ATO.SMSFAR.436040" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR34] <> NULL AND [SMSFAR34] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR34] = SMSFAR:RP:Income.RentLeasingHiringGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436041" diagnostics="DVR.ATO.SMSFAR.436041" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR35] <> NULL AND [SMSFAR35] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR35] = SMSFAR:RP:Income.Interest.Gross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436042" diagnostics="DVR.ATO.SMSFAR.436042" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR36] <> NULL AND [SMSFAR36] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR36] = SMSFAR:RP:Income.ForestryManagedInvestmentScheme.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436043" diagnostics="DVR.ATO.SMSFAR.436043" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR66] <> NULL AND [SMSFAR66] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR66] = SMSFAR:RP.Deductible:bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436094" diagnostics="DVR.ATO.SMSFAR.436094" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
            IF [SMSFAR333] <> NULL AND [SMSFAR333] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR333] = SMSFAR:RP.NonDeductible:bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436587" diagnostics="DVR.ATO.SMSFAR.436587" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR39] <> NULL AND [SMSFAR39] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR39] = SMSFAR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436048" diagnostics="DVR.ATO.SMSFAR.436048" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.16:Expense.Investment.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR67] <> NULL AND [SMSFAR67] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR67] = SMSFAR:RP.Deductible:bafpr1.02.16:Expense.Investment.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436095" diagnostics="DVR.ATO.SMSFAR.436095" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
            IF [SMSFAR334] <> NULL AND [SMSFAR334] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR334] = SMSFAR:RP.NonDeductible:bafpr1.02.16:Expense.Investment.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436589" diagnostics="DVR.ATO.SMSFAR.436589" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR40] <> NULL AND [SMSFAR40] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR40] = SMSFAR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436049" diagnostics="DVR.ATO.SMSFAR.436049" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR49] <> NULL AND [SMSFAR49] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR49] = SMSFAR:RP:SuperannuationContribution.EmployerAssessable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436067" diagnostics="DVR.ATO.SMSFAR.436067" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR50] <> NULL AND [SMSFAR50] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR50] = SMSFAR:RP:SuperannuationContribution.PersonalAssessable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436068" diagnostics="DVR.ATO.SMSFAR.436068" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR51] <> NULL AND [SMSFAR51] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR51] = SMSFAR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount         
        -->

    <assert  id="VR.ATO.SMSFAR.436070" diagnostics="DVR.ATO.SMSFAR.436070" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR52] <> NULL AND [SMSFAR52] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR52] = SMSFAR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436071" diagnostics="DVR.ATO.SMSFAR.436071" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR53] <> NULL AND [SMSFAR53] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436075" diagnostics="DVR.ATO.SMSFAR.436075" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.05:Expense.ManagementAndAdministration.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR68] <> NULL AND [SMSFAR68] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR68] = SMSFAR:RP:Expense.ManagementAndAdministration.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436096" diagnostics="DVR.ATO.SMSFAR.436096" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR42] <> NULL AND [SMSFAR42] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436054" diagnostics="DVR.ATO.SMSFAR.436054" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR43] <> NULL AND [SMSFAR43] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR43] = SMSFAR:RP:Income.PartnershipDistributionGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436055" diagnostics="DVR.ATO.SMSFAR.436055" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.05:Income.DividendsUnfranked.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR44] <> NULL AND [SMSFAR44] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR44] = SMSFAR:RP:Income.DividendsUnfranked.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436056" diagnostics="DVR.ATO.SMSFAR.436056" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.00:Income.DividendsFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR45] <> NULL AND [SMSFAR45] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436058" diagnostics="DVR.ATO.SMSFAR.436058" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR46] <> NULL AND [SMSFAR46] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436060" diagnostics="DVR.ATO.SMSFAR.436060" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR69] <> NULL AND [SMSFAR69] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR69] = SMSFAR:RP.Deductible:bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436098" diagnostics="DVR.ATO.SMSFAR.436098" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
            IF [SMSFAR335] <> NULL AND [SMSFAR335] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR335] = SMSFAR:RP.NonDeductible:bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436593" diagnostics="DVR.ATO.SMSFAR.436593" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.02:Income.TrustDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR47] <> NULL AND [SMSFAR47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436063" diagnostics="DVR.ATO.SMSFAR.436063" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.00:Expense.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR70] <> NULL AND [SMSFAR70] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR70] = SMSFAR:RP.Deductible:bafpr1.02.00:Expense.Other.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436099" diagnostics="DVR.ATO.SMSFAR.436099" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
    <!-- 
            IF [SMSFAR336] <> NULL AND [SMSFAR336] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR336] = SMSFAR:RP.NonDeductible:bafpr1.02.00:Expense.Other.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436598" diagnostics="DVR.ATO.SMSFAR.436598" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR72] <> NULL AND [SMSFAR72] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR72] = SMSFAR:RP.Deductible:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436103" diagnostics="DVR.ATO.SMSFAR.436103" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR73] <> NULL AND [SMSFAR73] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR73] = SMSFAR:RP.Deductible:Income.Taxable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436107" diagnostics="DVR.ATO.SMSFAR.436107" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
  </rule>
  <!--VR.ATO.SMSFAR.436300-->

  <rule context="fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text STARTS WITH " ")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <!--<assert  id="VR.ATO.SMSFAR.436300" diagnostics="DVR.ATO.SMSFAR.436300" test="not(
                       string-length(normalize-space(.)) != 0 and not(matches(.,'^[a-zA-Z](.*)$'))
                      )"></assert>-->

    <assert  id="VR.ATO.SMSFAR.436300" diagnostics="DVR.ATO.SMSFAR.436300" test="not(
                       pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef=$RP.IncomeTaxRefund.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(matches(.,'^[a-zA-Z](.*)$'))]
                      )"></assert>

    <assert  id="VR.ATO.SMSFAR.436300" diagnostics="DVR.ATO.SMSFAR.436300" test="not(
                       pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef=$RP.Superannuation.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(matches(.,'^[a-zA-Z](.*)$'))]
                      )"></assert>
    
  </rule>

  <rule context="bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR64] <> NULL AND [SMSFAR64] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR64] = SMSFAR:RP.Deductible:bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436092" diagnostics="DVR.ATO.SMSFAR.436092" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
           IF [SMSFAR353] <> NULL AND [SMSFAR353] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
           ENDIF

           SMSFAR353] = SMSFAR:RP.NonDeductible:bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436641" diagnostics="DVR.ATO.SMSFAR.436641" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.14:IncomeTax.SupervisoryLevyWoundupAdjustment.Amount[not(@i:nil='true')]">

    <!-- 
            IF [SMSFAR361] <> NULL AND [SMSFAR361] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR361] = SMSFAR:RP:rvctc1.02.14:IncomeTax.SupervisoryLevyWoundupAdjustment.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436653" diagnostics="DVR.ATO.SMSFAR.436653" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR47] <> NULL AND [SMSFAR47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436078" diagnostics="DVR.ATO.SMSFAR.436078" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR56] <> NULL AND [SMSFAR56] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR56] = SMSFAR:RP:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436079" diagnostics="DVR.ATO.SMSFAR.436079" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR57] <> NULL AND [SMSFAR57] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR57] = SMSFAR:RP:Income.NonArmsLengthTrustDistributionsNet.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436080" diagnostics="DVR.ATO.SMSFAR.436080" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR58] <> NULL AND [SMSFAR58] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR58] = SMSFAR:RP:Income.NonArmsLengthOtherNet.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436081" diagnostics="DVR.ATO.SMSFAR.436081" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.15:Expense.CapitalWorks.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR331] <> NULL AND [SMSFAR331] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR331] = SMSFAR:RP.NonDeductible:bafpr1.02.15:Expense.CapitalWorks.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436580" diagnostics="DVR.ATO.SMSFAR.436580" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
            IF [SMSFAR62] <> NULL AND [SMSFAR62] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR62] = SMSFAR:RP.Deductible:bafpr1.02.15:Expense.CapitalWorks.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436088" diagnostics="DVR.ATO.SMSFAR.436088" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR63] <> NULL AND [SMSFAR63] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR63] = SMSFAR:RP.Deductible:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436091" diagnostics="DVR.ATO.SMSFAR.436091" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
            IF [SMSFAR332] <> NULL AND [SMSFAR332] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR332] = SMSFAR:RP.NonDeductible:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436583" diagnostics="DVR.ATO.SMSFAR.436583" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR118] <> NULL AND [SMSFAR118] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436135" diagnostics="DVR.ATO.SMSFAR.436135" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF [SMSFAR223] <> NULL AND [SMSFAR223] <> MONETARY(U,13,2)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR223] = SMSFAR:RP.Closing:SuperannuationBenefit.AccountBalance.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436240" diagnostics="DVR.ATO.SMSFAR.436240" test="not(
        emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef =$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
        )"></assert>
    <!-- 
            IF [SMSFAR209] <> NULL AND [SMSFAR209] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR209] = SMSFAR:RP:SuperannuationContribution.SpouseAndChildContributions.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436222" diagnostics="DVR.ATO.SMSFAR.436222" test="not(
                            emsup.02.02:SuperannuationContribution.SpouseAndChildContributions.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR212] <> NULL AND [SMSFAR212] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR212] = SMSFAR:RP:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)

        -->

    <assert  id="VR.ATO.SMSFAR.436225" diagnostics="DVR.ATO.SMSFAR.436225" test="not(
                            emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR213] <> NULL AND [SMSFAR213] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR213] = SMSFAR:RP:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436226" diagnostics="DVR.ATO.SMSFAR.436226" test="not(
                            emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR214] <> NULL AND [SMSFAR214] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR214] = SMSFAR:RP:SuperannuationContribution.TransferFromReserveAssessable.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436227" diagnostics="DVR.ATO.SMSFAR.436227" test="not(
                            emsup.02.02:SuperannuationContribution.TransferFromReserveAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR215] <> NULL AND [SMSFAR215] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR215] = SMSFAR:RP:SuperannuationContribution.TransferFromReserveNonAssessable.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436228" diagnostics="DVR.ATO.SMSFAR.436228" test="not(
                            emsup.02.02:SuperannuationContribution.TransferFromReserveNonAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR216] <> NULL AND [SMSFAR216] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR216] = SMSFAR:RP:SuperannuationContribution.TotalOther.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436229" diagnostics="DVR.ATO.SMSFAR.436229" test="not(
                            emsup.02.02:SuperannuationContribution.TotalOther.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR217] <> NULL AND [SMSFAR217] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR217] = SMSFAR:RP:SuperannuationContribution.MemberTotal.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436231" diagnostics="DVR.ATO.SMSFAR.436231" test="not(
                            emsup.02.02:SuperannuationContribution.MemberTotal.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
    <!-- 
            IF [SMSFAR220] <> NULL AND [SMSFAR220] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR220] = SMSFAR:RP:SuperannuationRollover.Paid.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436234" diagnostics="DVR.ATO.SMSFAR.436234" test="not(
                            emsup.02.02:SuperannuationRollover.Paid.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.08:SuperannuationContribution.OtherThirdPartyContributions.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR210] <> NULL AND [SMSFAR210] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
               ENDIF
            [SMSFAR210] = SMSFAR:RP:emsup.02.08:SuperannuationContribution.OtherThirdPartyContributions.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436223" diagnostics="DVR.ATO.SMSFAR.436223" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR342] <> NULL AND [SMSFAR342] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR342] = SMSFAR:RP:emsup.02.07:SuperannuationPayment.BenefitPensions.Amount IN TUPLE(smsfar.0005.lodge.req.02.01:MemberInformation)

        -->

    <assert  id="VR.ATO.SMSFAR.436606" diagnostics="DVR.ATO.SMSFAR.436606" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
  </rule>

  <rule context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR85] <> NULL AND [SMSFAR85] <> MONETARY(U,11,0)
			   RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436128" diagnostics="DVR.ATO.SMSFAR.436128" test="not(
                        @contextRef = $RP.Y0Plus.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR77] <> NULL AND [SMSFAR77] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR77] = SMSFAR:RP:InternationalDealings.AAMInterestSection102.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436115" diagnostics="DVR.ATO.SMSFAR.436115" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR78] <> NULL AND [SMSFAR78] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR78] = SMSFAR:RP:bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436117" diagnostics="DVR.ATO.SMSFAR.436117" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR79] <> NULL AND [SMSFAR79] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR79] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436119" diagnostics="DVR.ATO.SMSFAR.436119" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR80] <> NULL AND [SMSFAR80] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR80] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436121" diagnostics="DVR.ATO.SMSFAR.436121" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR81] <> NULL AND [SMSFAR81] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR81] = SMSFAR:RP:IncomeTax.FrankingCredits.Refundable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436122" diagnostics="DVR.ATO.SMSFAR.436122" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR225] <> NULL AND [SMSFAR225] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR225] = SMSFAR:RP:IncomeTax.TaxOffsetTFNNotQuoted.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436242" diagnostics="DVR.ATO.SMSFAR.436242" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="bafpr1.02.09:Income.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR38] <> NULL AND [SMSFAR38] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR38] = SMSFAR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436047" diagnostics="DVR.ATO.SMSFAR.436047" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR37] <> NULL AND [SMSFAR37] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR37] = SMSFAR:RP.JForeign:Income.Gross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436046" diagnostics="DVR.ATO.SMSFAR.436046" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
  </rule>

  <rule context="rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR226] <> NULL AND [SMSFAR226] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR226] = SMSFAR:RP:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436243" diagnostics="DVR.ATO.SMSFAR.436243" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR227] <> NULL AND [SMSFAR227] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR227] = SMSFAR:RP:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436244" diagnostics="DVR.ATO.SMSFAR.436244" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR298] <> NULL AND [SMSFAR298] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR298] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436304" diagnostics="DVR.ATO.SMSFAR.436304" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR82] <> NULL AND [SMSFAR82] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR82] = SMSFAR:RP:IncomeTax.LiabilityInstalmentsTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436123" diagnostics="DVR.ATO.SMSFAR.436123" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR84] <> NULL AND [SMSFAR84] <> MONETARY(S,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR84] = SMSFAR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount

        -->

    <assert  id="VR.ATO.SMSFAR.436277" diagnostics="DVR.ATO.SMSFAR.436277" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                         
                    )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR203] <> NULL AND [SMSFAR203] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR203] = SMSFAR:RP:SuperannuationContribution.EmployerContributions.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436217" diagnostics="DVR.ATO.SMSFAR.436217" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.08:SuperannuationContribution.PersonalContributions.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR205] <> NULL AND [SMSFAR205] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR205] = SMSFAR:RP:emsup.02.00:SuperannuationContribution.PersonalContributions.Amount
            IN TUPLE(smsfar.0005.lodge.req.02.01:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436218" diagnostics="DVR.ATO.SMSFAR.436218" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR206] <> NULL AND [SMSFAR206] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR206] = SMSFAR:RP:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436219" diagnostics="DVR.ATO.SMSFAR.436219" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR207] <> NULL AND [SMSFAR207] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR207] = SMSFAR:RP:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436220" diagnostics="DVR.ATO.SMSFAR.436220" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.03:SuperannuationContribution.PersonalInjuryElection.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR208] <> NULL AND [SMSFAR208] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR208] = SMSFAR:RP:SuperannuationContribution.PersonalInjuryElection.Amount IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436221" diagnostics="DVR.ATO.SMSFAR.436221" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="bafpo1.02.00:Assets.DebtSecurities.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR122] <> NULL AND [SMSFAR122] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436139" diagnostics="DVR.ATO.SMSFAR.436139" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR124] <> NULL AND [SMSFAR124] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436141" diagnostics="DVR.ATO.SMSFAR.436141" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR125] <> NULL AND [SMSFAR125] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436142" diagnostics="DVR.ATO.SMSFAR.436142" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR127] <> NULL AND [SMSFAR127] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436144" diagnostics="DVR.ATO.SMSFAR.436144" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
            IF [SMSFAR132] <> NULL AND [SMSFAR132] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436149" diagnostics="DVR.ATO.SMSFAR.436149" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.05:Expense.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR329] <> NULL AND [SMSFAR329] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR329] = SMSFAR:RP.NonDeductible.JAUS:bafpr1.02.05:Expense.Interest.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436576" diagnostics="DVR.ATO.SMSFAR.436576" test="not(
                         @contextRef = $RP.NonDeductible.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
            IF [SMSFAR60] <> NULL AND [SMSFAR60] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR60] = SMSFAR:RP.Deductible.JAUS:bafpr1.02.05:Expense.Interest.Amount

        -->

    <assert  id="VR.ATO.SMSFAR.436086" diagnostics="DVR.ATO.SMSFAR.436086" test="not(             
                        @contextRef = $RP.Deductible.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
            IF [SMSFAR61] <> NULL AND [SMSFAR61] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR61] = SMSFAR:RP.Deductible.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436087" diagnostics="DVR.ATO.SMSFAR.436087" test="not(
                        @contextRef = $RP.Deductible.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
            IF [SMSFAR330] <> NULL AND [SMSFAR330] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR330] = SMSFAR:RP.NonDeductible.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436578" diagnostics="DVR.ATO.SMSFAR.436578" test="not(
                        @contextRef = $RP.NonDeductible.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR117] <> NULL AND [SMSFAR117] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436134" diagnostics="DVR.ATO.SMSFAR.436134" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR74] <> NULL AND [SMSFAR74] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436111" diagnostics="DVR.ATO.SMSFAR.436111" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR75] <> NULL AND [SMSFAR75] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR75] = SMSFAR:RP:Income.InternationalDealings.TaxOffset.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436113" diagnostics="DVR.ATO.SMSFAR.436113" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.00:Liabilities.Borrowings.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR136] <> NULL AND [SMSFAR136] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR136] = SMSFAR:RP:Liabilities.Borrowings.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436154" diagnostics="DVR.ATO.SMSFAR.436154" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.00:Equity.MemberAccountBalance.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF [SMSFAR137] <> NULL AND [SMSFAR137] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR137] = SMSFAR:RP.Closing:Equity.MemberAccountBalance.Amount
    -->

    <assert  id="VR.ATO.SMSFAR.436157" diagnostics="DVR.ATO.SMSFAR.436157" test="not(
                        @contextRef = $RP.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.00:Liabilities.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF [SMSFAR139] <> NULL AND [SMSFAR139] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR139] = SMSFAR:RP:Liabilities.Other.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436159" diagnostics="DVR.ATO.SMSFAR.436159" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR128] <> NULL AND [SMSFAR128] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436145" diagnostics="DVR.ATO.SMSFAR.436145" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
            IF [SMSFAR133] <> NULL AND [SMSFAR133] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436150" diagnostics="DVR.ATO.SMSFAR.436150" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR76] <> NULL AND [SMSFAR76] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR76] = SMSFAR:RP:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436114" diagnostics="DVR.ATO.SMSFAR.436114" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.00:Assets.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR130] <> NULL AND [SMSFAR130] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436147" diagnostics="DVR.ATO.SMSFAR.436147" test="not(
                        @contextRef = $RPI.Closing.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!-- 
            IF [SMSFAR135] <> NULL AND [SMSFAR135] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436152" diagnostics="DVR.ATO.SMSFAR.436152" test="not(
                        @contextRef = $RPI.Closing.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
            )"></assert>
  </rule>

  <rule context="bafpo7.02.10:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR119] <> NULL AND [SMSFAR119] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR119] = SMSFAR:RP.Closing.JAUS(Instant):bafpo7.02.10:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
            VR.ATO.SMSFAR.436136	CMN.ATO.GEN.400011

        -->

    <assert  id="VR.ATO.SMSFAR.436136" diagnostics="DVR.ATO.SMSFAR.436136" test="not(             
                        @contextRef = $RPI.Closing.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.04:Assets.ManagedInvestments.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR134] <> NULL AND [SMSFAR134] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436151" diagnostics="DVR.ATO.SMSFAR.436151" test="not(
                        @contextRef = $RPI.Closing.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
            IF [SMSFAR120] <> NULL AND [SMSFAR120] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
             ENDIF
             [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436137" diagnostics="DVR.ATO.SMSFAR.436137" test="not(
                        @contextRef = $RPI.Closing.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR121] <> NULL AND [SMSFAR121] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436138" diagnostics="DVR.ATO.SMSFAR.436138" test="not(
                        @contextRef = $RPI.Closing.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR65] <> NULL AND [SMSFAR65] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR65] = SMSFAR:RP.Deductible:bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount            
        -->

    <assert  id="VR.ATO.SMSFAR.436093" diagnostics="DVR.ATO.SMSFAR.436093" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR228] <> NULL AND [SMSFAR228] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR228] = SMSFAR:RP.TOFA:Income.GainsTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436247" diagnostics="DVR.ATO.SMSFAR.436247" test="not(
                        @contextRef = $RP.TOFA.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR230] <> NULL AND [SMSFAR230] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR230] = SMSFAR:RP.TOFA:Expense.LossesTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436248" diagnostics="DVR.ATO.SMSFAR.436248" test="not(
                        @contextRef = $RP.TOFA.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.04:Equity.NetAssetsNotAllocatedToMembers.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR138] <> NULL AND [SMSFAR138] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR138] = SMSFAR:RPI.Closing:Equity.NetAssetsNotAllocatedToMembers.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436158" diagnostics="DVR.ATO.SMSFAR.436158" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR131] <> NULL AND [SMSFAR131] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
    -->

    <assert  id="VR.ATO.SMSFAR.436148" diagnostics="DVR.ATO.SMSFAR.436148" test="not(
                        @contextRef = $RPI.Closing.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR86] <> NULL AND [SMSFAR86] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436131" diagnostics="DVR.ATO.SMSFAR.436131" test="not(
                        @contextRef = $RPI.Y0Plus.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR233] <> NULL AND [SMSFAR233] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR233] = SMSFAR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436278" diagnostics="DVR.ATO.SMSFAR.436278" test="not(
                        @contextRef = $RP.TOFA.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR218] <> NULL AND [SMSFAR218] <> MONETARY(S,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR218] = SMSFAR:RP:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount
            IN TUPLE(smsfar.0005.lodge.req.xx.xx:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436232" diagnostics="DVR.ATO.SMSFAR.436232" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationRollover.Received.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR219] <> NULL AND [SMSFAR219] <> MONETARY(S,13,2)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR219] = SMSFAR:RP:emsup.02.02:SuperannuationRollover.Received.Amount IN TUPLE(smsfar.0005.lodge.req.02.01:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436353" diagnostics="DVR.ATO.SMSFAR.436353" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
        [SMSFAR309] = SMSFAR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        
        IF [SMSFAR309] <> NULL AND [SMSFAR309] <> MONETARY(U,13,2)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR309] = SMSFAR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436317" diagnostics="DVR.ATO.SMSFAR.436317" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF [SMSFAR308] <> NULL AND [SMSFAR308] <> MONETARY(U,13,2)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR308] = SMSFAR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436316" diagnostics="DVR.ATO.SMSFAR.436316" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
  </rule>

  <rule context="rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR316] <> NULL AND [SMSFAR316] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR316] = SMSFAR:RP:rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436310" diagnostics="DVR.ATO.SMSFAR.436310" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR315] <> NULL AND [SMSFAR315] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR315] = SMSFAR:RP:rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436309" diagnostics="DVR.ATO.SMSFAR.436309" test="not(
                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
  </rule>

  <rule context="bafpo7.02.09:Assets.Investment.Collectables.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR312] <> NULL AND [SMSFAR312] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR312] = SMSFAR:RP.JAUS:bafpo7.02.09:Assets.Investment.Collectables.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436341" diagnostics="DVR.ATO.SMSFAR.436341" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.06:SuperannuationContribution.NonComplyingFundsAndPreviouslyNonComplyingFunds.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR310] <> NULL AND [SMSFAR310] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR310] = SMSFAR:RP:emsup.02.06:SuperannuationContribution.NonComplyingFundsAndPreviouslyNonComplyingFunds.Amount IN TUPLE(smsfar.0005.lodge.req.02.01:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436352" diagnostics="DVR.ATO.SMSFAR.436352" test="not(
                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
  </rule>

  <rule context="gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR301] <> NULL AND [SMSFAR301] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR301] = SMSFAR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436344" diagnostics="DVR.ATO.SMSFAR.436344" test="not(
                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                        )"></assert>
  </rule>

  <rule context="bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR302] <> NULL AND [SMSFAR302] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR302] = SMSFAR:RP.Deductible:bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436342" diagnostics="DVR.ATO.SMSFAR.436342" test="not(
                        @contextRef = $RP.Deductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR349] <> NULL AND [SMSFAR349] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR349] = SMSFAR:RP.NonDeductible:bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436591" diagnostics="DVR.ATO.SMSFAR.436591" test="not(
                        @contextRef = $RP.NonDeductible.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.01:IncomeTax.Payable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [SMSFAR307] <> NULL AND [SMSFAR307] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR307] = SMSFAR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436315" diagnostics="DVR.ATO.SMSFAR.436315" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
  </rule>

  <rule context="rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR304] <> NULL AND [SMSFAR304] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR304] = SMSFAR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436313" diagnostics="DVR.ATO.SMSFAR.436313" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR311] <> NULL AND [SMSFAR311] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR311] = SMSFAR:RP.JAUS:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436340" diagnostics="DVR.ATO.SMSFAR.436340" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR322] <> NULL AND [SMSFAR322] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR322] = SMSFAR:RP.JAUS.AustResidentialRealProperty:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436610" diagnostics="DVR.ATO.SMSFAR.436610" test="not(
                        @contextRef = $RP.JAUS.AustResidentialRealProperty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR344] <> NULL AND [SMSFAR344] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR344] = SMSFAR:RP.JAUS.AustNonResidentialRealProperty:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436611" diagnostics="DVR.ATO.SMSFAR.436611" test="not(
                        @contextRef = $RP.JAUS.AustNonResidentialRealProperty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR345] <> NULL AND [SMSFAR345] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR345] = SMSFAR:RP.JAUS.OverseasRealProperty:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436612" diagnostics="DVR.ATO.SMSFAR.436612" test="not(
                        @contextRef = $RP.JAUS.OverseasRealProperty.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR346] <> NULL AND [SMSFAR346] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR346] = SMSFAR:RP.JAUS.AustralianShares:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436613" diagnostics="DVR.ATO.SMSFAR.436613" test="not(
                        @contextRef = $RP.JAUS.AustralianShares.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR347] <> NULL AND [SMSFAR347] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR347] = SMSFAR:RP.JAUS.OtherShares:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436614" diagnostics="DVR.ATO.SMSFAR.436614" test="not(
                        @contextRef = $RP.JAUS.OtherShares.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
    <!--
        IF [SMSFAR348] <> NULL AND [SMSFAR348] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR348] = SMSFAR:RP.JAUS.Other:bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436615" diagnostics="DVR.ATO.SMSFAR.436615" test="not(
                        @contextRef = $RP.JAUS.Other.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR305] <> NULL AND [SMSFAR305] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR305] = SMSFAR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436312" diagnostics="DVR.ATO.SMSFAR.436312" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF [SMSFAR306] <> NULL AND [SMSFAR306] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR306] = SMSFAR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436314" diagnostics="DVR.ATO.SMSFAR.436314" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="bafpo7.02.13:Assets.RelatedParties.InHouse.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR351] <> NULL AND [SMSFAR351] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR351] = SMSFAR:RPI.Closing:bafpo7.02.13:Assets.RelatedParties.InHouse.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436619" diagnostics="DVR.ATO.SMSFAR.436619" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
  </rule>

  <!--<rule context="rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

    --><!-- 
            IF [SMSFAR339] <> NULL AND [SMSFAR339] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR339] = SMSFAR:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount
        --><!--

    <assert  id="VR.ATO.SMSFAR.436602" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>-->

  <rule context="smsfar.0005.lodge.req.02.01:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitLumpSum.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR340] <> NULL AND [SMSFAR340] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR340] = SMSFAR:RP:emsup.02.09:SuperannuationPayment.BenefitLumpSum.Amount IN TUPLE(smsfar.0005.lodge.req.02.01:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436603" diagnostics="DVR.ATO.SMSFAR.436603" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>

  <rule context="bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF LENGTH(bafot.xx.xx:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text) > 3000
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.430297" diagnostics="DVR.ATO.GEN.430297" test="not(
                        string-length(normalize-space(.)) &gt; 3000
                      )"></assert>
  </rule>

  <rule context="rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!-- 
            IF [SMSFAR362] <> NULL AND [SMSFAR362] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR362] = SMSFAR:RP:rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436656" diagnostics="DVR.ATO.SMSFAR.436656" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
  </rule>
</pattern>