﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
      
        <!--
            Rule ID: VR.ATO.IDS.440203 
            
            IF [IDS263] = FALSE AND 
            ([IDS264] <> NULL OR [IDS265] <> NULL OR [IDS266] <> NULL OR [IDS267] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS263] = IDS:RP:bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator
            [IDS264] = IDS:RP.Quarterly:bafot.02.11:FinancialServices.NotionalAverageBorrowings.Amount
            [IDS265] = IDS:RP:bafot.02.11:FinancialServices.NonOffshoreBankingUnitNotionalInterest.Amount
            [IDS266] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitNotionalInterest.Amount
            [IDS267] = IDS:RP:bafot.02.11:FinancialServices.NotionalInterestTaxWithholding.Amount
        -->


        <assert  id="VR.ATO.IDS.440203" diagnostics="DVR.ATO.IDS.440203" test="not( 
                        $IDS263[matches(.,'^(false|0)$')]
                        and
                        (
                             $IDS264 or $IDS265 or $IDS266 or $IDS267
                        )                     
                      )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440005
            
            IF ANY OCCURRENCE OF ([IDS5] > 0 OR [IDS6] > 0 OR [IDS12] > 0 OR [IDS13] > 0) AND
            (([IDS17] = NULL OR [IDS17] = 0) AND ([IDS18] = NULL OR [IDS18] = 0) AND ([IDS22] = NULL OR [IDS22] = 0) AND ([IDS23] = NULL OR [IDS23] = 0) AND
            ([IDS26] = NULL OR [IDS26] = 0) AND ([IDS27] = NULL OR [IDS27] = 0) AND ([IDS31] = NULL OR [IDS31] = 0) AND ([IDS32] = NULL OR [IDS32] = 0) AND
            ([IDS36] = NULL OR [IDS36] = 0) AND ([IDS37] = NULL OR [IDS37] = 0) AND ([IDS40] = NULL OR [IDS40] = 0) AND ([IDS41] = NULL OR [IDS41] = 0) AND
            ([IDS44] = NULL OR [IDS44] = 0) AND ([IDS45] = NULL OR [IDS45] = 0) AND ([IDS48] = NULL OR [IDS48] = 0) AND ([IDS49] = NULL OR [IDS49] = 0) AND
            ([IDS52] = NULL OR [IDS52] = 0) AND ([IDS53] = NULL OR [IDS53] = 0) AND ([IDS56] = NULL OR [IDS56] = 0) AND ([IDS57] = NULL OR [IDS57] = 0) AND
            ([IDS60] = NULL OR [IDS60] = 0) AND ([IDS61] = NULL OR [IDS61] = 0) AND ([IDS64] = NULL OR [IDS64] = 0) AND ([IDS65] = NULL OR [IDS65] = 0) AND
            ([IDS68] = NULL OR [IDS68] = 0) AND ([IDS69] = NULL OR [IDS69] = 0) AND ([IDS72] = NULL OR [IDS72] = 0) AND ([IDS73] = NULL OR [IDS73] = 0) AND
            ([IDS76] = NULL OR [IDS76] = 0) AND ([IDS77] = NULL OR [IDS77] = 0) AND ([IDS82] = NULL OR [IDS82] = 0) AND ([IDS83] = NULL OR [IDS83] = 0) AND
            ([IDS89] = NULL OR [IDS89] = 0) AND ([IDS90] = NULL OR [IDS90] = 0) AND ([IDS93] = NULL OR [IDS93] = 0) AND ([IDS94] = NULL OR [IDS94] = 0) AND
            ([IDS102] = NULL OR [IDS102] = 0) AND ([IDS103] = NULL OR [IDS103] = 0) AND ([IDS106] = NULL OR [IDS106] = 0) AND ([IDS107] = NULL OR [IDS107] = 0) AND
            ([IDS110] = NULL OR [IDS110] = 0) AND ([IDS111] = NULL OR [IDS111] = 0) AND ([IDS114] = NULL OR [IDS114] = 0) AND ([IDS115] = NULL OR [IDS115] = 0) AND
            ([IDS118] = NULL OR [IDS118] = 0) AND ([IDS119] = NULL OR [IDS119] = 0) AND ([IDS124] = NULL OR [IDS124] = 0) AND ([IDS125] = NULL OR [IDS125] = 0))
                  RETURN VALIDATION MESSAGE
            ENDIF

            [IDS5] = IDS:RP.{ForeignCountry}.{ActivityCode}:bafpr1.02.00:Expense.Total.Amount
            [IDS6] = IDS:RP.{ForeignCountry}.{ActivityCode}:bafpr1.02.12:Revenue.Total.Amount
            [IDS12] = IDS:RP.{SpecifiedCountry}.{ActivityCode}:bafpr1.02.00:Expense.Total.Amount
            [IDS13] = IDS:RP.{SpecifiedCountry}.{ActivityCode}:bafpr1.02.12:Revenue.Total.Amount
            [IDS17] = IDS:RP.TangibleRevenue:bafpr1.02.00:Expense.Total.Amount
            [IDS18] = IDS:RP.TangibleRevenue:bafpr1.02.12:Revenue.Total.Amount
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS23] = IDS:RP.Royalties:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS26] = IDS:RP.LicenceFees:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS27] = IDS:RP.LicenceFees:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS31] = IDS:RP.RentLease:bafpr1.02.00:Expense.Total.Amount
            [IDS32] = IDS:RP.RentLease:bafpr1.02.12:Revenue.Total.Amount
            [IDS36] = IDS:RP.TreasuryRelated:bafpr1.02.00:Expense.Total.Amount
            [IDS37] = IDS:RP.TreasuryRelated:bafpr1.02.12:Revenue.Total.Amount
            [IDS40] = IDS:RP.ManagementAndAdmin:bafpr1.02.00:Expense.Total.Amount
            [IDS41] = IDS:RP.ManagementAndAdmin:bafpr1.02.12:Revenue.Total.Amount
            [IDS44] = IDS:RP.Insurance:bafpr1.02.00:Expense.Total.Amount
            [IDS45] = IDS:RP.Insurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS48] = IDS:RP.Reinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS49] = IDS:RP.Reinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS52] = IDS:RP.ResearchAndDevelopment:bafpr1.02.00:Expense.Total.Amount
            [IDS53] = IDS:RP.ResearchAndDevelopment:bafpr1.02.12:Revenue.Total.Amount
            [IDS56] = IDS:RP.SalesAndMarketing:bafpr1.02.00:Expense.Total.Amount
            [IDS57] = IDS:RP.SalesAndMarketing:bafpr1.02.12:Revenue.Total.Amount
            [IDS60] = IDS:RP.SoftwareAndITServices:bafpr1.02.00:Expense.Total.Amount
            [IDS61] = IDS:RP.SoftwareAndITServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS64] = IDS:RP.Technical:bafpr1.02.00:Expense.Total.Amount
            [IDS65] = IDS:RP.Technical:bafpr1.02.12:Revenue.Total.Amount
            [IDS68] = IDS:RP.Logistics:bafpr1.02.00:Expense.Total.Amount
            [IDS69] = IDS:RP.Logistics:bafpr1.02.12:Revenue.Total.Amount
            [IDS72] = IDS:RP.AssetManagement:bafpr1.02.00:Expense.Total.Amount
            [IDS73] = IDS:RP.AssetManagement:bafpr1.02.12:Revenue.Total.Amount
            [IDS76] = IDS:RP.OtherServices:bafpr1.02.00:Expense.Total.Amount
            [IDS77] = IDS:RP.OtherServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS82] = IDS:RP.Derivatives:bafpr1.02.00:Expense.Total.Amount
            [IDS83] = IDS:RP.Derivatives:bafpr1.02.12:Revenue.Total.Amount
            [IDS89] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.BookValue.Amount
            [IDS90] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.Consideration.Amount
            [IDS93] = IDS:RP.Securitisation:bafpr1.02.12:Expense.BookValue.Amount
            [IDS94] = IDS:RP.Securitisation:bafpr1.02.12:Expense.Consideration.Amount
            [IDS102] = IDS:RP.OtherInterest:bafpr1.02.00:Expense.Total.Amount
            [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
            [IDS106] = IDS:RP.OtherGuarantees:bafpr1.02.00:Expense.Total.Amount
            [IDS107] = IDS:RP.OtherGuarantees:bafpr1.02.12:Revenue.Total.Amount
            [IDS110] = IDS:RP.OtherInsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS111] = IDS:RP.OtherInsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS114] = IDS:RP.OtherReinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS115] = IDS:RP.OtherReinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS118] = IDS:RP.OtherFinancialDealings:bafpr1.02.00:Expense.Total.Amount
            [IDS119] = IDS:RP.OtherFinancialDealings:bafpr1.02.12:Revenue.Total.Amount
            [IDS124] = IDS:RP.OtherNotReportedRevenue:bafpr1.02.00:Expense.Total.Amount
            [IDS125] = IDS:RP.OtherNotReportedRevenue:bafpr1.02.12:Revenue.Total.Amount
        -->

        <assert  id="VR.ATO.IDS.440005" diagnostics="DVR.ATO.IDS.440005" test="not(
                        (sum($IDS5) > 0 or sum($IDS6) > 0 or sum($IDS12) > 0 or sum($IDS13) > 0)
                        and
                        (
                        (not($IDS17) or sum($IDS17) = 0) and
                        (not($IDS18) or sum($IDS18) = 0) and
                        (not($IDS22) or sum($IDS22) = 0) and
                        (not($IDS23) or sum($IDS23) = 0) and
                        
                        (not($IDS26) or sum($IDS26) = 0) and
                        (not($IDS27) or sum($IDS27) = 0) and
                        (not($IDS31) or sum($IDS31) = 0) and
                        (not($IDS32) or sum($IDS32) = 0) and
                        
                        (not($IDS36) or sum($IDS36) = 0) and
                        (not($IDS37) or sum($IDS37) = 0) and
                        (not($IDS40) or sum($IDS40) = 0) and
                        (not($IDS41) or sum($IDS41) = 0) and
                        
                        (not($IDS44) or sum($IDS44) = 0) and
                        (not($IDS45) or sum($IDS45) = 0) and
                        (not($IDS48) or sum($IDS48) = 0) and
                        (not($IDS49) or sum($IDS49) = 0) and

                        (not($IDS52) or sum($IDS52) = 0) and
                        (not($IDS53) or sum($IDS53) = 0) and
                        (not($IDS56) or sum($IDS56) = 0) and
                        (not($IDS57) or sum($IDS57) = 0) and
                        
                        (not($IDS60) or sum($IDS60) = 0) and
                        (not($IDS61) or sum($IDS61) = 0) and
                        (not($IDS64) or sum($IDS64) = 0) and
                        (not($IDS65) or sum($IDS65) = 0) and

                        (not($IDS68) or sum($IDS68) = 0) and
                        (not($IDS69) or sum($IDS69) = 0) and
                        (not($IDS72) or sum($IDS72) = 0) and
                        (not($IDS73) or sum($IDS73) = 0) and
                        
                        (not($IDS76) or sum($IDS76) = 0) and
                        (not($IDS77) or sum($IDS77) = 0) and
                        (not($IDS82) or sum($IDS82) = 0) and
                        (not($IDS83) or sum($IDS83) = 0) and
                        
                        (not($IDS89) or sum($IDS89) = 0) and
                        (not($IDS90) or sum($IDS90) = 0) and
                        (not($IDS93) or sum($IDS93) = 0) and
                        (not($IDS94) or sum($IDS94) = 0) and
                        
                        (not($IDS102) or sum($IDS102) = 0) and
                        (not($IDS103) or sum($IDS103) = 0) and
                        (not($IDS106) or sum($IDS106) = 0) and
                        (not($IDS107) or sum($IDS107) = 0) and

                        (not($IDS110) or sum($IDS110) = 0) and
                        (not($IDS111) or sum($IDS111) = 0) and
                        (not($IDS114) or sum($IDS114) = 0) and
                        (not($IDS115) or sum($IDS115) = 0) and
                        
                        (not($IDS118) or sum($IDS118) = 0) and
                        (not($IDS119) or sum($IDS119) = 0) and
                        (not($IDS124) or sum($IDS124) = 0) and
                        (not($IDS125) or sum($IDS125) = 0)              
                
                        )
                      )">
          
        </assert>
      
      
        <!--
            Rul ID: VR.ATO.GEN.428040
            
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) 
              and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS222] = IDS:RP.pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        -->

        <assert  id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040" test="not( 
                          count($IDS222[string-length(normalize-space(.)) != 0]) &gt; 0
                          and
                          not($IDS222[string-length(normalize-space(.)) != 0 and function:ValidateABN(.)])
                      )">
          
        </assert>

      
        <!--
            Rule ID: VR.ATO.IDS.440001
            
            IF [IDS1] = FALSE 
            AND ([IDS2] <> NULL OR [IDS9] <> NULL OR [IDS16] <> NULL OR [IDS21] <> NULL OR [IDS30] <> NULL OR [IDS35] <> NULL OR [IDS81] <> NULL 
            OR [IDS88] <> NULL OR [IDS97] <> NULL OR [IDS123] <> NULL OR [IDS129] <> NULL OR [IDS138] <> NULL OR [IDS147] <> NULL OR [IDS150] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS1] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [IDS2] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
            [IDS16] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator
            [IDS21] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator
            [IDS30] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator
            [IDS35] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator
            [IDS81] = IDS:RP:rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator
            [IDS88] = IDS:RP:rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator
            [IDS97] = IDS:RP:rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator
            [IDS123] = IDS:RP:rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator
            [IDS129] = IDS:RP:bafot.02.11:Miscellaneous.CapitalNature.Indicator
            [IDS138] = IDS:RP:bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [IDS147] = IDS:RP:rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator
            [IDS150] = IDS:RP:rvctc4.02.05:InternationalDealings.CostContributionArrangements.Indicator
        -->

        <assert  id="VR.ATO.IDS.440001" diagnostics="DVR.ATO.IDS.440001" test="not(
                        $IDS1[matches(.,'^(false|0)$')]
                        and
                        (
                             $IDS2 or $IDS9 or $IDS16 or $IDS21 or
                             $IDS30 or $IDS35 or $IDS81 or $IDS88 or
                             $IDS97 or $IDS123 or $IDS129 or $IDS138 or
                             $IDS147 or $IDS150
                        )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440002
            
            IF [IDS1] = TRUE AND 
                ([IDS2] = NULL OR [IDS9] = NULL OR [IDS16] = NULL OR 
                 [IDS21] = NULL OR [IDS30] = NULL OR [IDS35] = NULL OR 
                 [IDS81] = NULL OR [IDS88] = NULL OR [IDS97] = NULL OR 
                 [IDS123] = NULL OR [IDS129] = NULL OR [IDS138] = NULL OR 
                 [IDS147] = NULL OR [IDS150] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS1] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [IDS2] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
            [IDS16] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator
            [IDS21] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator
            [IDS30] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator
            [IDS35] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator
            [IDS81] = IDS:RP:rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator
            [IDS88] = IDS:RP:rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator
            [IDS97] = IDS:RP:rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator
            [IDS123] = IDS:RP:rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator
            [IDS129] = IDS:RP:bafot.02.11:Miscellaneous.CapitalNature.Indicator
            [IDS138] = IDS:RP:bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [IDS147] = IDS:RP:rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator
            [IDS150] = IDS:RP:rvctc4.02.05:InternationalDealings.CostContributionArrangements.Indicator
        -->

        <assert  id="VR.ATO.IDS.440002" diagnostics="DVR.ATO.IDS.440002" test="not(
                        $IDS1[matches(.,'^(true|1)$')]
                        and
                        (
                             not($IDS2) or not($IDS9) or not($IDS16) or not($IDS21) or
                             not($IDS30) or not($IDS35) or not($IDS81) or not($IDS88) or
                             not($IDS97) or not($IDS123) or not($IDS129) or not($IDS138) or
                             not($IDS147) or not($IDS150)
                        )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440003
            
            IF [IDS2] <> TRUE AND COUNT(SET(RP.{ForeignCountry}.{ActivityCode},RP.{ForeignCountry}):ANY ELEMENT <> NULL) > 0
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS2] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator           
        -->

        <assert  id="VR.ATO.IDS.440003" diagnostics="DVR.ATO.IDS.440003" test="not(
                            not($IDS2[matches(.,'^(true|1)$')])
                            and
                            (
                                count(node()[@contextRef = $RP.ForeignCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')] ) &gt; 0
                                or 
                                count(node()[@contextRef = $RP.ForeignCountry.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440004
            
            IF [IDS2] = TRUE 
            AND COUNT(SET(RP.{ForeignCountry}.{ActivityCode},RP.{ForeignCountry}):ANY ELEMENT <> NULL) = 0
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS2] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
        -->

        <assert  id="VR.ATO.IDS.440004" diagnostics="DVR.ATO.IDS.440004" test="not(
                            $IDS2[matches(.,'^(true|1)$')]
                            and 
                            (
                                count(node()[@contextRef = $RP.ForeignCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0
                                and
                                count(node()[@contextRef = $RP.ForeignCountry.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440010
            
            IF [IDS9] <> TRUE AND COUNT(SET(RP.{SpecifiedCountry}.{ActivityCode},RP.{SpecifiedCountry}):ANY ELEMENT <> NULL) > 0
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
        -->

        <assert  id="VR.ATO.IDS.440010" diagnostics="DVR.ATO.IDS.440010" test="not(
                            not($IDS9[matches(.,'^(true|1)$')])
                            and 
                            (
                                count(node()[@contextRef = $RP.SpecifiedCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')] ) &gt; 0
                                or
                                count(node()[@contextRef = $RP.SpecifiedCountry.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            ) 
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440011
            
            IF [IDS9] = TRUE AND COUNT(SET(RP.{SpecifiedCountry}.{ActivityCode},RP.{SpecifiedCountry}):ANY ELEMENT <> NULL) = 0
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
        -->

        <assert  id="VR.ATO.IDS.440011" diagnostics="DVR.ATO.IDS.440011" test="not(
                            $IDS9[matches(.,'^(true|1)$')]
                            and 
                            (
                                count(node()[@contextRef = $RP.SpecifiedCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0
                                and
                                count(node()[@contextRef = $RP.SpecifiedCountry.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            ) 
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440012
            
            IF ([IDS16] <> TRUE) AND ([IDS17] <> NULL OR [IDS18] <> NULL OR [IDS19] <> NULL OR [IDS20] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS16] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator
            [IDS17] = IDS:RP.TangibleRevenue:bafpr1.02.00:Expense.Total.Amount
            [IDS18] = IDS:RP.TangibleRevenue:bafpr1.02.12:Revenue.Total.Amount
            [IDS19] = IDS:RP.TangibleRevenue:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS20] = IDS:RP.TangibleRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code            
        -->

        <assert  id="VR.ATO.IDS.440012" diagnostics="DVR.ATO.IDS.440012" test="not(
                        not($IDS16[matches(.,'^(true|1)$')]) and
                        (
                            $IDS17 or $IDS18 or $IDS19 or $IDS20
                        )                            
                    )">
          
        </assert>
        
        
        <!-- 
            Rule ID: VR.ATO.IDS.440013
            
            IF [IDS16] = TRUE AND (([IDS17] = NULL AND [IDS18] = NULL) OR [IDS19] = NULL OR [IDS20] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS16] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator
            [IDS17] = IDS:RP.TangibleRevenue:bafpr1.02.00:Expense.Total.Amount
            [IDS18] = IDS:RP.TangibleRevenue:bafpr1.02.12:Revenue.Total.Amount
            [IDS19] = IDS:RP.TangibleRevenue:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS20] = IDS:RP.TangibleRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440013" diagnostics="DVR.ATO.IDS.440013" test="not(
                        $IDS16[matches(.,'^(true|1)$')]
                        and
                        (
                            (not($IDS17) and not($IDS18))
                            or not($IDS19)
                            or not($IDS20)
                        )
                    )">
          
        </assert>
      
      
        <!-- 
            Rule ID: VR.ATO.IDS.440014
            
            IF [IDS21] <> TRUE AND 
                ([IDS22] <> NULL OR [IDS23] <> NULL OR [IDS24] <> NULL OR 
                 [IDS25] <> NULL OR [IDS26] <> NULL OR [IDS27] <> NULL OR 
                 [IDS28] <> NULL OR [IDS29] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS21] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS23] = IDS:RP.Royalties:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS24] = IDS:RP.Royalties:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS25] = IDS:RP.Royalties:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS26] = IDS:RP.LicenceFees:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS27] = IDS:RP.LicenceFees:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS28] = IDS:RP.LicenceFees:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS29] = IDS:RP.LicenceFees:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code                                    
        -->

        <assert  id="VR.ATO.IDS.440014" diagnostics="DVR.ATO.IDS.440014" test="not(
                        not($IDS21[matches(.,'^(true|1)$')])
                        and
                        (
                             $IDS22 or $IDS23 or $IDS24 or $IDS25 or
                             $IDS26 or $IDS27 or $IDS28 or $IDS29
                        )
                    )">
          
        </assert>
      

        <!--
            Rule ID: VR.ATO.IDS.440015
            
            IF [IDS21] = TRUE AND [IDS22] = NULL AND [IDS23] = NULL AND [IDS24] = NULL AND [IDS25] = NULL
            AND [IDS26] = NULL AND [IDS27] = NULL AND [IDS28] = NULL AND [IDS29] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS21] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS23] = IDS:RP.Royalties:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS24] = IDS:RP.Royalties:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS25] = IDS:RP.Royalties:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS26] = IDS:RP.LicenceFees:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS27] = IDS:RP.LicenceFees:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS28] = IDS:RP.LicenceFees:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS29] = IDS:RP.LicenceFees:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440015" diagnostics="DVR.ATO.IDS.440015" test="not(
                        $IDS21[matches(.,'^(true|1)$')]
                        and
                        not($IDS22) and not($IDS23)
                        and
                        not($IDS24) and not($IDS25)
                        and
                        not($IDS26) and not($IDS27)
                        and
                        not($IDS28) and not($IDS29)
                    )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440016
            
            IF ([IDS22] <> NULL OR [IDS23] <> NULL OR [IDS24] <> NULL OR [IDS25] <> NULL) 
            AND (([IDS22 AND [IDS23) OR [IDS24 OR [IDS25)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS23] = IDS:RP.Royalties:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS24] = IDS:RP.Royalties:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS25] = IDS:RP.Royalties:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440016" diagnostics="DVR.ATO.IDS.440016" test="not(
                         ($IDS22 or $IDS23 or $IDS24 or $IDS25)
                         and
                         (
                            (not($IDS22) and not($IDS23)) or (not($IDS24)) or (not($IDS25))
                         )
                        )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440019
            
            IF ([IDS26] <> NULL OR [IDS27] <> NULL OR [IDS28] <> NULL OR [IDS29] <> NULL)
            AND
            (
                ([IDS26] = NULL AND [IDS27] = NULL)
                OR [IDS28] = NULL OR [IDS29] = NULL
            )
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS26] = IDS:RP.LicenceFees:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS27] = IDS:RP.LicenceFees:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
            [IDS28] = IDS:RP.LicenceFees:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS29] = IDS:RP.LicenceFees:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440019" diagnostics="DVR.ATO.IDS.440019" test="not(
                        ($IDS26 or $IDS27 or $IDS28 or $IDS29) and
                        (
                            (not($IDS26) and not($IDS27))
                            or not($IDS28)
                            or not($IDS29)
                        )
                     )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440020
            
            IF [IDS30] <> TRUE AND ([IDS31] <> NULL OR [IDS32] <> NULL OR [IDS33] <> NULL OR [IDS34] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS30] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator
            [IDS31] = IDS:RP.RentLease:bafpr1.02.00:Expense.Total.Amount
            [IDS32] = IDS:RP.RentLease:bafpr1.02.12:Revenue.Total.Amount
            [IDS33] = IDS:RP.RentLease:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS34] = IDS:RP.RentLease:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440020" diagnostics="DVR.ATO.IDS.440020" test="not(
                            not($IDS30[matches(.,'^(true|1)$')]) and
                            (
                              $IDS31 or $IDS32 or $IDS33 or $IDS34
                            )               
                        )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440021
            
            IF ([IDS30] = TRUE) AND (([IDS31] = NULL AND [IDS32] = NULL) OR [IDS33] = NULL OR [IDS34] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS30] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator
            [IDS31] = IDS:RP.RentLease:bafpr1.02.00:Expense.Total.Amount
            [IDS32] = IDS:RP.RentLease:bafpr1.02.12:Revenue.Total.Amount
            [IDS33] = IDS:RP.RentLease:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS34] = IDS:RP.RentLease:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440021" diagnostics="DVR.ATO.IDS.440021" test="not(
                            $IDS30[matches(.,'^(true|1)$')] and
                            (
                              (not($IDS31) and not($IDS32)) or not($IDS33) or not($IDS34)
                            )               
                        )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440022
            
            IF [IDS35] <> TRUE AND ([IDS36] <> NULL OR [IDS37] <> NULL OR [IDS38] <> NULL OR [IDS39] <> NULL OR [IDS40] <> NULL OR [IDS41] <> NULL OR [IDS42] <> NULL OR 
            [IDS43] <> NULL OR [IDS44] <> NULL OR [IDS45] <> NULL OR [IDS46] <> NULL OR [IDS47] <> NULL OR [IDS48] <> NULL OR [IDS49] <> NULL OR [IDS50] <> NULL OR 
            [IDS51] <> NULL OR [IDS52] <> NULL OR [IDS53] <> NULL OR [IDS54] <> NULL OR [IDS55] <> NULL OR [IDS56] <> NULL OR [IDS57] <> NULL OR [IDS58] <> NULL OR 
            [IDS59] <> NULL OR [IDS60] <> NULL OR [IDS61] <> NULL OR [IDS62] <> NULL OR [IDS63] <> NULL OR [IDS64] <> NULL OR [IDS65] <> NULL OR [IDS66] <> NULL OR 
            [IDS67] <> NULL OR [IDS68] <> NULL OR [IDS69] <> NULL OR [IDS70] <> NULL OR [IDS71] <> NULL OR [IDS72] <> NULL OR [IDS73] <> NULL OR [IDS74] <> NULL OR 
            [IDS75] <> NULL OR [IDS76] <> NULL OR [IDS77] <> NULL OR [IDS78] <> NULL OR [IDS79] <> NULL OR  [IDS80] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS35] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator
            [IDS36] = IDS:RP.TreasuryRelated:bafpr1.02.00:Expense.Total.Amount
            [IDS37] = IDS:RP.TreasuryRelated:bafpr1.02.12:Revenue.Total.Amount
            [IDS38] = IDS:RP.TreasuryRelated:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS39] = IDS:RP.TreasuryRelated:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS40] = IDS:RP.ManagementAndAdmin:bafpr1.02.00:Expense.Total.Amount
            [IDS41] = IDS:RP.ManagementAndAdmin:bafpr1.02.12:Revenue.Total.Amount
            [IDS42] = IDS:RP.ManagementAndAdmin:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS43] = IDS:RP.ManagementAndAdmin:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS44] = IDS:RP.Insurance:bafpr1.02.00:Expense.Total.Amount
            [IDS45] = IDS:RP.Insurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS46] = IDS:RP.Insurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS47] = IDS:RP.Insurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS48] = IDS:RP.Reinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS49] = IDS:RP.Reinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS50] = IDS:RP.Reinsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS51] = IDS:RP.Reinsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS52] = IDS:RP.ResearchAndDevelopment:bafpr1.02.00:Expense.Total.Amount
            [IDS53] = IDS:RP.ResearchAndDevelopment:bafpr1.02.12:Revenue.Total.Amount
            [IDS54] = IDS:RP.ResearchAndDevelopment:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS55] = IDS:RP.ResearchAndDevelopment:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS56] = IDS:RP.SalesAndMarketing:bafpr1.02.00:Expense.Total.Amount
            [IDS57] = IDS:RP.SalesAndMarketing:bafpr1.02.12:Revenue.Total.Amount
            [IDS58] = IDS:RP.SalesAndMarketing:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS59] = IDS:RP.SalesAndMarketing:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS60] = IDS:RP.SoftwareAndITServices:bafpr1.02.00:Expense.Total.Amount
            [IDS61] = IDS:RP.SoftwareAndITServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS62] = IDS:RP.SoftwareAndITServices:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS63] = IDS:RP.SoftwareAndITServices:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS64] = IDS:RP.Technical:bafpr1.02.00:Expense.Total.Amount
            [IDS65] = IDS:RP.Technical:bafpr1.02.12:Revenue.Total.Amount
            [IDS66] = IDS:RP.Technical:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS67] = IDS:RP.Technical:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS68] = IDS:RP.Logistics:bafpr1.02.00:Expense.Total.Amount
            [IDS69] = IDS:RP.Logistics:bafpr1.02.12:Revenue.Total.Amount
            [IDS70] = IDS:RP.Logistics:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS71] = IDS:RP.Logistics:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS72] = IDS:RP.AssetManagement:bafpr1.02.00:Expense.Total.Amount
            [IDS73] = IDS:RP.AssetManagement:bafpr1.02.12:Revenue.Total.Amount
            [IDS74] = IDS:RP.AssetManagement:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS75] = IDS:RP.AssetManagement:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS76] = IDS:RP.OtherServices:bafpr1.02.00:Expense.Total.Amount
            [IDS77] = IDS:RP.OtherServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS78] = IDS:RP.OtherServices:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS79] = IDS:RP.OtherServices:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS80] = IDS:RP.OtherServices:rvctc4.02.05:InternationalDealings.Description.Text
        -->

        <assert  id="VR.ATO.IDS.440022" diagnostics="DVR.ATO.IDS.440022" test="not(
                        not($IDS35[matches(.,'^(true|1)$')]) and
                        (
                        $IDS36 or $IDS37 or $IDS38 or $IDS39 or $IDS40 or $IDS41 or $IDS42 or 
                        $IDS43 or $IDS44 or $IDS45 or $IDS46 or $IDS47 or $IDS48 or $IDS49 or $IDS50 or 
                        $IDS51 or $IDS52 or $IDS53 or $IDS54 or $IDS55 or $IDS56 or $IDS57 or $IDS58 or 
                        $IDS59 or $IDS60 or $IDS61 or $IDS62 or $IDS63 or $IDS64 or $IDS65 or $IDS66 or 
                        $IDS67 or $IDS68 or $IDS69 or $IDS70 or $IDS71 or $IDS72 or $IDS73 or $IDS74 or 
                        $IDS75 or $IDS76 or $IDS77 or $IDS78 or $IDS79 or $IDS80
                        )             
                   )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440023
            
            IF [IDS35] = TRUE AND 
                [IDS36] = NULL AND [IDS37] = NULL AND [IDS38] = NULL AND [IDS39] = NULL AND [IDS40] = NULL AND [IDS41] = NULL AND [IDS42] = NULL AND [IDS43] = NULL AND 
                [IDS44] = NULL AND [IDS45] = NULL AND [IDS46] = NULL AND [IDS47] = NULL AND [IDS48] = NULL AND [IDS49] = NULL AND [IDS50] = NULL AND [IDS51] = NULL AND 
                [IDS52] = NULL AND [IDS53] = NULL AND [IDS54] = NULL AND [IDS55] = NULL AND [IDS56] = NULL AND [IDS57] = NULL AND [IDS58] = NULL AND [IDS59] = NULL AND 
                [IDS60] = NULL AND [IDS61] = NULL AND [IDS62] = NULL AND [IDS63] = NULL AND [IDS64] = NULL AND [IDS65] = NULL AND [IDS66] = NULL AND [IDS67] = NULL AND 
                [IDS68] = NULL AND [IDS69] = NULL AND [IDS70] = NULL AND [IDS71] = NULL AND [IDS72] = NULL AND [IDS73] = NULL AND [IDS74] = NULL AND [IDS75] = NULL AND 
                [IDS76] = NULL AND [IDS77] = NULL AND [IDS78] = NULL AND [IDS79] = NULL AND [IDS80] = NULL
                   RETURN VALIDATION MESSAGE
            ENDIF


            [IDS35] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator
            [IDS36] = IDS:RP.TreasuryRelated:bafpr1.02.00:Expense.Total.Amount
            [IDS37] = IDS:RP.TreasuryRelated:bafpr1.02.12:Revenue.Total.Amount
            [IDS38] = IDS:RP.TreasuryRelated:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS39] = IDS:RP.TreasuryRelated:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS40] = IDS:RP.ManagementAndAdmin:bafpr1.02.00:Expense.Total.Amount
            [IDS41] = IDS:RP.ManagementAndAdmin:bafpr1.02.12:Revenue.Total.Amount
            [IDS42] = IDS:RP.ManagementAndAdmin:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS43] = IDS:RP.ManagementAndAdmin:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS44] = IDS:RP.Insurance:bafpr1.02.00:Expense.Total.Amount
            [IDS45] = IDS:RP.Insurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS46] = IDS:RP.Insurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS47] = IDS:RP.Insurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS48] = IDS:RP.Reinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS49] = IDS:RP.Reinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS50] = IDS:RP.Reinsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS51] = IDS:RP.Reinsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS52] = IDS:RP.ResearchAndDevelopment:bafpr1.02.00:Expense.Total.Amount
            [IDS53] = IDS:RP.ResearchAndDevelopment:bafpr1.02.12:Revenue.Total.Amount
            [IDS54] = IDS:RP.ResearchAndDevelopment:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS55] = IDS:RP.ResearchAndDevelopment:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS56] = IDS:RP.SalesAndMarketing:bafpr1.02.00:Expense.Total.Amount
            [IDS57] = IDS:RP.SalesAndMarketing:bafpr1.02.12:Revenue.Total.Amount
            [IDS58] = IDS:RP.SalesAndMarketing:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS59] = IDS:RP.SalesAndMarketing:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS60] = IDS:RP.SoftwareAndITServices:bafpr1.02.00:Expense.Total.Amount
            [IDS61] = IDS:RP.SoftwareAndITServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS62] = IDS:RP.SoftwareAndITServices:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS63] = IDS:RP.SoftwareAndITServices:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS64] = IDS:RP.Technical:bafpr1.02.00:Expense.Total.Amount
            [IDS65] = IDS:RP.Technical:bafpr1.02.12:Revenue.Total.Amount
            [IDS66] = IDS:RP.Technical:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS67] = IDS:RP.Technical:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS68] = IDS:RP.Logistics:bafpr1.02.00:Expense.Total.Amount
            [IDS69] = IDS:RP.Logistics:bafpr1.02.12:Revenue.Total.Amount
            [IDS70] = IDS:RP.Logistics:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS71] = IDS:RP.Logistics:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS72] = IDS:RP.AssetManagement:bafpr1.02.00:Expense.Total.Amount
            [IDS73] = IDS:RP.AssetManagement:bafpr1.02.12:Revenue.Total.Amount
            [IDS74] = IDS:RP.AssetManagement:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS75] = IDS:RP.AssetManagement:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS76] = IDS:RP.OtherServices:bafpr1.02.00:Expense.Total.Amount
            [IDS77] = IDS:RP.OtherServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS78] = IDS:RP.OtherServices:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS79] = IDS:RP.OtherServices:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS80] = IDS:RP.OtherServices:rvctc4.02.05:InternationalDealings.Description.Text
        -->

        <assert  id="VR.ATO.IDS.440023" diagnostics="DVR.ATO.IDS.440023" test="not(
                        $IDS35[matches(.,'^(true|1)$')] and 
                        not($IDS36) and not($IDS37) and not($IDS38) and not($IDS39) and not($IDS40) and 
                        not($IDS41) and not($IDS42) and not($IDS43) and not($IDS44) and not($IDS45) and 
                        not($IDS46) and not($IDS47) and not($IDS48) and not($IDS49) and not($IDS50) and 
                        not($IDS51) and not($IDS52) and not($IDS53) and not($IDS54) and not($IDS55) and 
                        not($IDS56) and not($IDS57) and not($IDS58) and not($IDS59) and not($IDS60) and 
                        not($IDS61) and not($IDS62) and not($IDS63) and not($IDS64) and not($IDS65) and 
                        not($IDS66) and not($IDS67) and not($IDS68) and not($IDS69) and not($IDS70) and 
                        not($IDS71) and not($IDS72) and not($IDS73) and not($IDS74) and not($IDS75) and 
                        not($IDS76) and not($IDS77) and not($IDS78) and not($IDS79) and not($IDS80)               
                    )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440024
            
            IF ([IDS36] <> NULL OR [IDS37] <> NULL OR [IDS38] <> NULL OR [IDS39] <> NULL)
            AND (
                ([IDS36 AND [IDS37)
                OR [IDS38 OR [IDS39
                )
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS36] = IDS:RP.TreasuryRelated:bafpr1.02.00:Expense.Total.Amount
            [IDS37] = IDS:RP.TreasuryRelated:bafpr1.02.12:Revenue.Total.Amount
            [IDS38] = IDS:RP.TreasuryRelated:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS39] = IDS:RP.TreasuryRelated:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440024" diagnostics="DVR.ATO.IDS.440024" test="not(
                        ($IDS36 or $IDS37 or $IDS38 or $IDS39) and
                        (
                            (not($IDS36) and not($IDS37))
                            or not($IDS38)
                            or not($IDS39)
                        )
                      )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440025
            
            IF ([IDS40] <> NULL OR [IDS41] <> NULL OR [IDS42] <> NULL OR [IDS43] <> NULL) AND
               (([IDS40] = NULL AND [IDS41] = NULL) OR [IDS42] = NULL OR [IDS43] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS40] = IDS:RP.ManagementAndAdmin:bafpr1.02.00:Expense.Total.Amount
            [IDS41] = IDS:RP.ManagementAndAdmin:bafpr1.02.12:Revenue.Total.Amount
            [IDS42] = IDS:RP.ManagementAndAdmin:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS43] = IDS:RP.ManagementAndAdmin:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440025" diagnostics="DVR.ATO.IDS.440025" test="not(
                        ($IDS40 or $IDS41 or $IDS42 or $IDS43)
                        and
                        (
                            (not($IDS40) and not($IDS41))
                            or not($IDS42) 
                            or not($IDS43)
                        )
                    )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440026
            
            IF ([IDS44] <> NULL OR [IDS45] <> NULL OR [IDS46] <> NULL OR [IDS47] <> NULL) AND
               (([IDS44 AND [IDS45) OR [IDS46 OR [IDS47)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS44] = IDS:RP.Insurance:bafpr1.02.00:Expense.Total.Amount
            [IDS45] = IDS:RP.Insurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS46] = IDS:RP.Insurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS47] = IDS:RP.Insurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440026" diagnostics="DVR.ATO.IDS.440026" test="not(
                    ($IDS44 or $IDS45 or $IDS46 or $IDS47) and
                    (
                        (not($IDS44) and not($IDS45))
                        or not($IDS46)
                        or not($IDS47)
                    )
                )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440027
            
            IF ([IDS48] <> NULL OR [IDS49] <> NULL OR [IDS50] <> NULL OR [IDS51] <> NULL)
            AND (([IDS48] = NULL AND [IDS49] = NULL)
                OR [IDS50] = NULL OR [IDS51] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS48] = IDS:RP.Reinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS49] = IDS:RP.Reinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS50] = IDS:RP.Reinsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS51] = IDS:RP.Reinsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440027" diagnostics="DVR.ATO.IDS.440027" test="not(
                        ($IDS48 or $IDS49 or $IDS50 or $IDS51) and
                        (
                            (not($IDS48) and not($IDS49))
                            or not($IDS50)
                            or not($IDS51)
                        )
                     )">
          
        </assert>
      
        <!--
            Rule ID VR.ATO.IDS.440028
            
            IF ([IDS52] <> NULL OR [IDS53] <> NULL OR [IDS54] <> NULL OR [IDS55] <> NULL) 
            AND (([IDS52 AND [IDS53) OR [IDS54 OR [IDS55)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS52] = IDS:RP.ResearchAndDevelopment:bafpr1.02.00:Expense.Total.Amount
            [IDS53] = IDS:RP.ResearchAndDevelopment:bafpr1.02.12:Revenue.Total.Amount
            [IDS54] = IDS:RP.ResearchAndDevelopment:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS55] = IDS:RP.ResearchAndDevelopment:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440028" diagnostics="DVR.ATO.IDS.440028" test="not(
                           ($IDS52 or $IDS53 or $IDS54 or $IDS55) 
                            and
                           ((not($IDS52) and not($IDS53)) or not($IDS54) or not($IDS55))                       
                        )">
          
        </assert>
      
        
        <!--
            Rule ID VR.ATO.IDS.440029
            
            IF ([IDS56] <> NULL OR [IDS57] <> NULL OR [IDS58] <> NULL OR [IDS59] <> NULL) AND
                (([IDS56] = NULL AND [IDS57] = NULL) OR [IDS58] = NULL OR [IDS59] = NULL)
                   RETURN VALIDATION MESSAGE
            ENDIF

            [IDS56] = IDS:RP.SalesAndMarketing:bafpr1.02.00:Expense.Total.Amount
            [IDS57] = IDS:RP.SalesAndMarketing:bafpr1.02.12:Revenue.Total.Amount
            [IDS58] = IDS:RP.SalesAndMarketing:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS59] = IDS:RP.SalesAndMarketing:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440029" diagnostics="DVR.ATO.IDS.440029" test="not(
                        ($IDS56 or $IDS57 or $IDS58 or $IDS59) and
                        (
                            (not($IDS56) and not($IDS57))
                            or not($IDS58)
                            or not($IDS59)
                        )
                    )">
          
        </assert>

      
        <!--
            Rule ID: VR.ATO.IDS.440030
            
            IF ([IDS60] <> NULL OR [IDS61] <> NULL OR [IDS62] <> NULL OR [IDS63] <> NULL) AND (([IDS60] = NULL AND [IDS61] = NULL) OR [IDS62] = NULL OR [IDS63] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS60] = IDS:RP.SoftwareAndITServices:bafpr1.02.00:Expense.Total.Amount
            [IDS61] = IDS:RP.SoftwareAndITServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS62] = IDS:RP.SoftwareAndITServices:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS63] = IDS:RP.SoftwareAndITServices:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440030" diagnostics="DVR.ATO.IDS.440030" test="not(
                        ($IDS60 or $IDS61 or $IDS62 or $IDS63) 
                        and 
                        (
                            (not($IDS60) and not($IDS61)) 
                            or not($IDS62) 
                            or not($IDS63)
                        )
                    )">
          
        </assert>
      
        
        <!-- 
            Rule ID: VR.ATO.IDS.440031
            
            IF ([IDS64] <> NULL OR [IDS65] <> NULL OR [IDS66] <> NULL OR [IDS67] <> NULL)
            AND 
                (
                
                ([IDS64] = NULL AND [IDS65] = NULL) 
                
                OR [IDS66] = NULL
                OR [IDS67] = NULL
               )
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS64] = IDS:RP.Technical:bafpr1.02.00:Expense.Total.Amount
            [IDS65] = IDS:RP.Technical:bafpr1.02.12:Revenue.Total.Amount
            [IDS66] = IDS:RP.Technical:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS67] = IDS:RP.Technical:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code                        
        -->

        <assert  id="VR.ATO.IDS.440031" diagnostics="DVR.ATO.IDS.440031" test="not(
                        ($IDS64 or $IDS65 or $IDS66 or $IDS67) 
                        and 
                        (
                            (not($IDS64) and not($IDS65)) 
                            or not($IDS66) 
                            or not($IDS67)
                        )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440032
            
            IF ([IDS68] <> NULL OR [IDS69] <> NULL OR [IDS70] <> NULL OR [IDS71] <> NULL) 
            AND  
                (
                    ([IDS68] = NULL AND [IDS69] = NULL) 
                    OR [IDS70] = NULL 
                    OR [IDS71] = NULL
                )
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS68] = IDS:RP.Logistics:bafpr1.02.00:Expense.Total.Amount
            [IDS69] = IDS:RP.Logistics:bafpr1.02.12:Revenue.Total.Amount
            [IDS70] = IDS:RP.Logistics:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS71] = IDS:RP.Logistics:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440032" diagnostics="DVR.ATO.IDS.440032" test="not(
                        ($IDS68 or $IDS69 or $IDS70 or $IDS71) 
                        and 
                        (
                            (not($IDS68) and not($IDS69)) 
                            or not($IDS70) 
                            or not($IDS71)
                        )
                    )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440033

            IF ([IDS72] <> NULL OR [IDS73] <> NULL OR [IDS74] <> NULL OR [IDS75] <> NULL) AND (([IDS72] = NULL AND [IDS73] = NULL) OR [IDS74] = NULL OR [IDS75] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS72] = IDS:RP.AssetManagement:bafpr1.02.00:Expense.Total.Amount
            [IDS73] = IDS:RP.AssetManagement:bafpr1.02.12:Revenue.Total.Amount
            [IDS74] = IDS:RP.AssetManagement:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS75] = IDS:RP.AssetManagement:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440033" diagnostics="DVR.ATO.IDS.440033" test="not(                    
                            ($IDS72 or $IDS73 or $IDS74 or $IDS75)
                            and
                            ((not($IDS72) and not($IDS73)) or not($IDS74) or not($IDS75))           
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440034
            
            IF ([IDS76] <> NULL OR [IDS77] <> NULL OR [IDS78] <> NULL OR [IDS79] <> NULL OR [IDS80] <> NULL) 
            AND (
                    ([IDS76] = NULL AND [IDS77] = NULL) 
                    OR [IDS78] = NULL 
                    OR [IDS79] = NULL
                    OR [IDS80] = NULL
                )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS76] = IDS:RP.OtherServices:bafpr1.02.00:Expense.Total.Amount
            [IDS77] = IDS:RP.OtherServices:bafpr1.02.12:Revenue.Total.Amount
            [IDS78] = IDS:RP.OtherServices:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS79] = IDS:RP.OtherServices:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS80] = IDS:RP.OtherServices:rvctc4.02.05:InternationalDealings.Description.Text
         -->

        <assert  id="VR.ATO.IDS.440034" diagnostics="DVR.ATO.IDS.440034" test="not(
                            ($IDS76 or $IDS77 or $IDS78 or $IDS79 or $IDS80)
                            and
                            (   (not($IDS76) and not($IDS77))
                                 or not($IDS78)
                                 or not($IDS79)
                                 or not($IDS80)
                            )
                    )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440035
            
            IF ([IDS81] <> TRUE) AND ([IDS82] <> NULL OR [IDS83] <> NULL OR [IDS84] <> NULL OR [IDS85] <> NULL OR [IDS86] <> NULL OR [IDS87] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS81] = IDS:RP:rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator
            [IDS82] = IDS:RP.Derivatives:bafpr1.02.00:Expense.Total.Amount
            [IDS83] = IDS:RP.Derivatives:bafpr1.02.12:Revenue.Total.Amount
            [IDS84] = IDS:RP.Derivatives:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS85] = IDS:RP.Derivatives:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS86] = IDS:RP.Derivatives:bafot.02.11:Miscellaneous.PrincipalDerivatives.Code
            [IDS87] = IDS:RP:rvctc4.02.05:InternationalDealings.DerivativesTradingGlobal.Indicator
        -->

        <assert  id="VR.ATO.IDS.440035" diagnostics="DVR.ATO.IDS.440035" test="not( 
                           not($IDS81[matches(.,'^(true|1)$')])
                           and ( $IDS82 or  $IDS83 or $IDS84 or $IDS85 or $IDS86 or $IDS87 )
                         )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440036
            
            IF ([IDS81] = TRUE) AND (([IDS82 AND [IDS83) 
                OR [IDS84 OR [IDS85 OR [IDS86 OR [IDS87)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS81] = IDS:RP:rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator
            [IDS82] = IDS:RP.Derivatives:bafpr1.02.00:Expense.Total.Amount
            [IDS83] = IDS:RP.Derivatives:bafpr1.02.12:Revenue.Total.Amount
            [IDS84] = IDS:RP.Derivatives:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS85] = IDS:RP.Derivatives:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS86] = IDS:RP.Derivatives:bafot.02.11:Miscellaneous.PrincipalDerivatives.Code
            [IDS87] = IDS:RP:rvctc4.02.05:InternationalDealings.DerivativesTradingGlobal.Indicator
        -->

        <assert  id="VR.ATO.IDS.440036" diagnostics="DVR.ATO.IDS.440036" test="not(
                            $IDS81[matches(.,'^(true|1)$')] and 
                            ((not($IDS82) and not($IDS83))
                            or not($IDS84) or not($IDS85) or not($IDS86) or not($IDS87))
                        
                        )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440037
            
            IF [IDS88] <> TRUE 
            AND ([IDS89] <> NULL OR [IDS90] <> NULL OR [IDS91] <> NULL OR [IDS92] <> NULL
            OR [IDS93] <> NULL OR [IDS94] <> NULL OR [IDS95] <> NULL OR [IDS96] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS88] = IDS:RP:rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator
            [IDS89] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.BookValue.Amount
            [IDS90] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.Consideration.Amount
            [IDS91] = IDS:RP.DebtFactoring:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS92] = IDS:RP.DebtFactoring:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS93] = IDS:RP.Securitisation:bafpr1.02.12:Expense.BookValue.Amount
            [IDS94] = IDS:RP.Securitisation:bafpr1.02.12:Expense.Consideration.Amount
            [IDS95] = IDS:RP.Securitisation:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS96] = IDS:RP.Securitisation:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440037" diagnostics="DVR.ATO.IDS.440037" test="not(
                    not($IDS88[matches(.,'^(true|1)$')])
                    and
                    (
                            $IDS89 or $IDS90 or $IDS91 or $IDS92 or
                            $IDS93 or $IDS94 or $IDS95 or $IDS96
                    )
                )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440038
            
            IF [IDS88] = TRUE 
            AND [IDS89] = NULL AND [IDS90] = NULL AND [IDS91] = NULL AND [IDS92] = NULL 
            AND [IDS93] = NULL AND [IDS94] = NULL AND [IDS95] = NULL AND [IDS96] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS88] = IDS:RP:rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator
            [IDS89] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.BookValue.Amount
            [IDS90] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.Consideration.Amount
            [IDS91] = IDS:RP.DebtFactoring:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS92] = IDS:RP.DebtFactoring:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS93] = IDS:RP.Securitisation:bafpr1.02.12:Expense.BookValue.Amount
            [IDS94] = IDS:RP.Securitisation:bafpr1.02.12:Expense.Consideration.Amount
            [IDS95] = IDS:RP.Securitisation:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS96] = IDS:RP.Securitisation:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440038" diagnostics="DVR.ATO.IDS.440038" test="not(
                        $IDS88[matches(.,'^(true|1)$')]
                        and
                        not($IDS89) and not($IDS90) 
                        and 
                        not($IDS91) and not($IDS92) 
                        and
                        not($IDS93) and not($IDS94) 
                        and
                        not($IDS95) and not($IDS96)
                    )">
          
        </assert>
        
        <!--
            Rule ID: VR.ATO.IDS.440039
            
            IF ([IDS89] <> NULL OR [IDS90] <> NULL OR [IDS91] <> NULL OR [IDS92] <> NULL) 
            AND 
                (
                    ([IDS89] = NULL AND [IDS90] = NULL) 
                    OR [IDS91] = NULL 
                    OR [IDS92] = NULL
                )
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS89] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.BookValue.Amount
            [IDS90] = IDS:RP.DebtFactoring:bafpr1.02.12:Expense.Consideration.Amount
            [IDS91] = IDS:RP.DebtFactoring:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS92] = IDS:RP.DebtFactoring:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            VR.ATO.IDS.440039	CMN.ATO.IDS.440039
        -->


        <assert  id="VR.ATO.IDS.440039" diagnostics="DVR.ATO.IDS.440039" test="not(
                        ($IDS89 or $IDS90 or $IDS91 or $IDS92)
                        and
                        (
                            (not($IDS89) and not($IDS90))
                            or not($IDS91) 
                            or not($IDS92)
                        )
                     )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440042
            
            IF ([IDS93] <> NULL OR [IDS94] <> NULL OR [IDS95] <> NULL OR [IDS96] <> NULL) 
            AND 
                (
                    ([IDS93] = NULL AND [IDS94] = NULL) 
                    OR [IDS95] = NULL 
                    OR [IDS96] = NULL
                )
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS93] = IDS:RP.Securitisation:bafpr1.02.12:Expense.BookValue.Amount
            [IDS94] = IDS:RP.Securitisation:bafpr1.02.12:Expense.Consideration.Amount
            [IDS95] = IDS:RP.Securitisation:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS96] = IDS:RP.Securitisation:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440042" diagnostics="DVR.ATO.IDS.440042" test="not(
                        ($IDS93 or $IDS94 or $IDS95 or $IDS96)
                        and
                        (
                            (not($IDS93) and not($IDS94))
                            or not($IDS95)
                            or not($IDS96)
                        ))">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440045
            
            IF [IDS97] <> TRUE AND 
               (
                  [IDS98]  <> NULL OR [IDS99]  <> NULL OR [IDS100] <> NULL OR [IDS101] <> NULL OR 
                  [IDS102] <> NULL OR [IDS103] <> NULL OR [IDS104] <> NULL OR [IDS105] <> NULL OR 
                  [IDS106] <> NULL OR [IDS107] <> NULL OR [IDS108] <> NULL OR [IDS109] <> NULL OR 
                  [IDS110] <> NULL OR [IDS111] <> NULL OR [IDS112] <> NULL OR [IDS113] <> NULL OR 
                  [IDS114] <> NULL OR [IDS115] <> NULL OR [IDS116] <> NULL OR [IDS117] <> NULL OR 
                  [IDS118] <> NULL OR [IDS119] <> NULL OR [IDS120] <> NULL OR [IDS121] <> NULL OR 
                  [IDS122] <> NULL
               )
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS97]  = IDS:RP:rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator
            [IDS98]  = IDS:RP.OtherFinancialDealings.InterestBearing:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS99]  = IDS:RP.OtherFinancialDealings.InterestFree:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS100] = IDS:RP.OtherFinancialDealings.InterestBearing:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS101] = IDS:RP.OtherFinancialDealings.InterestFree:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS102] = IDS:RP.OtherInterest:bafpr1.02.00:Expense.Total.Amount
            [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
            [IDS104] = IDS:RP.OtherInterest:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS105] = IDS:RP.OtherInterest:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS106] = IDS:RP.OtherGuarantees:bafpr1.02.00:Expense.Total.Amount
            [IDS107] = IDS:RP.OtherGuarantees:bafpr1.02.12:Revenue.Total.Amount
            [IDS108] = IDS:RP.OtherGuarantees:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS109] = IDS:RP.OtherGuarantees:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS110] = IDS:RP.OtherInsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS111] = IDS:RP.OtherInsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS112] = IDS:RP.OtherInsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS113] = IDS:RP.OtherInsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS114] = IDS:RP.OtherReinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS115] = IDS:RP.OtherReinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS116] = IDS:RP.OtherReinsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS117] = IDS:RP.OtherReinsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS118] = IDS:RP.OtherFinancialDealings:bafpr1.02.00:Expense.Total.Amount
            [IDS119] = IDS:RP.OtherFinancialDealings:bafpr1.02.12:Revenue.Total.Amount
            [IDS120] = IDS:RP.OtherFinancialDealings:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS121] = IDS:RP.OtherFinancialDealings:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS122] = IDS:RP.OtherFinancialDealings:rvctc4.02.05:InternationalDealings.Description.Text        
        -->

        <assert  id="VR.ATO.IDS.440045" diagnostics="DVR.ATO.IDS.440045" test="not(
                        not($IDS97[matches(.,'^(true|1)$')]) and 
                        (
                            $IDS98  or $IDS99  or $IDS100 or $IDS101 or $IDS102 or $IDS103 or $IDS104 or 
                            $IDS105 or $IDS106 or $IDS107 or $IDS108 or $IDS109 or $IDS110 or $IDS111 or 
                            $IDS112 or $IDS113 or $IDS114 or $IDS115 or $IDS116 or $IDS117 or $IDS118 or 
                            $IDS119 or $IDS120 or $IDS121 or $IDS122
                        )                                                   
                    )">
          
        </assert>
      
        
        <!--
            Rule ID VR.ATO.IDS.440047
            
            IF ([IDS98] > 0 OR [IDS100] > 0) AND ([IDS102] = NULL AND [IDS103] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS98] = IDS:RP.OtherFinancialDealings.InterestBearing:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS100] = IDS:RP.OtherFinancialDealings.InterestBearing:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS102] = IDS:RP.OtherInterest:bafpr1.02.00:Expense.Total.Amount
            [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
        -->

        <assert  id="VR.ATO.IDS.440047" diagnostics="DVR.ATO.IDS.440047" test="not(
                        (
                            sum(($IDS98)) &gt; 0 or sum($IDS100) &gt; 0
                        )
                        and
                        (
                            not($IDS102) and not($IDS103)
                        )
                    )">
          
        </assert>


      <!-- VR.ATO.IDS.440051

Field value supplied exceeds maximum field length

 Legacy Rule Format:
 IF ([IDS80] <> NULLORBLANK) AND (LENGTH([IDS80]) > 200)
  RETURN VALIDATION MESSAGE
 ENDIF             

  [IDS80] = rvctc4.02.05:InternationalDealings.Description.Text

 Technical Business Rule Format:
 (^IDS80 <> NULLORBLANK) AND (LENGTH(^IDS80) > 200)

 RP.RestructuringEvent:^IDS80 = rvctc4.02.05:InternationalDealings.Description.Text
 
-->

      <assert id="VR.ATO.IDS.440051" diagnostics="VR.ATO.IDS.440051.D1" subject="subject" test="not((exists($IDS80) != false() or string-length(normalize-space(($IDS80)[1])) != 0) and (string-length(normalize-space(($IDS80)[1])) &gt; 200))">Field value supplied exceeds maximum field length</assert>


      <!-- VR.ATO.IDS.440051

Field value supplied exceeds maximum field length

 Legacy Rule Format:
 IF ([IDS122] <> NULLORBLANK) AND (LENGTH([IDS122]) > 200)
  RETURN VALIDATION MESSAGE
 ENDIF             

  [IDS122] = rvctc4.02.05:InternationalDealings.Description.Text

 Technical Business Rule Format:
 (^IDS122 <> NULLORBLANK) AND (LENGTH(^IDS122) > 200)

 RP.OtherFinancialDealings:^IDS122 = rvctc4.02.05:InternationalDealings.Description.Text
 
-->

      <assert id="VR.ATO.IDS.440051" diagnostics="VR.ATO.IDS.440051.D2" subject="subject" test="not((exists($IDS122) != false() or string-length(normalize-space(($IDS122)[1])) != 0) and (string-length(normalize-space(($IDS122)[1])) &gt; 200))">Field value supplied exceeds maximum field length</assert>



      <!-- VR.ATO.IDS.440051

Field value supplied exceeds maximum field length

 Legacy Rule Format:
 IF ([IDS128] <> NULLORBLANK) AND (LENGTH([IDS128]) > 200)
  RETURN VALIDATION MESSAGE
 ENDIF             

  [IDS128] = rvctc4.02.05:InternationalDealings.Description.Text

 Technical Business Rule Format:
 (^IDS128 <> NULLORBLANK) AND (LENGTH(^IDS128) > 200)

 RP.OtherNotReportedRevenue:^IDS128 = rvctc4.02.05:InternationalDealings.Description.Text
 
-->

      <assert id="VR.ATO.IDS.440051" diagnostics="VR.ATO.IDS.440051.D3" subject="subject" test="not((exists($IDS128) != false() or string-length(normalize-space(($IDS128)[1])) != 0) and (string-length(normalize-space(($IDS128)[1])) &gt; 200))">Field value supplied exceeds maximum field length</assert>



      <!-- VR.ATO.IDS.440051

Field value supplied exceeds maximum field length

 Legacy Rule Format:
 IF ([IDS157] <> NULLORBLANK) AND (LENGTH([IDS157]) > 200)
  RETURN VALIDATION MESSAGE
 ENDIF             

  [IDS157] = rvctc4.02.05:InternationalDealings.Description.Text

 Technical Business Rule Format:
 (^IDS157 <> NULLORBLANK) AND (LENGTH(^IDS157) > 200)

 RP.{RestructuringEvent}:^IDS157 = rvctc4.02.05:InternationalDealings.Description.Text
 
-->
      <let name="RP.RestructuringEvent.RestructuringEventDimensionValue" value="$RP.RestructuringEvent.Context/xbrli:entity/xbrli:segment/xbrldi:typedMember[ends-with(@dimension, 'RestructuringEventDimension')]" as="xs:string*"/>
      
      <assert id="VR.ATO.IDS.440051" diagnostics="VR.ATO.IDS.440051.D4" subject="subject" test="not(
                  (count($RP.RestructuringEvent.Context) != 0 or string-length(normalize-space(($RP.RestructuringEvent.RestructuringEventDimensionValue)[1])) != 0) and (count($RP.RestructuringEvent.Context/xbrli:entity/xbrli:segment/xbrldi:typedMember[ends-with(@dimension, 'RestructuringEventDimension')]//.[string-length(normalize-space(.)) &gt; 200]) &gt; 0))">Field value supplied exceeds maximum field length</assert>






      <!-- 
            Rule ID: VR.ATO.IDS.440052
            
            IF ([IDS102] <> NULL OR [IDS103] <> NULL OR [IDS104] <> NULL OR [IDS105] <> NULL) 
            AND 
            (
                ([IDS102] = NULL AND [IDS103] = NULL) 
                OR [IDS104] = NULL 
                OR [IDS105] = NULL
            )
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS102] = IDS:RP.OtherInterest:bafpr1.02.00:Expense.Total.Amount
            [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
            [IDS104] = IDS:RP.OtherInterest:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS105] = IDS:RP.OtherInterest:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440052" diagnostics="DVR.ATO.IDS.440052" test="not(
                        ($IDS102 or $IDS103 or $IDS104 or $IDS105)
                        and
                        (
                            (not($IDS102) and not($IDS103))
                            or not($IDS104) 
                            or not($IDS105)
                        )
                     )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440053
            
            IF ([IDS106] <> NULL OR [IDS107] <> NULL OR [IDS108] <> NULL OR [IDS109] <> NULL) 
            AND (
                    ([IDS106] = NULL AND [IDS107] = NULL) 
                    OR [IDS108] = NULL 
                    OR [IDS109] = NULL
                    )
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS106] = IDS:RP.OtherGuarantees:bafpr1.02.00:Expense.Total.Amount
            [IDS107] = IDS:RP.OtherGuarantees:bafpr1.02.12:Revenue.Total.Amount
            [IDS108] = IDS:RP.OtherGuarantees:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS109] = IDS:RP.OtherGuarantees:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440053" diagnostics="DVR.ATO.IDS.440053" test="not(
                        ($IDS106 or $IDS107 or $IDS108 or $IDS109)
                        and
                        (
                            (not($IDS106) and not($IDS107))
                            or not($IDS108) 
                            or not($IDS109)
                        )
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440054
            
            IF ([IDS110] <> NULL OR [IDS111] <> NULL OR [IDS112] <> NULL OR [IDS113] <> NULL)
            AND (
                    ([IDS110] = NULL AND [IDS111] = NULL) 
                    OR [IDS112] = NULL 
                    OR [IDS113] = NULL
                )
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS110] = IDS:RP.OtherInsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS111] = IDS:RP.OtherInsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS112] = IDS:RP.OtherInsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS113] = IDS:RP.OtherInsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440054" diagnostics="DVR.ATO.IDS.440054" test="not(
                        ($IDS110 or $IDS111 or $IDS112 or $IDS113)
                        and
                        (
                            (not($IDS110) and not($IDS111))
                            or not($IDS112) 
                            or not($IDS113)
                        )
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440055
            
            IF ([IDS114] <> NULL OR [IDS115] <> NULL OR [IDS116] <> NULL OR [IDS117] <> NULL) AND (([IDS114] = NULL AND [IDS115] = NULL) OR [IDS116] = NULL OR [IDS117] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS114] = IDS:RP.OtherReinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS115] = IDS:RP.OtherReinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS116] = IDS:RP.OtherReinsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS117] = IDS:RP.OtherReinsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440055" diagnostics="DVR.ATO.IDS.440055" test="not(
                        ($IDS114 or $IDS115 or $IDS116 or $IDS117)
                        and
                        (
                            (not($IDS114) and not($IDS115)) or
                            not($IDS116) or not($IDS117)
                        )
                     )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440056
            
            IF ([IDS118] <> NULL OR [IDS119] <> NULL OR [IDS120] <> NULL OR [IDS121] <> NULL OR [IDS122] <> NULL) 
            AND (
                    ([IDS118] = NULL AND [IDS119] = NULL) 
                    OR [IDS120] = NULL 
                    OR [IDS121] = NULL 
                    OR [IDS122] = NULL
                )
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS118] = IDS:RP.OtherFinancialDealings:bafpr1.02.00:Expense.Total.Amount
            [IDS119] = IDS:RP.OtherFinancialDealings:bafpr1.02.12:Revenue.Total.Amount
            [IDS120] = IDS:RP.OtherFinancialDealings:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS121] = IDS:RP.OtherFinancialDealings:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS122] = IDS:RP.OtherFinancialDealings:rvctc4.02.05:InternationalDealings.Description.Text
        -->

        <assert  id="VR.ATO.IDS.440056" diagnostics="DVR.ATO.IDS.440056" test="not(
                        ($IDS118 or $IDS119 or $IDS120 or $IDS121 or $IDS122)
                        and
                        (
                            (not($IDS118) and not($IDS119)) 
                            or not($IDS120) 
                            or not($IDS121)
                            or not($IDS122)
                        )
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440064
            
            IF ([IDS134] <> NULL OR [IDS135] <> NULL OR [IDS136] <> NULL OR [IDS137] <> NULL) 
                AND (
                        ([IDS134] = NULL AND [IDS135] = NULL) 
                        OR [IDS136] = NULL 
                        OR [IDS137] = NULL
                    )
              RETURN VALIDATION MESSAGE
            ENDIF
            [IDS134] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationPaid.Amount
            [IDS135] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationReceived.Amount
            [IDS136] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            [IDS137] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440064" diagnostics="DVR.ATO.IDS.440064" test="not(
                        ($IDS134 or $IDS135 or $IDS136 or $IDS137)
                        and
                        (
                            (not($IDS134) and not($IDS135)) 
                            or not($IDS136) 
                            or not($IDS137)
                        )
                     )">
          
        </assert>



      <!-- VR.ATO.IDS.440065
Field value supplied exceeds maximum field length

Legacy Rule Format:
IF ([IDS171] <> NULLORBLANK) AND (LENGTH([IDS171]) > 200)
 RETURN VALIDATION MESSAGE
ENDIF             

 [IDS171] = bafpr1.02.00:Income.Other.Description

Technical Business Rule Format:
(^IDS171 <> NULLORBLANK) AND (LENGTH(^IDS171) > 200)

RP.BranchOperations:^IDS171 = tns:Income.Other.Description       
          
-->

      <let name="RP.BranchOperations.InternallyRecordedDealings.InternallyRecordedDealingsDimensionValue" value="$RP.BranchOperations.InternallyRecordedDealings.Context/xbrli:entity/xbrli:segment/xbrldi:typedMember[ends-with(@dimension, 'InternallyRecordedDealingsDimension')]" as="xs:string*"/>     

      <assert id="VR.ATO.IDS.440065" diagnostics="DVR.ATO.IDS.440065" subject="subject" test="not(
                  (count($RP.BranchOperations.InternallyRecordedDealings.Context) != 0 or string-length(normalize-space(($RP.BranchOperations.InternallyRecordedDealings.InternallyRecordedDealingsDimensionValue)[1])) != 0) and (count($RP.BranchOperations.InternallyRecordedDealings.Context/xbrli:entity/xbrli:segment/xbrldi:typedMember[ends-with(@dimension, 'InternallyRecordedDealingsDimension')]//.[string-length(normalize-space(.)) &gt; 200]) &gt; 0))" >Field value supplied exceeds maximum field length</assert>







      <!--
            Rule ID: VR.ATO.IDS.440019
            
            IF ([IDS141] <> NULL AND [IDS142] = NULL) OR
               ([IDS142] <> NULL AND [IDS141] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS141] = IDS:RP.RevenueNoPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS142] = IDS:RP.RevenueNoPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
        -->


        <assert  id="VR.ATO.IDS.440070" diagnostics="DVR.ATO.IDS.440070" test="not(
                         ($IDS141 and not($IDS142)) or
                         ($IDS142 and not($IDS141)) 
                     )">
          
        </assert>
        
        <!--    
            Rule ID VR.ATO.IDS.440072
            
            IF ([IDS145] <> NULL AND [IDS146] = NULL) OR
            ([IDS146] <> NULL AND [IDS145] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS145] = IDS:RP.RevenueNonMonetaryPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS146] = IDS:RP.RevenueNonMonetaryPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
        -->

        <assert  id="VR.ATO.IDS.440072" diagnostics="DVR.ATO.IDS.440072" test="not(
                        ($IDS145 and not($IDS146)) or
                        ($IDS146 and not($IDS145)) 
                     )">
          
        </assert>
      
      
        <!-- 
            Rule ID VR.ATO.IDS.440080
            
            IF [IDS160] = FALSE 
               AND
               (
                   [IDS161] <> NULL AND [IDS162] <> NULL AND [IDS163] <> NULL AND [IDS164] <>  NULL AND 
                   [IDS165] <> NULL AND [IDS166] <> NULL AND [IDS167] <> NULL AND  [IDS168] <> NULL
               ) 
               AND 
               COUNT(RP.BranchOperations.{InternallyRecordedDealings}:ANY ELEMENT <> NULL) > 0 
                    RETURN VALIDATION MESSAGE
            ENDIF

            [IDS160] = IDS:RP:rvctc4.02.05:InternationalDealings.BranchOperations.Indicator
            [IDS161] = IDS:RP.BranchOperations.InterestBearing:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS162] = IDS:RP.BranchOperations.InterestBearing:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS163] = IDS:RP.BranchOperations.InterestBearing:bafpr1.02.12:Expense.InterestBorrowedTotal.Amount
            [IDS164] = IDS:RP.BranchOperations.InterestBearing:bafpr1.02.12:Income.InterestLoanedTotal.Amount
            [IDS165] = IDS:RP.BranchOperations.InterestFree:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS166] = IDS:RP.BranchOperations.InterestFree:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS167] = IDS:RP.BranchOperations:bafpr1.02.12:Expense.TradingStockPurchaseCosts.Amount
            [IDS168] = IDS:RP.BranchOperations:bafpr1.02.12:Income.TradingStockSalesTotal.Amount
        -->

        <assert  id="VR.ATO.IDS.440080" diagnostics="DVR.ATO.IDS.440080" test="not(                
                        $IDS160[matches(.,'^(false|0)$')] 
                        and
                        (
                            $IDS161 and $IDS162 and $IDS163 and $IDS164 and
                            $IDS165 and $IDS166 and $IDS167 and $IDS168
                        ) 
                        and                        
                        count(node()[@contextRef = $RP.BranchOperations.InternallyRecordedDealings.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                     )">
          
        </assert>

      
        <!-- 
            Rule ID VR.ATO.IDS.440081
            
            IF [IDS160] = TRUE 
               AND 
               (
                    [IDS161] = NULL AND [IDS162] = NULL AND [IDS163] = NULL AND [IDS164] = NULL AND 
                    [IDS165] = NULL AND [IDS166] = NULL AND [IDS167] = NULL AND [IDS168] = NULL
               ) 
               AND 
               COUNT(RP.BranchOperations.{InternallyRecordedDealings}:ANY ELEMENT <> NULL) = 0 
                    RETURN VALIDATION MESSAGE
            ENDIF

            [IDS160] = IDS:RP:rvctc4.02.05:InternationalDealings.BranchOperations.Indicator
            [IDS161] = IDS:RP.BranchOperations.InterestBearing:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS162] = IDS:RP.BranchOperations.InterestBearing:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS163] = IDS:RP.BranchOperations.InterestBearing:bafpr1.02.12:Expense.InterestBorrowedTotal.Amount
            [IDS164] = IDS:RP.BranchOperations.InterestBearing:bafpr1.02.12:Income.InterestLoanedTotal.Amount
            [IDS165] = IDS:RP.BranchOperations.InterestFree:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS166] = IDS:RP.BranchOperations.InterestFree:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS167] = IDS:RP.BranchOperations:bafpr1.02.12:Expense.TradingStockPurchaseCosts.Amount
            [IDS168] = IDS:RP.BranchOperations:bafpr1.02.12:Income.TradingStockSalesTotal.Amount
        -->


        <assert  id="VR.ATO.IDS.440081" diagnostics="DVR.ATO.IDS.440081" test="not(
                        $IDS160[matches(.,'^(true|1)$')] 
                        and
                        (
                            not($IDS161) and not($IDS162) and not($IDS163) and not($IDS164) and
                            not($IDS165) and not($IDS166) and not($IDS167) and not($IDS168)
                        ) 
                        and                        
                        count(node()[@contextRef = $RP.BranchOperations.InternallyRecordedDealings.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                
                     )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440150
            
            IF ([IDS235] > 0 OR [IDS237] > 0 OR [IDS238] > 0) AND ([IDS223] <> "7")
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS235] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount
            [IDS237] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount
            [IDS238] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount
        -->

        <assert  id="VR.ATO.IDS.440150" diagnostics="DVR.ATO.IDS.440150" test="not(
                       (sum($IDS235) &gt; 0 or
                        sum($IDS237) &gt; 0 or
                        sum($IDS238) &gt; 0) 
                       and ($IDS223 != '7')
                     )">
          
        </assert>
      
      
        <!--
            Rule ID VR.ATO.IDS.440128
            
            IF [IDS206] <> TRUE AND [IDS207] <> NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS206] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncome.Indicator
            [IDS207] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount
        -->


        <assert  id="VR.ATO.IDS.440128" diagnostics="DVR.ATO.IDS.440128" test="not(
                        not($IDS206[matches(.,'^(true|1)$')]) and $IDS207
                    )">
          
        </assert>
      
      
        <!-- 
            Rule ID VR.ATO.IDS.440129
            
            IF [IDS206] = TRUE AND [IDS207] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS206] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncome.Indicator
            [IDS207] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount
        -->

        <assert  id="VR.ATO.IDS.440129" diagnostics="DVR.ATO.IDS.440129" test="not(
                        $IDS206[matches(.,'^(true|1)$')] and not($IDS207)
                    )">
          
        </assert>
      
      
        <!-- 
            Rule ID VR.ATO.IDS.440095
            
            IF [IDS172] = FALSE AND ([IDS173] <> NULL OR [IDS174] <> NULL OR [IDS175] <> NULL OR [IDS176] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS172] = IDS:RP:rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator
            [IDS173] = IDS:RP.Quarterly:bafpr2.02.12:Expense.Interest.DebtReceivedAverageBalance.Amount
            [IDS174] = IDS:RP.Quarterly:bafpr2.02.12:Income.Interest.DebtProvidedAverageBalance.Amount
            [IDS175] = IDS:RP.Quarterly:bafpr2.02.12:Expense.Interest.EquityReceivedAverageBalance.Amount
            [IDS176] = IDS:RP.Quarterly:bafpr2.02.12:Income.Interest.EquityProvidedAverageBalance.Amount
        -->

        <assert  id="VR.ATO.IDS.440095" diagnostics="DVR.ATO.IDS.440095" test="not(
                        $IDS172[matches(.,'^(false|0)$')]
                        and
                        (
                            $IDS173 or $IDS174 or $IDS175 or $IDS176
                        )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID VR.ATO.IDS.440096
            
            IF [IDS172] = TRUE AND [IDS173] = NULL AND [IDS174] = NULL AND [IDS175] = NULL AND [IDS176] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS172] = IDS:RP:rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator
            [IDS173] = IDS:RP.Quarterly:bafpr2.02.12:Expense.Interest.DebtReceivedAverageBalance.Amount
            [IDS174] = IDS:RP.Quarterly:bafpr2.02.12:Income.Interest.DebtProvidedAverageBalance.Amount
            [IDS175] = IDS:RP.Quarterly:bafpr2.02.12:Expense.Interest.EquityReceivedAverageBalance.Amount
            [IDS176] = IDS:RP.Quarterly:bafpr2.02.12:Income.Interest.EquityProvidedAverageBalance.Amount
        -->

        <assert  id="VR.ATO.IDS.440096" diagnostics="DVR.ATO.IDS.440096" test="not(
                        $IDS172[matches(.,'^(true|1)$')]
                        and
                        not($IDS173) and not($IDS174) and not($IDS175) and not($IDS176)
                    )">
          
        </assert>
      
      
        <!--
            Rule ID VR.ATO.IDS.440102
            
            IF [IDS177] = FALSE AND ([IDS178] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator
            [IDS178] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code
        -->

        <assert  id="VR.ATO.IDS.440102" diagnostics="DVR.ATO.IDS.440102" test="not(
                            $IDS177[matches(.,'^(false|0)$')] and $IDS178
                        )">
          
        </assert>
      
      
        <!--
            Rule ID VR.ATO.IDS.440103
            
            IF [IDS177] = TRUE AND [IDS178] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator
            [IDS178] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code
        -->

        <assert  id="VR.ATO.IDS.440103" diagnostics="DVR.ATO.IDS.440103" test="not(
                            $IDS177[matches(.,'^(true|1)$')] and not($IDS178)
                        )">
          
        </assert>
        
      
        <!--
            Rule ID VR.ATO.IDS.440105
            
            IF [IDS184] = FALSE 
            AND (
            [IDS185] <> NULL OR [IDS186] <> NULL OR [IDS187] <> NULL OR [IDS188] <> NULL OR [IDS189] <> NULL OR 
            [IDS190] <> NULL OR [IDS191] <> NULL OR [IDS192] <> NULL OR [IDS193] <> NULL OR [IDS194] <> NULL)
                RETURN VALIDATION RULE
            ENDIF
            
            [IDS184] = IDS:RP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator
            [IDS185] = IDS:RP.CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS186] = IDS:RP.CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS187] = IDS:RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS188] = IDS:RP.CFCLC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS189] = IDS:RP.CFCSP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS190] = IDS:RP.CFCUC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [IDS194] = IDS:RP:rvctc4.02.05:InternationalDealings.ControlledForeignCompaniesResidentUnlistedCountryBenefitProvided.Indicator
        -->

        <assert  id="VR.ATO.IDS.440105" diagnostics="DVR.ATO.IDS.440105" test="not(
                            $IDS184[matches(.,'^(false|0)$')] 
                            and 
                            (
                                $IDS185 or $IDS186 or $IDS187 or $IDS188 or $IDS189 or
                                $IDS190 or $IDS191 or $IDS192 or $IDS193 or $IDS194
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID VR.ATO.IDS.440106
            
            IF [IDS184] = TRUE AND 
            (
                ([IDS185] = NULL AND [IDS186] = NULL AND [IDS187] = NULL) 
                OR 
                ([IDS188] = NULL AND [IDS189] = NULL AND [IDS190] = NULL AND [IDS191] = NULL AND [IDS192] = NULL AND [IDS193] = NULL) 
                OR 
                [IDS194] = NULL
            )
                RETURN VALIDATION RULE
            ENDIF
            
            [IDS184] = IDS:RP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator
            [IDS185] = IDS:RP.CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS186] = IDS:RP.CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS187] = IDS:RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS188] = IDS:RP.CFCLC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS189] = IDS:RP.CFCSP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS190] = IDS:RP.CFCUC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [IDS194] = IDS:RP:rvctc4.02.05:InternationalDealings.ControlledForeignCompaniesResidentUnlistedCountryBenefitProvided.Indicator
        -->

        <assert  id="VR.ATO.IDS.440106" diagnostics="DVR.ATO.IDS.440106" test="not(
                            $IDS184[matches(.,'^(true|1)$')] 
                            and 
                            (
                                (not($IDS185) and not($IDS186) and not($IDS187))
                                or
                                (not($IDS188) and not($IDS189) and not($IDS190) and not($IDS191) and not($IDS192) and not($IDS193))
                                or
                                not($IDS194) 
                            )
                        )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440111
            
            IF[IDS191] <> ([IDS188] + [IDS189] + [IDS190])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS188] = IDS:RP.CFCLC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS189] = IDS:RP.CFCSP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS190] = IDS:RP.CFCUC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
        -->

        <assert  id="VR.ATO.IDS.440111" diagnostics="DVR.ATO.IDS.440111" test="not(
                           round( 100 * xs:decimal(sum($IDS191)))
                           != 
                           round( 100 * xs:decimal(sum($IDS188 | $IDS189 | $IDS190)))
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440115
                              
            IF [IDS195] = FALSE AND ([IDS196] <> NULL OR [IDS197] <> NULL OR [IDS198] <> NULL OR [IDS199] <> NULL OR [IDS200] <> NULL 
                  OR [IDS201] <> NULL OR [IDS202] <> NULL OR [IDS203] <> NULL OR [IDS204] <> NULL OR [IDS205] <> NULL 
                  OR [IDS206] <> NULL OR [IDS208] <> NULL OR [IDS320] <> NULL OR [IDS321] <> NULL OR [IDS322] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS195] = IDS:RP:bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator
            [IDS196] = IDS:RP.CFCLC:bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [IDS197] = IDS:RP.CFCSP:bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [IDS198] = IDS:RP.CFCUC:bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [IDS199] = IDS:RP:bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount
            [IDS200] = IDS:RP.CFCLC:bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [IDS201] = IDS:RP.CFCSP:bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [IDS202] = IDS:RP.CFCUC:bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [IDS203] = IDS:RP.CFCLC:bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [IDS204] = IDS:RP.CFCSP:bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [IDS205] = IDS:RP.CFCUC:bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [IDS206] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncome.Indicator            
            [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
            [IDS320] = IDS:RP.CFCLC:bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
            [IDS321] = IDS:RP.CFCSP:bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
            [IDS322] = IDS:RP.CFCUC:bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
                       
        -->

        <assert  id="VR.ATO.IDS.440115" diagnostics="DVR.ATO.IDS.440115" test="not(
                            $IDS195[matches(.,'^(false|0)$')] 
                            and 
                            (
                                $IDS196 or $IDS197 or $IDS198 or $IDS199 or $IDS200 or 
                                $IDS201 or $IDS202 or $IDS203 or $IDS204 or $IDS205 or 
                                $IDS206 or $IDS208 or $IDS320 or $IDS321 or $IDS322
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440162
            
            IF [IDS223] <> NULL AND [IDS228] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
        -->

        <assert  id="VR.ATO.IDS.440162" diagnostics="DVR.ATO.IDS.440162" test="not(
                            $IDS223 and not($IDS228)
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440163
            
            IF ([IDS223] = SET ("1","2","3","4","5","6")) AND ([IDS228] > 0) AND
               (([IDS226] = NULL OR [IDS226] = 0) OR ([IDS245] = NULL OR [IDS245] = 0))
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS223] = IDS.RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [IDS245] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount              
       -->

        <assert  id="VR.ATO.IDS.440163" diagnostics="DVR.ATO.IDS.440163" test="not(
                            ($IDS223[matches(.,'^(1|2|3|4|5|6)$')]) 
                            and
                            (sum($IDS228) &gt; 0 )
                            and 
                            (
                                (sum($IDS226) = 0)
                                or
                                (sum($IDS245) = 0)
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440318
            
            IF ([IDS223] = SET ("7","8")) AND ([IDS228] > 0) AND ([IDS233] = NULL OR [IDS233] = 0)
                RETURN VALIDATION MESSAGE
            ENDIF


            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [IDS233] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.EquityShortfall.Amount            
        -->

        <assert  id="VR.ATO.IDS.440318" diagnostics="DVR.ATO.IDS.440318" test="not(
                            ($IDS223[matches(.,'^(7|8)$')]) 
                            and
                            (sum($IDS228) &gt; 0 )
                            and 
                            (sum($IDS233) = 0)
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440166           

            IF ([IDS230] <> TRUE) AND 
            ([IDS231] <> NULL OR [IDS232] <> NULL OR [IDS233] <> NULL OR [IDS234] <> NULL OR [IDS235] <> NULL OR 
             [IDS236] <> NULL OR [IDS237] <> NULL OR [IDS238] <> NULL OR [IDS239] <> NULL OR [IDS240] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS230] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator
            [IDS231] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount
            [IDS232] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.SafeHarbour.Amount
            [IDS233] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.EquityShortfall.Amount
            [IDS234] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount
            [IDS235] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount
            [IDS236] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsOverseasPermanentEstablishmentsAverageValueTotal.Amount
            [IDS237] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount
            [IDS238] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount
            [IDS239] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount
            [IDS240] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.DotationCapitalAverageValue.Amount
        -->

        <assert  id="VR.ATO.IDS.440166" diagnostics="DVR.ATO.IDS.440166" test="not(
                            not($IDS230[matches(.,'^(true|1)$')])
                            and 
                            (
                                $IDS231 or $IDS232 or $IDS233 or $IDS234 or $IDS235 or
                                $IDS236 or $IDS237 or $IDS238 or $IDS239 or $IDS240
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440178
            
            IF [IDS241] <> TRUE AND 
            ([IDS242] <> NULL OR [IDS243] <> NULL OR [IDS244] <> NULL OR [IDS245] <> NULL OR [IDS246] <> NULL OR 
             [IDS247] <> NULL OR [IDS248] <> NULL OR [IDS249] <> NULL OR [IDS250] <> NULL OR [IDS251] <> NULL OR 
             [IDS252] <> NULL OR [IDS253] <> NULL OR [IDS254] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS241] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator
            [IDS242] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetsValueAverage.Amount
            [IDS243] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetRevaluation.Amount
            [IDS244] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount
            [IDS245] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount
            [IDS246] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount
            [IDS247] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount
            [IDS248] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount
            [IDS249] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount
            [IDS250] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ExcludedEquityInterestsAverage.Amount
            [IDS251] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ZeroCapitalAverage.Amount
            [IDS252] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.OnLentAverage.Amount
            [IDS253] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount
            [IDS254] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
        -->

        <assert  id="VR.ATO.IDS.440178" diagnostics="DVR.ATO.IDS.440178" test="not(
                            not($IDS241[matches(.,'^(true|1)$')])
                            and 
                            (
                                $IDS242 or $IDS243 or $IDS244 or $IDS245 or $IDS246 or
                                $IDS247 or $IDS248 or $IDS249 or $IDS250 or $IDS251 or 
                                $IDS252 or $IDS253 or $IDS254
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440179
            
            IF [IDS241] = TRUE AND 
            ([IDS242] = NULL AND [IDS243] = NULL AND [IDS244] = NULL AND [IDS245] = NULL AND [IDS246] = NULL AND [IDS247] = NULL AND 
            [IDS248] = NULL AND [IDS249] = NULL AND [IDS250] = NULL AND [IDS251] = NULL AND [IDS252] = NULL AND [IDS253] = NULL AND [IDS254] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS241] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator
            [IDS242] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetsValueAverage.Amount
            [IDS243] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetRevaluation.Amount
            [IDS244] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount
            [IDS245] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount
            [IDS246] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount
            [IDS247] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount
            [IDS248] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount
            [IDS249] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount
            [IDS250] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ExcludedEquityInterestsAverage.Amount
            [IDS251] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ZeroCapitalAverage.Amount
            [IDS252] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.OnLentAverage.Amount
            [IDS253] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount
            [IDS254] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
        -->

        <assert  id="VR.ATO.IDS.440179" diagnostics="DVR.ATO.IDS.440179" test="not(
                            $IDS241[matches(.,'^(true|1)$')]
                            and 
                            (
                                not($IDS242) and not($IDS243) and not($IDS244) and not($IDS245) and not($IDS246) and
                                not($IDS247) and not($IDS248) and not($IDS249) and not($IDS250) and
                                not($IDS251) and not($IDS252) and not($IDS253) and not($IDS254)
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440183
            
  
            IF [IDS245] > 0 AND ([IDS226] = NULL OR [IDS228] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [IDS245] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount
        -->

        <assert  id="VR.ATO.IDS.440183" diagnostics="DVR.ATO.IDS.440183" test="not(
                            sum($IDS245) &gt; 0 
                            and 
                            (
                                not($IDS226)
                                or
                                not($IDS228)
                            )
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440194
            
            IF [IDS255] <> TRUE AND [IDS256] <> NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS255] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator
            [IDS256] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ArmsLengthDebt.Amount
        -->

        <assert  id="VR.ATO.IDS.440194" diagnostics="DVR.ATO.IDS.440194" test="not(
                            not($IDS255[matches(.,'^(true|1)$')]) 
                            and $IDS256
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440195
            
            IF [IDS255] = TRUE AND [IDS256] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [IDS255] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator
            [IDS256] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ArmsLengthDebt.Amount
        -->

        <assert  id="VR.ATO.IDS.440195" diagnostics="DVR.ATO.IDS.440195" test="not(
                            $IDS255[matches(.,'^(true|1)$')]
                            and not($IDS256)
                        )">
          
        </assert>

      
        <!--
            Rule ID: VR.ATO.IDS.440198
            
            IF [IDS257] = TRUE AND [IDS258] = NULL AND [IDS259] = NULL AND [IDS260] = NULL AND [IDS261] = NULL AND [IDS262] = NULL
                AND [IDS323] = NULL AND [IDS324] = NULL
             RETURN VALIDATION MESSAGE
            ENDIF

            [IDS257] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator
            [IDS258] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction
            [IDS259] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideCapital.Amount
            [IDS260] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideDebtTotal.Amount
            [IDS261] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.WorldwideEquity.Amount
            [IDS262] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGearingDebt.Amount
            [IDS323] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.StatementWorldwideAsset.Amount
            [IDS324] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.AverageAustralianAsset.Amount          
        -->

        <assert  id="VR.ATO.IDS.440198" diagnostics="DVR.ATO.IDS.440198" test="not(
                            $IDS257[matches(.,'^(true|1)$')]
                            and not($IDS258) 
                            and not($IDS259) 
                            and not($IDS260) 
                            and not($IDS261)
                            and not($IDS262)   
                            and not($IDS323) 
                            and not($IDS324) 
                        )">
          
        </assert>
      
      
        <!--
            Rule ID:VR.ATO.IDS.440078
            
            FOR EACH RestructuringEvent IN SET (RP.{RestructuringEvent})
            IF ([IDS152] = NULL OR [IDS153] = NULL OR [IDS154] = NULL OR [IDS155] = NULL OR [IDS156] = NULL OR [IDS158] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS152] = IDS:RP.{RestructuringEvent}:pyde.02.09:OrganisationDetails.RestructuringEventEntity.Code
            [IDS153] = IDS:RP.{RestructuringEvent}:bafot.02.11:Miscellaneous.CapitalValue.Code
            [IDS154] = IDS:RP.{RestructuringEvent}:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS155] = IDS:RP.{RestructuringEvent}:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS156] = IDS:RP.{RestructuringEvent}:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS158] = IDS:RP.{RestructuringEvent}:rvctc4.02.05:InternationalDealings.EventAnalysis.Indicator
        -->

        <assert  id="VR.ATO.IDS.440078" diagnostics="DVR.ATO.IDS.440078" test="not(
                        count($RP.RestructuringEvent.ContextId) != count($IDS152)
                        or  count($RP.RestructuringEvent.ContextId) != count($IDS153)
                        or  count($RP.RestructuringEvent.ContextId) != count($IDS154)
                        or  count($RP.RestructuringEvent.ContextId) != count($IDS155)
                        or  count($RP.RestructuringEvent.ContextId) != count($IDS156)
                        or  count($RP.RestructuringEvent.ContextId) != count($IDS158)
                       )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440057
            
            IF ([IDS123] <> TRUE) AND 
            ([IDS124] <> NULL OR [IDS125] <> NULL OR [IDS126] <> NULL OR [IDS127] <> NULL OR [IDS128] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS123] = IDS:RP:rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator
            [IDS124] = IDS:RP.OtherNotReportedRevenue:bafpr1.02.00:Expense.Total.Amount
            [IDS125] = IDS:RP.OtherNotReportedRevenue:bafpr1.02.12:Revenue.Total.Amount
            [IDS126] = IDS:RP.OtherNotReportedRevenue:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS127] = IDS:RP.OtherNotReportedRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS128] = IDS:RP.OtherNotReportedRevenue:rvctc4.02.05:InternationalDealings.Description.Text
        -->

        <assert  id="VR.ATO.IDS.440057" diagnostics="DVR.ATO.IDS.440057" test="not(                    
                          not($IDS123[matches(.,'^(true|1)$')])
                          and
                          ($IDS124 or $IDS125 or $IDS126 or $IDS127 or $IDS128)               
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440074
            
            IF [IDS147] = TRUE AND ([IDS148] = NULL AND [IDS149] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS147] = IDS:RP:rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator
            [IDS148] = IDS:RP.RechargeAmounts:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS149] = IDS:RP.RechargeAmounts:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount
        -->


        <assert  id="VR.ATO.IDS.440074" diagnostics="DVR.ATO.IDS.440074" test="not(
                            $IDS147[matches(.,'^(true|1)$')] and (not($IDS148) and not($IDS149))
                        )">
          
        </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440059
            
            IF [IDS129] <> TRUE AND 
               (
                [IDS130] <> NULL OR [IDS131] <> NULL OR [IDS132] <> NULL OR [IDS133] <> NULL OR [IDS134] <> NULL OR [IDS135] <> NULL OR [IDS136] <> NULL OR [IDS137] <> NULL
               )
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS129] = IDS:RP:bafot.02.11:Miscellaneous.CapitalNature.Indicator
            [IDS130] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationPaid.Amount
            [IDS131] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationReceived.Amount
            [IDS132] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            [IDS133] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS134] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationPaid.Amount
            [IDS135] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationReceived.Amount
            [IDS136] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            [IDS137] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440059" diagnostics="DVR.ATO.IDS.440059" test="not(
                        not($IDS129[matches(.,'^(true|1)$')]) and 
                        (
                            $IDS130 or $IDS131 or $IDS132 or $IDS133 or $IDS134 or $IDS135 or $IDS136 or $IDS137
                        )
                   )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440046
            
            IF (
                [IDS97]  = TRUE AND 
                [IDS98]  = NULL AND [IDS99] = NULL  AND [IDS100] = NULL AND [IDS101] = NULL AND [IDS102] = NULL AND [IDS103] = NULL AND 
                [IDS104] = NULL AND [IDS105] = NULL AND [IDS106] = NULL AND [IDS107] = NULL AND [IDS108] = NULL AND [IDS109] = NULL AND 
                [IDS110] = NULL AND [IDS111] = NULL AND [IDS112] = NULL AND [IDS113] = NULL AND [IDS114] = NULL AND [IDS115] = NULL AND 
                [IDS116] = NULL AND [IDS117] = NULL AND [IDS118] = NULL AND [IDS119] = NULL AND [IDS120] = NULL AND [IDS121] = NULL AND 
                [IDS122] = NULL
               )
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS97]  = IDS:RP:rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator
            [IDS98]  = IDS:RP.OtherFinancialDealings.InterestBearing:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS99]  = IDS:RP.OtherFinancialDealings.InterestFree:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS100] = IDS:RP.OtherFinancialDealings.InterestBearing:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS101] = IDS:RP.OtherFinancialDealings.InterestFree:bafpo1.02.11:Assets.LoanedAverageBalance.Amount
            [IDS102] = IDS:RP.OtherInterest:bafpr1.02.00:Expense.Total.Amount
            [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
            [IDS104] = IDS:RP.OtherInterest:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS105] = IDS:RP.OtherInterest:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS106] = IDS:RP.OtherGuarantees:bafpr1.02.00:Expense.Total.Amount
            [IDS107] = IDS:RP.OtherGuarantees:bafpr1.02.12:Revenue.Total.Amount
            [IDS108] = IDS:RP.OtherGuarantees:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS109] = IDS:RP.OtherGuarantees:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS110] = IDS:RP.OtherInsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS111] = IDS:RP.OtherInsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS112] = IDS:RP.OtherInsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS113] = IDS:RP.OtherInsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS114] = IDS:RP.OtherReinsurance:bafpr1.02.00:Expense.Total.Amount
            [IDS115] = IDS:RP.OtherReinsurance:bafpr1.02.12:Revenue.Total.Amount
            [IDS116] = IDS:RP.OtherReinsurance:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS117] = IDS:RP.OtherReinsurance:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS118] = IDS:RP.OtherFinancialDealings:bafpr1.02.00:Expense.Total.Amount
            [IDS119] = IDS:RP.OtherFinancialDealings:bafpr1.02.12:Revenue.Total.Amount
            [IDS120] = IDS:RP.OtherFinancialDealings:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS121] = IDS:RP.OtherFinancialDealings:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS122] = IDS:RP.OtherFinancialDealings:rvctc4.02.05:InternationalDealings.Description.Text
        -->

        <assert  id="VR.ATO.IDS.440046" diagnostics="DVR.ATO.IDS.440046" test="not(
                        $IDS97[matches(.,'^(true|1)$')] and                         
                        not($IDS98)  and  not($IDS99)  and  not($IDS100) and  not($IDS101) and  not($IDS102) and  not($IDS103) and  
                        not($IDS104) and  not($IDS105) and  not($IDS106) and  not($IDS107) and  not($IDS108) and  not($IDS109) and  
                        not($IDS110) and  not($IDS111) and  not($IDS112) and  not($IDS113) and  not($IDS114) and  not($IDS115) and  
                        not($IDS116) and  not($IDS117) and  not($IDS118) and  not($IDS119) and  not($IDS120) and  not($IDS121) and  
                        not($IDS122)                        
                   )">
          
        </assert>
        
        <!--
            Rule ID: VR.ATO.IDS.440058
            
            IF ([IDS123] = TRUE) AND 
            (([IDS124] = NULL AND [IDS125] = NULL) OR [IDS126] = NULL OR [IDS127] = NULL OR [IDS128] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS123] = IDS:RP:rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator
            [IDS124] = IDS:RP.OtherNotReportedRevenue:bafpr1.02.00:Expense.Total.Amount
            [IDS125] = IDS:RP.OtherNotReportedRevenue:bafpr1.02.12:Revenue.Total.Amount
            [IDS126] = IDS:RP.OtherNotReportedRevenue:bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code
            [IDS127] = IDS:RP.OtherNotReportedRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS128] = IDS:RP.OtherNotReportedRevenue:rvctc4.02.05:InternationalDealings.Description.Text       
        -->

        <assert  id="VR.ATO.IDS.440058" diagnostics="DVR.ATO.IDS.440058" test="not(                    
                          $IDS123[matches(.,'^(true|1)$')]
                          and
                          ((not($IDS124) and not($IDS125)) or not($IDS126) or not($IDS127) or not($IDS128))              
                        )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440060
            
            IF [IDS129] = TRUE AND [IDS130] = NULL AND [IDS131] = NULL AND [IDS132] = NULL AND [IDS133] = NULL AND [IDS134] = NULL AND [IDS135] = NULL AND [IDS136] = NULL AND [IDS137] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS129] = IDS:RP:bafot.02.11:Miscellaneous.CapitalNature.Indicator
            [IDS130] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationPaid.Amount
            [IDS131] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationReceived.Amount
            [IDS132] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            [IDS133] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
            [IDS134] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationPaid.Amount
            [IDS135] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationReceived.Amount
            [IDS136] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            [IDS137] = IDS:RP.OtherNotReportedIntangibleNonRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
         -->


        <assert  id="VR.ATO.IDS.440060" diagnostics="DVR.ATO.IDS.440060" test="not(                    
                          $IDS129[matches(.,'^(true|1)$')]
                          and
                          not($IDS130) and not($IDS131) and not($IDS132) and not($IDS133) and not($IDS134) and not($IDS135) and not($IDS136) and not($IDS137)        
                        )">
          
        </assert>
        
        
        <!--
            Rule ID: VR.ATO.IDS.440291
            
            IF [IDS86] = ANY OTHER OCCURRENCE OF [IDS86] 
               RETURN VALIDAITON MESSAGE
            ENDIF

            [IDS86] = IDS:RP.Derivatives:bafot.02.11:Miscellaneous.PrincipalDerivatives.Code        
        -->

        <assert  id="VR.ATO.IDS.440291" diagnostics="DVR.ATO.IDS.440291" test="not(
                        $IDS86[text() = preceding-sibling::*[name() = name(.)]/text()]
                      )">
          
        </assert>
      

        <!--
            Rule ID: VR.ATO.IDS.440295
            
            IF [IDS178] = ANY OTHER OCCURRENCE OF [IDS178]
               RETURN VALIDAITON MESSAGE
            ENDIF

            [IDS178] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code        
        -->

        <assert  id="VR.ATO.IDS.440295" diagnostics="DVR.ATO.IDS.440295" test="not(
                          $IDS178[text() = preceding-sibling::*[name() = name(.)]/text()]
                    )">
          
        </assert>

        
        <!--
            Rule ID: VR.ATO.IDS.440133
            
            IF [IDS208] = TRUE
            AND [IDS209] = NULL
            AND [IDS210] = NULL
            AND [IDS211] = NULL
            AND [IDS212] = NULL
            RETURN VALDIATION MESSAGE
            ENDIF

            [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
            [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount
            [IDS210] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount
            [IDS211] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount
            [IDS212] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount
        -->

        <assert  id="VR.ATO.IDS.440133" diagnostics="DVR.ATO.IDS.440133" test="not(                    
                          $IDS208[matches(.,'^(true|1)$')]
                          and
                          not($IDS209) and not($IDS210) and not($IDS211) and not($IDS212)        
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440297
            
            IF [IDS213] = TRUE AND 
               (COUNT(SET(RP.{TrustExemptionCode}):ANY ELEMENT <> NULL) = 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS213] = IDS:RP:bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Indicator
        -->

        <assert  id="VR.ATO.IDS.440297" diagnostics="DVR.ATO.IDS.440297" test="not(                    
                          $IDS213[matches(.,'^(true|1)$')]
                          and
                          count(node()[@contextRef = $RP.TrustExemptionCode.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440141
            
            IF ([IDS217] <> TRUE) AND ([IDS218] <> NULL OR [IDS219] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS217] = IDS:RP:bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyShareholder.Indicator
            [IDS218] = IDS:RP:bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyInterestIn.Count
            [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
        -->

        <assert  id="VR.ATO.IDS.440141" diagnostics="DVR.ATO.IDS.440141" test="not(
                $IDS217[not(matches(.,'^(true|1)$'))]
                and
                (
                $IDS218
                or
                $IDS219
                )
                )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440142
            
            IF [IDS217] = TRUE AND ([IDS218] = NULL OR [IDS219] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS217] = IDS:RP:bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyShareholder.Indicator
            [IDS218] = IDS:RP:bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyInterestIn.Count
            [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
        -->

        <assert  id="VR.ATO.IDS.440142" diagnostics="DVR.ATO.IDS.440142" test="not(
                $IDS217[matches(.,'^(true|1)$')]
                and
                (
                not ($IDS218)
                or
                not ($IDS219)
                )
                )">
          
        </assert>
        
      
        <!--    
            Rule ID: VR.ATO.IDS.440144
            
            IF [IDS220] = FALSE AND ([IDS221] <> NULL OR [IDS223] <> NULL OR [IDS224] <> NULL OR [IDS225] <> NULL OR [IDS226] <> NULL OR [IDS227] <> NULL OR [IDS228] <> NULL OR [IDS229] <> NULL OR [IDS230] <> NULL OR [IDS241] <> NULL OR [IDS255] <> NULL OR [IDS257] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS220] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [IDS221] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator
            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS224] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator
            [IDS225] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code
            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [IDS227] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [IDS229] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount
            [IDS230] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator
            [IDS241] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator
            [IDS255] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator
            [IDS257] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator
        -->

        <assert  id="VR.ATO.IDS.440144" diagnostics="DVR.ATO.IDS.440144" test="not(
                        $IDS220[matches(.,'^(false|0)$')]
                        and
                        (
                             $IDS221 or $IDS223 or $IDS224 or $IDS225 or
                             $IDS226 or $IDS227 or $IDS228 or $IDS229 or
                             $IDS230 or $IDS241 or $IDS255 or $IDS257
                        )
                     )">
          
        </assert>
      
        
        <!--
            Rule ID: VR.ATO.IDS.440147
            
            IF [IDS221]  = FALSE AND ([IDS222] <> NULL OR ([IDS223] = NULL OR [IDS224] = NULL OR [IDS225] = NULL OR [IDS230] = NULL OR [IDS241] = NULL OR [IDS255] = NULL OR [IDS257] = NULL) OR ([IDS226] = NULL OR [IDS227] = NULL OR [IDS228] = NULL OR [IDS229] = NULL))
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS221] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator
            [IDS222] = IDS:RP:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS224] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator
            [IDS225] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code
            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [IDS227] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [IDS229] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount
            [IDS230] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator
            [IDS241] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator
            [IDS255] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator
            [IDS257] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator
        -->

        <assert  id="VR.ATO.IDS.440147" diagnostics="DVR.ATO.IDS.440147" test="not(
                        ($IDS221[matches(.,'^(false|0)$')])
                        and
                        (
                            $IDS222 or
                            (
                                not($IDS223) or
                                not($IDS224) or
                                not($IDS225) or
                                not($IDS230) or
                                not($IDS241) or
                                not($IDS255) or
                                not($IDS257)
                            )
                            or (not($IDS226) or not($IDS227) or not($IDS228) or not($IDS229))
                        )
                     )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440148
            
            IF [IDS221] = TRUE AND 
               (
                    [IDS222] = NULL OR 
                    (
                        [IDS223] <> NULL OR [IDS224] <> NULL OR [IDS225] <> NULL OR 
                        [IDS226] <> NULL OR [IDS227] <> NULL OR [IDS228] <> NULL OR 
                        [IDS229] <> NULL OR [IDS230] <> NULL OR [IDS241] <> NULL OR 
                        [IDS255] <> NULL OR [IDS257] <> NULL
                    )
                )
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS221] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator
            [IDS222] = IDS:RP:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS224] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator
            [IDS225] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code
            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [IDS227] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
            [IDS228] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [IDS229] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount
            [IDS230] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator
            [IDS241] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator
            [IDS255] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator
            [IDS257] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator
        -->

        <assert  id="VR.ATO.IDS.440148" diagnostics="DVR.ATO.IDS.440148" test="not(
                       $IDS221[matches(.,'^(true|1)$')] and
                       (
                            not($IDS222) or
                            (
                                $IDS223 or $IDS224 or $IDS225 or
                                $IDS226 or $IDS227 or $IDS228 or 
                                $IDS229 or $IDS230 or $IDS241 or 
                                $IDS255 or $IDS257
                            )
                        )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440151
            
            IF ([IDS239] > 0 or [IDS240] > 0) AND ([IDS223] <> "8")
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS239] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount
            [IDS240] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.DotationCapitalAverageValue.Amount
            
        -->

        <assert  id="VR.ATO.IDS.440151" diagnostics="DVR.ATO.IDS.440151" test="not(
                (
                sum($IDS239) &gt; 0
                or
                sum($IDS240) &gt; 0
                )
                and
                not($IDS223[matches(.,'^8$')])
                )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440067
            
            IF [IDS138] <> TRUE AND ([IDS139] <> NULL OR [IDS140] <> NULL OR [IDS141] <> NULL OR [IDS142] <> NULL OR [IDS143] <> NULL OR [IDS144] <> NULL OR [IDS145] <> NULL OR [IDS146] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS138] = IDS:RP:bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [IDS139] = IDS:RP.CapitalNoPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS140] = IDS:RP.CapitalNoPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS141] = IDS:RP.RevenueNoPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS142] = IDS:RP.RevenueNoPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS143] = IDS:RP.CapitalNonMonetaryPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS144] = IDS:RP.CapitalNonMonetaryPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS145] = IDS:RP.RevenueNonMonetaryPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS146] = IDS:RP.RevenueNonMonetaryPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code         
        -->

        <assert  id="VR.ATO.IDS.440067" diagnostics="DVR.ATO.IDS.440067" test="not(                    
                          not($IDS138[matches(.,'^(true|1)$')])
                          and
                           ($IDS139 or $IDS140 or $IDS141 or $IDS142 or $IDS143 or $IDS144 or $IDS145 or $IDS146)     
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440068
            
            IF [IDS138] = TRUE AND ([IDS139] = NULL AND [IDS140] = NULL AND [IDS141] = NULL AND [IDS142] = NULL AND [IDS143] = NULL AND [IDS144] = NULL AND [IDS145] = NULL AND [IDS146] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS138] = IDS:RP:bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [IDS139] = IDS:RP.CapitalNoPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS140] = IDS:RP.CapitalNoPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS141] = IDS:RP.RevenueNoPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS142] = IDS:RP.RevenueNoPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS143] = IDS:RP.CapitalNonMonetaryPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS144] = IDS:RP.CapitalNonMonetaryPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
            [IDS145] = IDS:RP.RevenueNonMonetaryPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS146] = IDS:RP.RevenueNonMonetaryPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code
        -->

        <assert  id="VR.ATO.IDS.440068" diagnostics="DVR.ATO.IDS.440068" test="not(                    
                          $IDS138[matches(.,'^(true|1)$')]
                          and
                           (not($IDS139) and not($IDS140) and not($IDS141) and not($IDS142) and not($IDS143) and not($IDS144) and not($IDS145) and not($IDS146))     
                        )">
          
        </assert>


      <!--
            Rule ID: VR.ATO.IDS.440152
            
            IF ([IDS242] > 0 OR [IDS246] > 0 OR [IDS247] > 0 OR [IDS248] > 0 OR [IDS249] > 0) 
            AND ([IDS223] <> SET("1","2","3","4","5","6","9","10"))
                RETURN VALIDATION MESSAGE
            ENDIF
    
            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS242] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssetsValueAverage.Amount
            [IDS246] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount
            [IDS247] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount
            [IDS248] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount
            [IDS249] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount
        -->

      <assert  id="VR.ATO.IDS.440152" diagnostics="DVR.ATO.IDS.440152" test="not(
                (
                sum($IDS242) &gt; 0
                or
                sum($IDS246) &gt; 0
                or
                sum($IDS247) &gt; 0
                or
                sum($IDS248) &gt; 0
                or
                sum($IDS249) &gt; 0
                )
                and
                not($IDS223[matches(.,'^(1|2|3|4|5|6|9|10)$')])
                )
                ">

      </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440153
            
            IF ([IDS251] > 0 OR [IDS252] > 0) AND ([IDS223] <> SET ("2","4","6","10"))
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS251] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ZeroCapitalAverage.Amount
            [IDS252] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.OnLentAverage.Amount
        -->

        <assert  id="VR.ATO.IDS.440153" diagnostics="DVR.ATO.IDS.440153" test="not(
                (
                sum($IDS251) &gt; 0
                or
                sum($IDS252) &gt; 0
                )
                and
                not($IDS223[matches(.,'^(2|4|6|10)$')])
                )
                ">
          
        </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440154
            
            IF ([IDS253] > 0 OR [IDS254] > 0) AND ([IDS223] <> SET ("1","2","9","10"))
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS253] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount
            [IDS254] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
        -->

      <!--
            Rule ID: VR.ATO.IDS.440154
            
            IF ([IDS253] > 0 OR [IDS254] > 0) AND ([IDS223] <> SET ("1","2","9","10"))
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS253] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount
            [IDS254] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
        -->

      <assert  id="VR.ATO.IDS.440154" diagnostics="DVR.ATO.IDS.440154" test="not(
                (
                sum($IDS253) &gt; 0
                or
                sum($IDS254) &gt; 0
                )
                and
                not($IDS223[matches(.,'^(1|2|9|10)$')])
                )
                ">

      </assert>
        
        <!--
            Rule ID: VR.ATO.IDS.440155
            
            IF ([IDS258] > 0 OR [IDS259] > 0) AND ([IDS223] <> "7")
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS258] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction
            [IDS259] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideCapital.Amount
        -->

        <assert  id="VR.ATO.IDS.440155" diagnostics="DVR.ATO.IDS.440155" test="not(
                (
                sum($IDS258) &gt; 0
                or
                sum($IDS259) &gt; 0
                )
                and
                not($IDS223[matches(.,'^7$')])
                )">
          
        </assert>


      <!--
            Rule ID: VR.ATO.IDS.440156
            
            IF ([IDS260] > 0 OR [IDS261] > 0 OR [IDS262] > 0) AND [IDS223] <> SET ("1", "2""3","4","5","6","9","10")
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS260] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideDebtTotal.Amount
            [IDS261] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.WorldwideEquity.Amount
            [IDS262] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGearingDebt.Amount
        -->

      <assert  id="VR.ATO.IDS.440156" diagnostics="DVR.ATO.IDS.440156" test="not(
                (
                sum($IDS260) &gt; 0
                or
                sum($IDS261) &gt; 0
                or
                sum($IDS262) &gt; 0
                )
                and
                not($IDS223[matches(.,'^(1|2|3|4|5|6|9|10)$')])
                )">

      </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440157
            
            IF [IDS223] <> NULL AND [IDS224] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS224] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator
        -->

        <assert  id="VR.ATO.IDS.440157" diagnostics="DVR.ATO.IDS.440157" test="not(
                $IDS223 
                and
                not($IDS224)
                )">
          
        </assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440158
            
            IF [IDS223] <> NULL AND [IDS225] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS225] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code
        -->

        <assert  id="VR.ATO.IDS.440158" diagnostics="DVR.ATO.IDS.440158" test="not(
                $IDS223 
                and
                not($IDS225)
                )">
          
        </assert>
        
      
        <!-- 
          Rule ID: VR.ATO.IDS.440218
          
          IF [IDS304] <> ([IDS270] + [IDS273] + [IDS276] + [IDS279] + [IDS282] + [IDS285] + [IDS288] + [IDS291] + [IDS294] - [IDS296])
           RETURN VALIDATION MESSAGE
          ENDIF

          [IDS270] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS273] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS276] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS279] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS282] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS285] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS288] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS291] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS294] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
          [IDS296] = IDS:RP.GeneralDeduction:bafot.02.11:FinancialServices.GeneralOffshoreBankingDeductionAndApportionableOffshoreBankingDeduction.Amount
          [IDS304] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440218" diagnostics="DVR.ATO.IDS.440218" test="not(
                        round(xs:decimal( 100 * sum($IDS304)))
                        !=
                        round(xs:decimal( 100 * (  
                            sum($IDS270|$IDS273|$IDS276|$IDS279|$IDS282|$IDS285|$IDS288|$IDS291|$IDS294)
                            -
                            sum($IDS296))
                        ))
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440073
            
            IF ([IDS147] <> TRUE OR [IDS147] = NULL) AND ([IDS148] <> NULL OR [IDS149] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS147] = IDS:RP:rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator
            [IDS148] = IDS:RP.RechargeAmounts:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [IDS149] = IDS:RP.RechargeAmounts:bafpr1.02.12:Income.IncludedInAssessableTotal.Amount     
        -->

        <assert  id="VR.ATO.IDS.440073" diagnostics="DVR.ATO.IDS.440073" test="not(                    
                          (not($IDS147[matches(.,'^(true|1)$')]) or not($IDS147))
                          and
                          (($IDS148) or ($IDS149))              
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440116
            
            IF [IDS195] = TRUE AND (([IDS196] = NULL AND [IDS197] = NULL AND [IDS198] = NULL AND [IDS199] = NULL AND [IDS200] = NULL 
                AND [IDS201] = NULL AND [IDS202] = NULL AND [IDS203] = NULL AND [IDS204] = NULL AND [IDS205] = NULL 
                AND [IDS320] = NULL AND [IDS321] = NULL AND [IDS322] = NULL) 
                OR [IDS206] = NULL OR [IDS208] = NULL )
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS195] = IDS:RP:bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator
            [IDS196] = IDS:RP.CFCLC:bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [IDS197] = IDS:RP.CFCSP:bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [IDS198] = IDS:RP.CFCUC:bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [IDS199] = IDS:RP:bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount
            [IDS200] = IDS:RP.CFCLC:bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [IDS201] = IDS:RP.CFCSP:bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [IDS202] = IDS:RP.CFCUC:bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [IDS203] = IDS:RP.CFCLC:bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [IDS204] = IDS:RP.CFCSP:bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [IDS205] = IDS:RP.CFCUC:bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [IDS320] = IDS:RP.CFCLC:bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
            [IDS321] = IDS:RP.CFCSP:bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount
            [IDS322] = IDS:RP.CFCUC:bafpr1.02.22:Income.NonPortfolioDividendFromForeignCompanyNonAssessableNonExemptIncome.Amount

            [IDS206] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncome.Indicator
            [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator

        -->

        <assert  id="VR.ATO.IDS.440116" diagnostics="DVR.ATO.IDS.440116" test="not(                  
                            ($IDS195[matches(.,'^(true|1)$')])
                            and
                            ((not($IDS196) and not($IDS197) and not($IDS198) and not($IDS199) and not($IDS200) and not($IDS201) and not($IDS202) 
                              and not($IDS203) and not($IDS204) and not($IDS205) and not($IDS320) and not($IDS321) and not($IDS322)) 
                             or (not($IDS206)) or (not($IDS208)))   
                        )">
          
        </assert>


      <!-- 
            Rule ID: VR.ATO.IDS.440149
            
            IF ([IDS231] > 0  AND [IDS223] <> SET ("7","8")
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS231] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount
        -->

      <assert  id="VR.ATO.IDS.440149" diagnostics="DVR.ATO.IDS.440149" test="not(
                        sum($IDS231) &gt; 0
                        and
                        not($IDS223[matches(.,'^(7|8)$')])
                    )">

      </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440130
            
            IF [IDS220] = TRUE AND [IDS207] > 0 AND ([IDS207] > [IDS226])
              RETURN VALIDATION MESSAGE
            ENDIF


            [IDS207] = IDS:RP:rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount
            [IDS220] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
        -->

        <assert  id="VR.ATO.IDS.440130" diagnostics="DVR.ATO.IDS.440130" test="not(                    
                    $IDS220[matches(.,'^(true|1)$')] and (sum($IDS207) &gt; 0)
                    and 
                    (round( 100 * sum($IDS207)) &gt; round( 100 * sum($IDS226)))
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440132
            
            IF ([IDS208] <> TRUE) AND ([IDS209] <> NULL OR [IDS210] <> NULL OR [IDS211] <> NULL OR [IDS212] <> NULL)
               RETURN VALDIATION MESSAGE
            ENDIF

            [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
            [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount
            [IDS210] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount
            [IDS211] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount
            [IDS212] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount
        -->

        <assert  id="VR.ATO.IDS.440132" diagnostics="DVR.ATO.IDS.440132" test="not(                    
                            (not($IDS208[matches(.,'^(true|1)$')]))
                            and
                            ($IDS209 or $IDS210 or $IDS211 or $IDS212)
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440135
            
            IF [IDS210] > 0 AND [IDS210] > [IDS209]
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount
            [IDS210] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount                
        -->

        <assert  id="VR.ATO.IDS.440135" diagnostics="DVR.ATO.IDS.440135" test="not(                    
                           (sum($IDS210) &gt; 0)
                           and 
                           (round( 100 * xs:decimal(sum(($IDS210)))) &gt; round( 100 * xs:decimal(sum($IDS209))))
                        )">
          
        </assert>
      
      
        <!-- 
            Rule ID: VR.ATO.IDS.440137
            
            IF [IDS212] > 0 AND [IDS212] > [IDS211]
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS211] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount
            [IDS212] = IDS:RP:rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount         
        -->

        <assert  id="VR.ATO.IDS.440137" diagnostics="DVR.ATO.IDS.440137" test="not(                    
                           (sum($IDS212) &gt; 0)
                           and 
                            round(xs:decimal( 100 * sum($IDS212))) &gt; 
                            round(xs:decimal( 100 * sum($IDS211)))
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440061
            
            IF ([IDS130] <> NULL OR [IDS131] <> NULL OR [IDS132] <> NULL OR [IDS133] <> NULL) AND 
                (([IDS130] = NULL AND [IDS131] = NULL) OR [IDS132] = NULL OR [IDS133] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS130] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationPaid.Amount
            [IDS131] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafpo1.02.11:Assets.ConsiderationReceived.Amount
            [IDS132] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            [IDS133] = IDS:RP.OtherNotReportedTangibleNonRevenue:bafot.02.23:Miscellaneous.PercentageOfDealingsWithDocumentation.Code
        -->

        <assert  id="VR.ATO.IDS.440061" diagnostics="DVR.ATO.IDS.440061" test="not(
                        ($IDS130 or $IDS131 or $IDS132 or $IDS133)
                        and
                        ((not($IDS130) and not($IDS131)) or not($IDS132) or not($IDS133))
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440145
            
            IF [IDS220] = TRUE AND [IDS221] = NULL
               RETURN VALIDAITON MESSAGE
            ENDIF

            [IDS220] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [IDS221] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator     
        -->

        <assert  id="VR.ATO.IDS.440145" diagnostics="DVR.ATO.IDS.440145" test="not(                    
                           ($IDS220[matches(.,'^(true|1)$')]) 
                            and
                            (not($IDS221))
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440160
            
            IF ([IDS227] > 0) AND ([IDS227] > [IDS226])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS226] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [IDS227] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
        -->

        <assert  id="VR.ATO.IDS.440160" diagnostics="DVR.ATO.IDS.440160" test="not(                    
                           (sum($IDS227) &gt; 0)
                           and 
                           round(xs:decimal( 100 * sum($IDS227))) &gt; 
                           round(xs:decimal( 100 * sum($IDS226)))
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440167
            
            IF [IDS230] = TRUE AND [IDS231] = NULL AND [IDS232] = NULL AND [IDS233] = NULL AND [IDS234] = NULL AND [IDS235] = NULL AND [IDS236] = NULL AND [IDS237] = NULL AND [IDS238] = NULL AND [IDS239] = NULL AND [IDS240] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS230] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator
            [IDS231] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount
            [IDS232] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.SafeHarbour.Amount
            [IDS233] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.EquityShortfall.Amount
            [IDS234] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount
            [IDS235] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount
            [IDS236] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsOverseasPermanentEstablishmentsAverageValueTotal.Amount
            [IDS237] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount
            [IDS238] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount
            [IDS239] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount
            [IDS240] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.DotationCapitalAverageValue.Amount
        -->

        <assert  id="VR.ATO.IDS.440167" diagnostics="DVR.ATO.IDS.440167" test="not(                    
                          $IDS230[matches(.,'^(true|1)$')]
                            and
                          not($IDS231) and not($IDS232) and not($IDS233) and not($IDS234) and not($IDS235) and not($IDS236) and not($IDS237) and not($IDS238) and not($IDS239) and not($IDS240)                         
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440083
            
            IF ([IDS161] <> NULL AND [IDS162] = NULL) OR ([IDS162] <> NULL AND [IDS161] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS161] = IDS:RP.BranchOperations.InterestBearing:bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount
            [IDS162] = IDS:RP.BranchOperations.InterestBearing:bafpo1.02.11:Assets.LoanedAverageBalance.Amount       
        -->

        <assert  id="VR.ATO.IDS.440083" diagnostics="DVR.ATO.IDS.440083" test="not(                    
                            ($IDS161 and not($IDS162)) or (($IDS162) and not($IDS161))         
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440075
            
            IF [IDS151] = FALSE AND COUNT(RP.{RestructuringEvent}:ANY ELEMENT <> NULL) > 0
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS151] = IDS:RP:rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator
        -->

        <assert  id="VR.ATO.IDS.440075" diagnostics="DVR.ATO.IDS.440075" test="not(                    
                          $IDS151[matches(.,'^(false|0)$')]
                          and
                          count(node()[@contextRef = $RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                          
                        )">
          
        </assert>
      
      
        <!--
           Rule ID: VR.ATO.IDS.440076
           
           IF [IDS151] = TRUE AND COUNT(SET(RP.{RestructuringEvent}):ANY ELEMENT <> NULL) = 0
            RETURN VALIDATION MESSAGE
           ENDIF

           [IDS151] = IDS:RP:rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator
        -->

        <assert  id="VR.ATO.IDS.440076" diagnostics="DVR.ATO.IDS.440076" test="not(                    
                          $IDS151[matches(.,'^(true|1)$')]
                          and
                          count(node()[@contextRef = $RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440071
            
            IF ([IDS143] <> NULL AND [IDS144] = NULL) OR ([IDS144] <> NULL AND [IDS143] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS143] = IDS:RP.CapitalNonMonetaryPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS144] = IDS:RP.CapitalNonMonetaryPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code       
        -->


        <assert  id="VR.ATO.IDS.440071" diagnostics="DVR.ATO.IDS.440071" test="not(                    
                          (($IDS143) and not($IDS144)) or (($IDS144) and not($IDS143))
                        )">
          
        </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440069
            
            IF ([IDS139] <> NULL AND [IDS140] = NULL) OR ([IDS140] <> NULL AND [IDS139] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS139] = IDS:RP.CapitalNoPayment:pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code
            [IDS140] = IDS:RP.CapitalNoPayment:bafot.02.11:Miscellaneous.NatureOfItem.Code      
        -->

        <assert  id="VR.ATO.IDS.440069" diagnostics="DVR.ATO.IDS.440069" test="not(                    
                          (($IDS139) and not($IDS140)) or (($IDS140) and not($IDS139))
                        )">
          
        </assert>
        
        <!--
            Rule ID VR.ATO.IDS.440197
            
            IF [IDS257] <> TRUE 
               AND 
               (
                    [IDS258] <> NULL OR [IDS259] <> NULL OR [IDS260] <> NULL OR [IDS261] <> NULL OR [IDS262] <> NULL OR [IDS323] <> NULL OR [IDS324] <> NULL
               )
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS257] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator
            [IDS258] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction
            [IDS259] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideCapital.Amount
            [IDS260] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideDebtTotal.Amount
            [IDS261] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.WorldwideEquity.Amount
            [IDS262] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGearingDebt.Amount
            [IDS323] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.StatementWorldwideAsset.Amount
            [IDS324] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.AverageAustralianAsset.Amount
        -->

        <assert  id="VR.ATO.IDS.440197" diagnostics="DVR.ATO.IDS.440197" test="not(
                           not($IDS257[matches(.,'^(true|1)$')])
                           and 
                           (
                                $IDS258 or $IDS259 or $IDS260 or $IDS261 or $IDS262 or $IDS323 or $IDS324
                           )                
                      )">
          
        </assert>

      
        <!--
           Rule ID VR.ATO.IDS.440212
           
           IF [IDS266] > 0 AND [IDS268] = FALSE
            RETURN VALIDATION MESSAGE
           ENIF

           [IDS266] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitNotionalInterest.Amount
           [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
        -->

        <assert  id="VR.ATO.IDS.440212" diagnostics="DVR.ATO.IDS.440212" test="not(  
                          (sum($IDS266) &gt; 0)     
                          and
                          $IDS268[matches(.,'^(false|0)$')]                                            
                        )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440217
            
            IF [IDS270] <> NULL AND ([IDS270] > [IDS269])
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS269] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS270] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440217" diagnostics="DVR.ATO.IDS.440217" test="not(
                       $IDS270
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS270)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS269)))
                       )
                )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440293
            
            IF COUNT([IDS178] > 6)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS178] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code
        -->

        <assert  id="VR.ATO.IDS.440293" diagnostics="DVR.ATO.IDS.440293" test="not(
                        count($IDS178) &gt; 6
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440294
            
            IF [IDS178] = "G = No elections made" AND (COUNT([IDS178] > 1))
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS178] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code                        
        -->

        <assert  id="VR.ATO.IDS.440294" diagnostics="DVR.ATO.IDS.440294" test="not(
                       $IDS178 = 'G = No elections made' and count($IDS178) &gt; 1
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440296
            
            IF [IDS213] <> TRUE AND 
            (COUNT(SET(RP.{TrustExemptionCode}):ANY ELEMENT <> NULL) > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS213] = IDS:RP:bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Indicator
        -->

        <assert  id="VR.ATO.IDS.440296" diagnostics="DVR.ATO.IDS.440296" test="not(
                        not($IDS213[matches(.,'^(true|1)$')])
                        and
                        count(node()[@contextRef = $RP.TrustExemptionCode.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                          
                     )">
          
        </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440204
            
            IF [IDS263] = TRUE AND [IDS264] = NULL AND [IDS265] = NULL AND [IDS266] = NULL AND [IDS267] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS263] = IDS:RP:bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator
            [IDS264] = IDS:RP.Quarterly:bafot.02.11:FinancialServices.NotionalAverageBorrowings.Amount
            [IDS265] = IDS:RP:bafot.02.11:FinancialServices.NonOffshoreBankingUnitNotionalInterest.Amount
            [IDS266] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitNotionalInterest.Amount
            [IDS267] = IDS:RP:bafot.02.11:FinancialServices.NotionalInterestTaxWithholding.Amount
        -->

        <assert  id="VR.ATO.IDS.440204" diagnostics="DVR.ATO.IDS.440204" test="not(
                        $IDS263[matches(.,'^(true|1)$')]
                        and
                        not($IDS264) and not($IDS265) and not($IDS266) and not($IDS267)                        
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440220
            
            IF [IDS271] <> NULL AND ([IDS271] > [IDS269])
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS269] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS271] = IDS:RP.Borrowing.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440220" diagnostics="DVR.ATO.IDS.440220" test="not(
                        $IDS271
                        and
                        (
                          round(xs:decimal( 100 * sum($IDS271)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS269)))
                        )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440210
            
            IF [IDS268] = FALSE AND ([IDS269] <> NULL OR [IDS270] <> NULL OR [IDS271] <> NULL OR [IDS272] <> NULL OR [IDS273] <> NULL OR [IDS274] <> NULL OR [IDS275] <> NULL OR [IDS276] <> NULL OR [IDS277] <> NULL OR [IDS278] <> NULL OR [IDS279] <> NULL OR [IDS280] <> NULL OR [IDS281] <> NULL OR [IDS282] <> NULL OR [IDS283] <> NULL OR [IDS284] <> NULL OR [IDS285] <> NULL OR [IDS286] <> NULL OR [IDS287] <> NULL OR [IDS288] <> NULL OR [IDS289] <> NULL OR [IDS290] <> NULL OR [IDS291] <> NULL OR [IDS292] <> NULL OR [IDS293] <> NULL OR [IDS294] <> NULL OR [IDS295] <> NULL OR [IDS296] <> NULL OR [IDS303] <> NULL OR [IDS304] <> NULL OR [IDS305] <> NULL OR [IDS306] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
            [IDS269] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS270] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS271] = IDS:RP.Borrowing.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS272] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS273] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS274] = IDS:RP.Lending.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS275] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS276] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS277] = IDS:RP.GuaranteeType.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS278] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS279] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS280] = IDS:RP.Trading.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS281] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS282] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS283] = IDS:RP.EligibleContract.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS284] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS285] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS286] = IDS:RP.Investment.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS287] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS288] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS289] = IDS:RP.Advisory.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS290] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS291] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS292] = IDS:RP.Hedging.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS293] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS294] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS295] = IDS:RP.Other.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS296] = IDS:RP.GeneralDeduction:bafot.02.11:FinancialServices.GeneralOffshoreBankingDeductionAndApportionableOffshoreBankingDeduction.Amount
            [IDS303] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS304] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS305] = IDS:RP.TotalNet.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS306] = IDS:RP.Division770:bafot.02.11:FinancialServices.OffshoreBankingIncomeForeignIncomeTaxEligibleFractionClaimed.Amount
       -->

        <assert  id="VR.ATO.IDS.440210" diagnostics="DVR.ATO.IDS.440210" test="not(
                        ($IDS268[matches(.,'^(false|0)$')])
                        and
                        (($IDS269) or ($IDS270) or ($IDS271) or ($IDS272) or ($IDS273) or ($IDS274) or ($IDS275) or ($IDS276) or ($IDS277) or ($IDS278) or ($IDS279) or ($IDS280) or ($IDS281) or ($IDS282) or ($IDS283) or ($IDS284) or ($IDS285) or ($IDS286) or ($IDS287) or ($IDS288) or ($IDS289) or ($IDS290) or ($IDS291) or ($IDS292) or ($IDS293) or ($IDS294) or ($IDS295) or ($IDS296) or ($IDS303) or ($IDS304) or ($IDS305) or ($IDS306))
                     )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440221
            
            IF [IDS305] <> ([IDS271] + [IDS274] + [IDS277] + [IDS280] + [IDS283] + [IDS286] + [IDS289] + [IDS292] + [IDS295])
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS271] = IDS:RP.Borrowing.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS274] = IDS:RP.Lending.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS277] = IDS:RP.GuaranteeType.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS280] = IDS:RP.Trading.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS283] = IDS:RP.EligibleContract.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS286] = IDS:RP.Investment.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS289] = IDS:RP.Advisory.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS292] = IDS:RP.Hedging.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS295] = IDS:RP.Other.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS305] = IDS:RP.TotalNet.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount                
        -->

        <assert  id="VR.ATO.IDS.440221" diagnostics="DVR.ATO.IDS.440221" test="not(
                        round(xs:decimal( 100 * sum($IDS305)))
                        !=
                        round(xs:decimal( 100 * sum($IDS271|$IDS274|$IDS277|$IDS280|$IDS283|$IDS286|$IDS289|$IDS292|$IDS295)))
                    )">
          
        </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440211

            IF 
            [IDS268] = TRUE AND ([IDS269] = NULL AND [IDS270] = NULL AND [IDS271] = NULL AND [IDS272] = NULL AND [IDS273] = NULL AND [IDS274] = NULL AND [IDS275] = NULL AND [IDS276] = NULL AND [IDS277] = NULL AND [IDS278] = NULL AND [IDS279] = NULL AND [IDS280] = NULL AND [IDS281] = NULL AND [IDS282] = NULL AND [IDS283] = NULL AND [IDS284] = NULL AND [IDS285] = NULL AND [IDS286] = NULL AND [IDS287] = NULL AND [IDS288] = NULL AND [IDS289] = NULL AND [IDS290] = NULL AND [IDS291] = NULL AND [IDS292] = NULL AND [IDS293] = NULL AND [IDS294] = NULL AND [IDS295] = NULL AND [IDS296] = NULL AND [IDS303] = NULL AND [IDS304] = NULL AND [IDS305] = NULL AND [IDS306] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
            [IDS269] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS270] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS271] = IDS:RP.Borrowing.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS272] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS273] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS274] = IDS:RP.Lending.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS275] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS276] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS277] = IDS:RP.GuaranteeType.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS278] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS279] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS280] = IDS:RP.Trading.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS281] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS282] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS283] = IDS:RP.EligibleContract.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS284] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS285] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS286] = IDS:RP.Investment.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS287] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS288] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS289] = IDS:RP.Advisory.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS290] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS291] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS292] = IDS:RP.Hedging.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS293] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS294] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS295] = IDS:RP.Other.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS296] = IDS:RP.GeneralDeduction:bafot.02.11:FinancialServices.GeneralOffshoreBankingDeductionAndApportionableOffshoreBankingDeduction.Amount
            [IDS303] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS304] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS305] = IDS:RP.TotalNet.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS306] = IDS:RP.Division770:bafot.02.11:FinancialServices.OffshoreBankingIncomeForeignIncomeTaxEligibleFractionClaimed.Amount        
        -->

        <assert  id="VR.ATO.IDS.440211" diagnostics="DVR.ATO.IDS.440211" test="not(
                        ($IDS268[matches(.,'^(true|1)$')])
                        and
                        (not($IDS269) and not($IDS270) and not($IDS271) and not($IDS272) and not($IDS273) and 
                         not($IDS274) and not($IDS275) and not($IDS276) and not($IDS277) and not($IDS278) and 
                         not($IDS279) and not($IDS280) and not($IDS281) and not($IDS282) and not($IDS283) and 
                         not($IDS284) and not($IDS285) and not($IDS286) and not($IDS287) and not($IDS288) and 
                         not($IDS289) and not($IDS290) and not($IDS291) and not($IDS292) and not($IDS293) and 
                         not($IDS294) and not($IDS295) and not($IDS296) and not($IDS303) and not($IDS304) and 
                         not($IDS305) and not($IDS306))
                     )">
          
        </assert>
      
      
        <!-- 
            Rule ID: VR.ATO.IDS.440249
            
            IF [IDS288] <> NULL AND ([IDS288] > [IDS287])
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS287] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS288] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440249" diagnostics="DVR.ATO.IDS.440249" test="not(
                        $IDS288 and 
                        round(xs:decimal( 100 * sum($IDS288))) &gt; 
                        round(xs:decimal( 100 * sum($IDS287)))
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440256
            
            IF [IDS292] <> NULL AND ([IDS292] > [IDS290])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS290] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS292] = IDS:RP.Hedging.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440256" diagnostics="DVR.ATO.IDS.440256" test="not(
                           $IDS292
                           and
                           (
                              round(xs:decimal( 100 * sum($IDS292)))
                              &gt;
                              round(xs:decimal( 100 * sum($IDS290)))
                           )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440259
            
            IF [IDS294] <> NULL AND ([IDS294] > [IDS293])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS293] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS294] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440259" diagnostics="DVR.ATO.IDS.440259" test="not(
                       $IDS294
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS294)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS293)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440261
            
            IF [IDS295] <> NULL AND ([IDS295] > [IDS293])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS293] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS295] = IDS:RP.Other.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440261" diagnostics="DVR.ATO.IDS.440261" test="not(
                       $IDS295
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS295)))
                          &gt;
                          round(xs:decimal(100 * sum($IDS293)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440251
            
            IF [IDS289] <> NULL AND ([IDS289] > [IDS287])
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS287] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS289] = IDS:RP.Advisory.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440251" diagnostics="DVR.ATO.IDS.440251" test="not(
                       $IDS289
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS289)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS287)))
                       )
                    )">
          
        </assert>

      <!--
            Rule ID: VR.ATO.IDS.440213
            
            IF [IDS268] = TRUE AND (
                    ([IDS303] = NULL) 
                    OR 
                    ([IDS304] = NULL) 
                    OR 
                    ([IDS306] = NULL)
                    )
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
            [IDS303] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS304] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
            [IDS306] = IDS:RP.Division770:bafot.02.11:FinancialServices.OffshoreBankingIncomeForeignIncomeTaxEligibleFractionClaimed.Amount
        -->

      <assert  id="VR.ATO.IDS.440213" diagnostics="DVR.ATO.IDS.440213" test="not(
                        $IDS268[matches(.,'^(true|1)$')]
                        and 
                        (
                            not($IDS303)
                            or 
                            not($IDS304)
                            or
                            not($IDS306)
                        ))">

      </assert>


      <!--
            Rule ID: VR.ATO.IDS.440215                  
            
            IF [IDS303] <> ([IDS269] + [IDS272] + [IDS275] + [IDS278] + [IDS281] + [IDS284] + [IDS287] + [IDS290] + [IDS293])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS269] = IDS:RP.Borrowing:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS272] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS275] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS278] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS281] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS284] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS287] = IDS:RP.Advisory:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS290] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS293] = IDS:RP.Other:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS303] = IDS:RP.TotalNet:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440215" diagnostics="DVR.ATO.IDS.440215" test="not(
                        round(xs:decimal( 100 * sum($IDS303)))
                        !=
                        (
                        round(xs:decimal( 100 * sum($IDS269|$IDS272|$IDS275|$IDS278|$IDS281|$IDS284|$IDS287|$IDS290|$IDS293)))
                        )
                    )">
          
        </assert>
      
        <!--
            Rule ID: VR.ATO.IDS.440246
            
            IF [IDS286] <> NULL AND ([IDS286] > [IDS284])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS284] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS286] = IDS:RP.Investment.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440246" diagnostics="DVR.ATO.IDS.440246" test="not(
                       $IDS286
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS286)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS284)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440236
            
            IF [IDS280] <> NULL AND ([IDS280] > [IDS278])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS278] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS280] = IDS:RP.Trading.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440236" diagnostics="DVR.ATO.IDS.440236" test="not(
                       $IDS280
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS280)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS278)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440234
            
            IF [IDS279] <> NULL AND ([IDS279] > [IDS278])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS278] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS279] = IDS:RP.Trading:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440234" diagnostics="DVR.ATO.IDS.440234" test="not(
                       $IDS279
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS279)))
                          &gt;
                          round(xs:decimal(100 * sum($IDS278)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440224
            
            IF [IDS273] <> NULL AND ([IDS273] > [IDS272])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS272] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS273] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440224" diagnostics="DVR.ATO.IDS.440224" test="not(
                       $IDS273
                       and
                       (
                          round(xs:decimal (100 * sum($IDS273)))
                          &gt;
                          round(xs:decimal (100 * sum($IDS272)))
                       )
                    )">
          
        </assert>
      
      
        <!-- 
            Rule ID: VR.ATO.IDS.440241
            
            IF [IDS283] <> NULL AND ([IDS283] > [IDS281])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS281] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS283] = IDS:RP.EligibleContract.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440241" diagnostics="DVR.ATO.IDS.440241" test="not(
                       $IDS283
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS283)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS281)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440229
            
            IF [IDS276] <> NULL AND ([IDS276] > [IDS275])
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS275] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS276] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount        
        -->

        <assert  id="VR.ATO.IDS.440229" diagnostics="DVR.ATO.IDS.440229" test="not(
                       $IDS276
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS276)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS275)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440231
            
            IF [IDS277] <> NULL AND ([IDS277] > [IDS275])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS275] = IDS:RP.GuaranteeType:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS277] = IDS:RP.GuaranteeType.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
        -->

        <assert  id="VR.ATO.IDS.440231" diagnostics="DVR.ATO.IDS.440231" test="not(
                       $IDS277
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS277)))
                          &gt;
                          round( xs:decimal(100 * sum($IDS275)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440239
            
            IF [IDS282] <> NULL AND ([IDS282] > [IDS281])
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS281] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS282] = IDS:RP.EligibleContract:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440239" diagnostics="DVR.ATO.IDS.440239" test="not(
                       $IDS282
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS282)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS281)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440226
            
            IF [IDS274] <> NULL AND ([IDS274] > [IDS272])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS272] = IDS:RP.Lending:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS274] = IDS:RP.Lending.RelatedParty:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount      
        -->

        <assert  id="VR.ATO.IDS.440226" diagnostics="DVR.ATO.IDS.440226" test="not(
                       $IDS274
                       and
                       (
                          round(xs:decimal( 100 * sum($IDS274)))
                          &gt;
                          round(xs:decimal( 100 * sum($IDS272)))
                       )
                    )">
          
        </assert>
      

      <!--
            Rule ID: VR.ATO.IDS.440244
            
            IF [IDS285] <> NULL AND ([IDS285] > [IDS284])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS284] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS285] = IDS:RP.Investment:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount   
        -->

        <assert  id="VR.ATO.IDS.440244" diagnostics="DVR.ATO.IDS.440244" test="not(
                       $IDS285
                       and
                       (
                           round(xs:decimal(100 * sum($IDS285)))
                          &gt;
                           round(xs:decimal( 100 * sum($IDS284)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440254
            
            IF [IDS291] <> NULL AND ([IDS291] > [IDS290])
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS290] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount
            [IDS291] = IDS:RP.Hedging:bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount
        -->

        <assert  id="VR.ATO.IDS.440254" diagnostics="DVR.ATO.IDS.440254" test="not(
                       $IDS291
                       and
                       (
                           round(xs:decimal( 100 * sum($IDS291)))
                          &gt;
                           round(xs:decimal( 100 * sum($IDS290)))
                       )
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440301
            
            IF [IDS258] <> NULL AND [IDS258] > 1
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS258] = IDS:RP:bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction
        -->

        <assert  id="VR.ATO.IDS.440301" diagnostics="DVR.ATO.IDS.440301" test="not(
                 $IDS258 and 
                 round(xs:decimal(100 * sum($IDS258))) &gt;
                 round(xs:decimal(100 * 1))
                 )">
          
        </assert>
      
      
        <!-- 
            Rule ID: VR.ATO.IDS.440307
            
            IF [IDS312] = TRUE AND [IDS314] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS312] = IDS:RP:rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioDividendAccount.Indicator
            [IDS314] = IDS:RP:rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioAccountConduitForeignIncomeIncluded.Indicator
        -->

        <assert  id="VR.ATO.IDS.440307" diagnostics="DVR.ATO.IDS.440307" test="not(
                        $IDS312[matches(.,'^(true|1)$')]
                        and
                        not($IDS314)
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440309
            
            IF [IDS315] = TRUE AND (([IDS316] = NULL or [IDS316] = 0)
            AND ([IDS318] = NULL OR [IDS318] = 0)
            AND ([IDS319] = NULL OR [IDS319] = 0))
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS315] = IDS:RP.DTA:rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Indicator
            [IDS316] = IDS:RP.DTA:rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Amount
            [IDS318] = IDS:RP.s128F:rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Amount
            [IDS319] = IDS:RP.s128FA:rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Amount
        -->

        <assert  id="VR.ATO.IDS.440309" diagnostics="DVR.ATO.IDS.440309" test="not(
                        $IDS315[matches(.,'^(true|1)$')]
                        and                        
                        sum($IDS316) = 0
                        and 
                        sum($IDS318) = 0
                        and
                        sum($IDS319) = 0
                       )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440310
            
            IF [IDS316] <> NULL AND [IDS317] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS316] = IDS:RP.DTA:rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Amount
            [IDS317] = IDS:RP:rvctc4.02.03:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code
        -->

        <assert  id="VR.ATO.IDS.440310" diagnostics="DVR.ATO.IDS.440310" test="not($IDS316 and not($IDS317) )"></assert>
        
      
        <!--
            Rule ID: VR.ATO.IDS.440306
            
            IF [IDS312] = TRUE AND ([IDS313] = NULL)
             RETURN VALIDATION MESSAGE
            ENDIF
            
            [IDS312] = IDS:RP:rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioDividendAccount.Indicator
            [IDS313] = IDS:RP:rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioDividendAccount.Amount
        -->

        <assert  id="VR.ATO.IDS.440306" diagnostics="DVR.ATO.IDS.440306" test="not(
                        $IDS312[matches(.,'^(true|1)$')]
                        and not($IDS313)
                        
                    )">
          
        </assert>
      
      
        <!--
            Rule ID: VR.ATO.IDS.440308
            
            IF [IDS309] = TRUE AND ([IDS310] = NULL AND [IDS311] = NULL)
             RETURN VALIDATION MESSAGE
            ENDIF

            [IDS309] = IDS:RP:rvctc4.02.06:InternationalDealings.ConduitForeignIncome.Indicator
            [IDS310] = IDS:RP:rvctc4.02.01:InternationalDealings.ConduitForeignIncomeBalance.Amount
            [IDS311] = IDS:RP:rvctc4.02.00:InternationalDealings.ConduitForeignIncomeDistributed.Amount
        -->

        <assert  id="VR.ATO.IDS.440308" diagnostics="DVR.ATO.IDS.440308" test="not(
                        $IDS309[matches(.,'^(true|1)$')]
                        and not($IDS310)
                        and not($IDS311)
                    )">
          
        </assert>


        <!--
            Rule ID: VR.ATO.IDS.440319
            
            IF ([IDS323] > 0 AND [IDS324] >0) AND ([IDS223] <> SET ("3","4","5","6","9","10"))
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS223] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.EntityType.Code
            [IDS323] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.StatementWorldwideAsset.Amount
            [IDS324] = IDS:RP:bafpo6.02.13:Capital.ThinCapitalisation.AverageAustralianAsset.Amount
        -->

        <assert  id="VR.ATO.IDS.440319" diagnostics="DVR.ATO.IDS.440319"
                   test="not(
                        round(xs:decimal(100*sum($IDS323)))  &gt;0 
                        and  round(xs:decimal(100*sum($IDS324))) &gt;0
                        and
                        not($IDS223[matches(.,'^(3|4|5|6|9|10)$')])
                    )">

        </assert>

    </rule>
</pattern>